<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class MarkListStudent extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'mark_list_student';
    protected $guarded = [];
    
    protected $hidden = ['id'];
    public function marklist()
    {
        return $this->belongsTo(MarkList::class, 'mark_list_id', 'id');
    }
}
