<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StaffAttendance extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'staff_attendance';
    
    protected $guarded = [];
    
    public function leaveType()
    {
        return $this->belongsTo(Staffleavtype::class, 'leave_id', 'leave_id')->withDefault(['name' => '']);
    }
}
