<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class TutorialStud extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'tutorial_stud';
    
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
    public function student(){
        return $this->hasOne(Student::class,'student_id','stud_id');
    }
}
