<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mark_list_student', function (Blueprint $table) {
            $table->id();
            $table->unsignedbigInteger('mark_list_id');
            $table->unsignedbigInteger('stud_id');
            $table->unsignedbigInteger('pep_no');
            $table->float('grade_point');
            $table->string('grade');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mark_list_student');
    }
};
