$(document).ready(function(){
    
    $("#course").on('change',function(){
        var course = $(this).val();
        $("#semester").empty();
        $.ajax({
            type : 'GET',
            url : '../staff/get-tutor-semester/'+course,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $("#semester").html('<option value="">Select</option>');
                $.each(data, function(key,value) {
                    $("#semester").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
    $("#semester").on('change',function(){
        var course = $("#course").val();
        var semester = $(this).val();
        $("#student").empty();
        $.ajax({
            type : 'GET',
            url : '../staff/get-tutor-students/'+course+'/'+semester,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $("#student").html('<option value="">Select</option>');
                $.each(data, function(key,value) {
                    $("#student").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
});