@extends('layouts.template')
@section('title','Home')
@section('heading','Others')
@section('breadcrumb','Home / Others / E-Content')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(607,608)) }}
          
        
    </div>     
    <div class="card-body">

<div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add E-Content</b></div>
                <div class="card-body">



   
   
            <form action="{{route('others.econtent.save')}}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="course_id" class="required">Program</label>
                            <select class="form-control" id="course" name="course_id" required>
                                <option value="">Select</option>
                                @foreach($staffsubject as $course)
                                    <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                @endforeach
                            </select>
                            @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="semester_id" class="required">Semester</label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                                <option value="">Select</option>
                            </select>
                            @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="subject_id" class="required">Course</label>
                            <select class="form-control" id="sub_id" name="subject_id" required>
                                <option value="">Select</option>
                            </select>
                            @error('subject_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    
                     <div class="col-md-3">
                        <div class="form-group">
                            <label for="batch_id"><b>Batch</b></label>
                            <select class="js-example-basic-single form-control" id="batch_id" name="batch_id">
                                <option value="">select</option>
                            </select>
                        </div>
                    </div>
                    
                    
                </div>
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="url" class="required">URL</label>
                            <input type="text" class="form-control" id="url" name="url" value="{{old('url')}}" required>
                            @error('url')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="description">Description</label>
                            <textarea name="description" class="form-control"></textarea>
                            @error('description')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>  
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="file">Attachment</label>
                            <input type="file" class="form-control" id="file" name="file">
                            @error('file')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>  
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
     </div>
    </div>
    
    
    
     </div>
    </div>
     </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/semester.js') }}"></script>
     <script src="{{ asset('public/js/bsubj.js') }}"></script>
    <script src="{{ asset('public/js/batch.js') }}"></script>
    
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection