@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit Specialisation')
@section('breadcrumb','Settings /Specialisation //Edit')
@section('content')
       
        
    
        
        
        
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>
        <div class="card-body">
        <form action="{{ route('specialisation.update') }}" method="post">
        @csrf
        <input type="hidden" name="specialtn_id" value="{{ encrypt($special->specialtn_id) }}">
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course_id" class="required"><b>Program</b></label>
        <select class="form-control" id="course_id" name="course_id" required>
        @foreach($courses as $course)
        <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
        @endforeach
        </select>
        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="specialisation" class="required"><b>Add specialisation</b></label>
        <input type="text" class="form-control @error('specialisation') border-danger @enderror" id="specialisation" name="specialisation" value="{{ $special->specialisation }}">
        @error('specialisation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right">Update</button>
        </div>
        </div>
        </div>
                                    
                                    
        </form>
        </div>
        </div>
        </div>
        </div>
        
        
        
      
        <style>
                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

        </style>
@endsection