
@extends('layouts.template')
@section('title','Home')
@section('heading','Report')
@section('breadcrumb','Home/Events/Competition-report')
@section('content')

<div class="card" style="border-top:2px solid #005A9C">
      <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(381,382)) }}
    </div>
    <div class="card-body" style="overflow: hidden;"> 
     
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"></div> 
   
                 <div class="card-body">
    <div  style="height:auto; overflow:scroll;">
        <table class="table table-bordered" width="100%"  style="overflow: hidden;">
            
            <thead>
                <tr style="white-space:nowrap;">
                    <th width="10%"><b>Event Name</b></th>
                    <th width="20%"><b>Competition</b></th>
                    <th width="10%"><b>Staff-in-charge</b></th>
                    <th width="10%"><b>Program</b></th>
                    <th width="10%"><b>Date</b></th>
                    <th width="10%"><b>Last Date to Apply</b></th>
                    <th colspan="2" width="20%"><b>Actions</b></th>
                </tr>
            </thead>
            <tbody>
                @forelse($compt as $compts)
                    <tr>
                        <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $compts->event->event  }}</td>
                        <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$compts->compt}}</td> 
                        <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $compts->staff->name }}</td>
                        <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $compts->course->course_name }}</td>
                        <td>{{date('d-m-Y',strtotime($compts->date))}}</td>
                        <td>{{date('d-m-Y',strtotime($compts->lda))}}</td>
                        <td><a href="{{route('event.competition.report.edit',['id'=>$compts->addcompt_id])}}"><i class="icon-pencil text-success"></i></a></td></td>
                        <td><a href="{{route('event.competition.report.delete',['id'=>$compts->addcompt_id])}}"><i class="icon-trash text-danger"></i></a></td></td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="2">No Result Found !</td>
                    </tr>
                @endforelse
            </tbody>
        </table>
       
       </div>
    </div>
</div>
</div>
        </div>
    </div>
</div>

<style>
   
    
    .form-control {
        border: 1px solid black;
    }
    .card-body {
        border-left: 1px solid #DCDCDC;
        border-right: 1px solid #DCDCDC;
        border-bottom: 1px solid #DCDCDC;
    }
</style>  

@endsection