<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
  @if($subjects && $subjects->isNotEmpty())       
  <form action="{{ route('fyugpcredit.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($semester_id) }}">
  

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
        <th rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th rowspan="2"><b>Course Name</b></th>
        <th rowspan="2" colspan="1"><b>Maximum Mark</b></th>
        <th rowspan="1" colspan="3"><b>Lecture/Theory</b></th>
        <th rowspan="1" colspan="3"><b>Practical</b></th>
        
        
    </tr>
    <tr>
        <th rowspan="1" colspan="1">Credit</th>
        <th rowspan="1" colspan="1">CCA</th>
        <th rowspan="1" colspan="1">ESE</th>
        <th rowspan="1" colspan="1">Credit</th>
         <th rowspan="1" colspan="1">CCA</th>
        <th rowspan="1" colspan="1">ESE</th>
    </tr>
    </thead>
    <tbody>
            @foreach($subjects as $subj)
        <tr>
           <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $subj->subject_id }}"></label>
                </div>
             
            </td> 
           <td>{{ strtoupper($subj->subject_code.' - '.$subj->subject_name) }}</td>
            @php  $maxmark  = $subj->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('max_mark')->first();
                  $creditl = $subj->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('credit_l')->first();
                  $ccal =  $subj->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('cca_l')->first();
                  $esel =  $subj->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('ese_l')->first();
                  
                  $creditp  = $subj->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('credit_p')->first();
                  $ccap  = $subj->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('cca_p')->first();
                  $esep  = $subj->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('ese_p')->first();
            @endphp
          <td><input type="text" size="2"class="form-control @error('maxmark') border-danger @enderror" id="maxmark{{$subj->subject_id}}" name="maxmark{{$subj->subject_id}}" value="{{$maxmark}}"></td>

           <td><input type="text" size="2"class="form-control @error('creditl') border-danger @enderror" id="creditl{{$subj->subject_id}}" name="creditl{{$subj->subject_id}}" value="{{$creditl}}"></td>
           <td><input type="text" size="2"class="form-control @error('ccal') border-danger @enderror" id="ccal{{$subj->subject_id}}" name="ccal{{$subj->subject_id}}" value="{{$ccal}}"></td>
           <td><input type="text" size="2"class="form-control @error('esel') border-danger @enderror" id="esel{{$subj->subject_id}}" name="esel{{$subj->subject_id}}" value="{{$esel}}"></td>
           
           
           
           <td><input type="text" size="2"class="form-control @error('creditp') border-danger @enderror" id="creditp{{$subj->subject_id}}" name="creditp{{$subj->subject_id}}" value="{{$creditp}}"></td>
           <td><input type="text" size="2"class="form-control @error('ccap') border-danger @enderror" id="ccap{{$subj->subject_id}}" name="ccap{{$subj->subject_id}}" value="{{$ccap}}"></td>
           <td><input type="text" size="2"class="form-control @error('esep') border-danger @enderror" id="esep{{$subj->subject_id}}" name="esep{{$subj->subject_id}}" value="{{$esep}}"></td>

        </tr>
        
            @endforeach
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
    @else
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Subject not Found !</div>
            </div>
        </div>
    @endif   
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/studall.js') }}"></script>
<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #F8F8F8;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>


