<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
     <div align="right">
    <a href="{{ route('fyugpviewexam.print', ['course' => $course,'semester_id'=>$semester_id,'exam_id'=>$exam_id]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div>
       
  <form action="{{ route('fyugpviewexam.update') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($semester_id) }}">
    <input type="hidden" id="exam_id" name="exam_id" value="{{ encrypt($exam_id) }}">
    <table width="100%"><tr><td width="15%">
    <b>Exam Name : </b></td><td width="60%"><input type="text" size="2"class="form-control @error('exam_name') border-danger @enderror" id="exam_name" name="exam_name" value="{{$exam_name->exam_name}}" >
    </td><td width="20%"><font color="red">Click here to Delete Exam -> </font>{{app_table_links($exam_id,array(357)) }}</td></tr></table>
    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
        
        <th colspan="1" rowspan="2"><b>Course</b></th>
        <th colspan="2" rowspan="1"><b>Max Mark</b></th>
        <th colspan="1" rowspan="2"><b>Date</b></th>
        <th colspan="1" rowspan="2"><b>Start time</b></th>
        <th colspan="1" rowspan="2"><b>End time</b></th>
        <th colspan="1" rowspan="2"><b>Delete</b></th>
        
    </tr>
    <tr>
        <th colspan="1" rowspan="1"><b>L</b></th>
        <th colspan="1" rowspan="1"><b>P</b></th>
    </tr>
    </thead>
    <tbody>
            @foreach($examsubjects as $subj)
        <tr>
           <td>
           
               {{ strtoupper($subj->esesubn->subject_code.' - '.$subj->esesubn->subject_name) }}
             
            </td> 
           <td><input type="text" size="2"class="form-control @error('max_mark') border-danger @enderror" id="max_mark{{$subj->id}}" name="max_mark{{$subj->id}}" value="{{$subj->max_mark}}"></td>
            <td><input type="text" size="2"class="form-control @error('pmax_mark') border-danger @enderror" id="pmax_mark{{$subj->id}}" name="pmax_mark{{$subj->id}}" value="{{$subj->pmax_mark}}"></td>

           <td><input type="date" size="2"class="form-control @error('exam_date') border-danger @enderror" id="exam_date{{$subj->id}}" name="exam_date{{$subj->id}}" value="{{$subj->date}}"></td>
           <td>
           <input type="time" size="2"class="form-control @error('s_time') border-danger @enderror" id="s_time{{$subj->id}}" name="s_time{{$subj->id}}" value="{{$subj->s_time}}">
            
           </td>
           <td>
             
             <input type="time" size="2"class="form-control @error('e_time') border-danger @enderror" id="e_time{{$subj->id}}" name="e_time{{$subj->id}}" value="{{$subj->e_time}}">
               
           </td>
         <td>
             {{app_table_links($subj->id,array(358)) }}
         </td>
        </tr>
        
            @endforeach
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div> 
    <table width="100%" align="left">
    <tr><td width="5%">
    <button type="button" class="btn btn-sm btn-success" style="border-radius:50%;" id="addsub"><i class="icon icon-plus"></i></button></td>
    <td width="15%"><font color="green">Add Subject to Exam</font></td><td width="80%"></td>
    </tr></table>
    <div id="content" style="display: none;">
    <div class="row">
    <div class="col-md-12">
        
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
         <th colspan="1" rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th colspan="1" rowspan="2"><b>Course</b></th>
        <th colspan="2" rowspan="1"><b>Max Mark</b></th>
        <th colspan="1" rowspan="2"><b>Date</b></th>
        <th colspan="1" rowspan="2"><b>Start time</b></th>
        <th colspan="1" rowspan="2"><b>End time</b></th>
    </tr>
    <tr>
        <th colspan="1" rowspan="1">L</th>
        <th colspan="1" rowspan="1">P</th>
    </tr>
   </thead>
   <tbody>
        @foreach($subjects as $subjx)
        @php
         if(!App\Models\FyugpExamSubject::where('exam_id', $exam_id)->where('subject', $subjx->subject_id)->exists())
         { @endphp
       <tr>
            <td align="center" colspan="1" rowspan="1">
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $subjx->subject_id }}"></label>
                </div>
             
            </td> 
            <td colspan="1" rowspan="1" style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ strtoupper($subjx->subject_code.' - '.$subjx->subject_name) }}</td>
            <td colspan="1" rowspan="1"><input type="text" size="2" class="form-control" id="max_marks{{$subjx->subject_id}}" name="max_marks{{$subjx->subject_id}}"></td>
            <td colspan="1" rowspan="1"><input type="text" size="2"class="form-control" id="pmax_mark{{$subjx->subject_id}}" name="pmax_mark{{$subjx->subject_id}}"></td>

            <td colspan="1" rowspan="1"> <input type="date" size="2"class="form-control" id="exam_dates{{$subjx->subject_id}}" name="exam_dates{{$subjx->subject_id}}"></td>
            <td colspan="1" rowspan="1"> <input type="time" size="2"class="form-control" id="s_times{{$subjx->subject_id}}" name="s_times{{$subjx->subject_id}}"></td>
            <td colspan="1" rowspan="1"><input type="time" size="2"class="form-control" id="e_times{{$subjx->subject_id}}" name="e_times{{$subjx->subject_id}}">  </td>
       </tr>
       @php } @endphp
      @endforeach  
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div> 
   
    </div>
   <div class="row">
                             
       <div class="col-md-12">
          <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">Update</button>
         </div>
       </div>
    </div>
    </form>
        
       
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
          <script src="{{ asset('public/js/studall.js') }}"></script> 
          <script src="{{ asset('public/js/showhideexamsub.js') }}"></script>
   

          
<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #F8F8F8;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>

