<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
     @if($subjects && $subjects->isNotEmpty())   
 
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($semester_id) }}">
    <input type="hidden" id="category_id" name="category_id" value="{{ encrypt($category_id) }}">
    
     <div id="totalStudents" class="mb-3"></div>
     @if($total_seat)
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
 
    <div class="div_scroller">   
        <table id="table-fine" class="table table-bordered">
        <thead >
            <tr>
                <th><b>Sno.</b></th>
                <th><b>Course</b></th>
                <th><b>Total Seat</b></th>
                <th><b>Total Student</b></th>
                <th><b>Balance Seat</b></th>
            </tr>
        </thead>
        <tbody>
            @php $i=0; @endphp
            @foreach($subjects as $sub)
            @php 
            $i++; 
            $semester_name = $sem_name->semester_name;
            $minorI = $sub->minsubstudtotcnt()->where('acyear_id', $ac_id)->where('sub_cat', $category_id)->whereIn('sem',$sem_array)->whereNull('deleted_at')->whereHas('coursesubjects', function ($query) use ($semester_name) {
            $query->where('semester_id',$semester_name);
        }) 
        ->pluck('stud_id')->count();
        
            $fcolor="";
          if($total_seat->allotd_seat < $minorI)
           {
                $fcolor="#FF7F7F";
           }
           else if($total_seat->allotd_seat == $minorI)
            {
                $fcolor="lightgreen";
            }
            @endphp
                <tr bgcolor={{$fcolor}}>
                    <td align="center">{{$i}}</td>
                    <td>{{$sub->subject_name}}-{{$sub->subject_id}}</td>
                    <td align="center">{{$total_seat->allotd_seat}}</td>
                    <td align="center"> <a href="javascript:void(0);" class="ajax-link" data-course="{{ encrypt($course) }}" data-semester="{{ encrypt($semester_id) }}" data-category="{{ encrypt($category_id) }}" data-subject="{{ encrypt($sub->subject_id) }}">{{$minorI}}</a></td>
                    <td align="center">@if($total_seat->allotd_seat > $minorI) {{$total_seat->allotd_seat - $minorI}} @endif</td>
                </tr>
            @endforeach
        </tbody>
        </table>
    </div>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
     @else
            <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Please set total Seat of Course !</div>
            </div>
        </div>
            @endif     
      
          @else
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Result not Found !</div>
            </div>
        </div>
    @endif   
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/studall.js') }}"></script>
   <script src="{{ asset('public/js/crsminorstudtot.js') }}"></script>
<style>
  
input[type="checkbox"] {
  width: 2em;
  height: 2rem;
  display: inline-block; 
  margin: 0;
 
  accent-color: green;
}


</style>

