<!DOCTYPE html>
<html>
<head>
     <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Subject wise Rank Report</title>
    <style>
        
     
    @font-face {
        font-family: 'NotoSansMalayalam';
        src: url('{{ storage_path("fonts/NotoSansMalayalam-Regular.ttf") }}') format('truetype');
    }
    @font-face {
        font-family: 'NotoSansDevanagari';
        src: url('{{ storage_path("fonts/NotoSansDevanagari-Regular.ttf") }}') format('truetype');
    }
    @font-face {
        font-family: 'NotoNastaliqUrdu';
        src: url('{{ storage_path("fonts/NotoNastaliqUrdu-Regular.ttf") }}') format('truetype');
    }
    body {
        font-family: 'NotoSansMalayalam', 'NotoSansDevanagari', 'NotoNastaliqUrdu', sans-serif;
    }
        
       
        .page-header {
            text-align: center;
            margin-bottom: 20px;
        }
          table {
        width: 100%;
        border-collapse: collapse; /* Ensures borders do not overlap */
        font-family:NotoSansMalayalam;
    }
    th, td {
        border: 1px solid black; /* Adds a border around each cell */
        padding: 8px; /* Adds spacing within each cell */
        text-align: center; /* Centers the text in the cells */
    }

    thead th {
        background-color: #fed35c; /* Background color for header */
    }

    th {
        font-weight: bold;
    }
    </style>
</head>
<body>
    <div>
    <div class="container">
      <div class="page-header"> 
      <p style="text-center"><b>{{ $ins_det->name }}</b></p>
      <p style="text-center"><b>{{ $ins_det->affiliation }}</b></p>
      <p style="text-center"><b>{{ $ins_det->address }}</b></p>
      <p style="text-center"><b>{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</b></p>
    </div> 
    </div>
    
     <table style="border-bottom:1px solid black" width="100%">
        <thead style="background-color:#fed35c;">
          <tr>
               <th rowspan="2">Sno.</th>
               <th rowspan="2">Adm No.</th>
               <th rowspan="2">Student Name</th>
               <th rowspan="2">%</th>
               <th colspan="4" rowspan="1">{{ $categ_name->category .' [ '.$sem_name->semester_name }} ]</th>
               <th rowspan="2">Program</th>
          </tr>
          <tr>
            <th colspan="1" rowspan="1">1'st Preference</th>
            <th colspan="1" rowspan="1">2'nd Preference</th>
            <th colspan="1" rowspan="1">3'rd Preference</th>
            <th colspan="1" rowspan="1">4'th Preference</th>
         </tr>
        </thead>
        <tbody>
    @php $kp = 0; @endphp
    @foreach($stud_array as $student)
        @php $kp++; @endphp
        <tr>
            <td align="center">{{ $kp }}</td>
            <td align="center">{{ $student['adno'] }}</td>
            <td>{{ strtoupper($student['name']) }}</td>
            <td align="center">{{ $student['percentage'] }}</td>
            <td style="font-family: 'NotoSansMalayalam', sans-serif;">{{ $student['first_pref'] }}</td>
            <td>{{ $student['second_pref'] }}</td>
            <td>{{ $student['third_pref'] }}</td>
            <td>{{ $student['fourth_pref'] }}</td>
            <td>{{ $student['course_name'] }}</td>
        </tr>
    @endforeach
</tbody>
     </table>
            
    