<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
  @if($internalmarks_det->isNotEmpty())
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" name="sem" value="{{ encrypt($sem) }}" >
    <input type="hidden" name="sub" value="{{ encrypt($sub) }}" >
    <input type="hidden" name="subtyp_id" value="{{ encrypt($subtyp_id) }}" >
     <div align="right">
    <a href="{{ route('inter.internalmrk.print', ['course' => $course, 'semester_id' => $sem, 'subtype_id' => $subtyp_id, 'sub_id' => $sub]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div>

    <div class="div_scroller">   
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
       
        <th rowspan="2" colspan="1"><b>Adno</b></th>
        <th rowspan="2" colspan="1"><b>Student Name</b></th>
        <th rowspan="1" colspan="3"><b>Test Paper Marks</b></th>
        @if($subtyp_id == '1')
        <th rowspan="2" colspan="1"><b>Assi. / Semi.<br>(Max.Mark = 2.5)</b></th>
        @else
        <th rowspan="2" colspan="1"><b>Viva / Practi. <br>(Max.Mark = 2.5)</b></th> 
        @endif
        <th rowspan="2" colspan="1"><b>Attendance<br>(Max. Mark = 2.5)</b></th>
        <th rowspan="2" colspan="1"><b>Total <br>(Max. Mark = 10)</b></th>
    </tr>
    <tr>
        <th rowspan="1" colspan="1">Test 1<br>(Max. Mark = 2.5)</th>
        <th rowspan="1" colspan="1">Test 2<br>(Max. Mark = 2.5)</th>
        <th rowspan="1" colspan="1">Mark Allotted <br> (Max. Mark = 5)</th>
    </tr>
    </thead>
     <tbody>
          @foreach($internalmarks_det as $student)
          @php
           $tot_test_mark = $student->test1+$student->test2;
           $tot_mark = $tot_test_mark+$student->assignment+$student->attendance;
          @endphp
          <tr>
              <td align="center">{{$student->studdet->adno}}</td>
              <td>{{$student->studdet->name}}</td>
              <td align="center">{{$student->test1}}</td>
              <td align="center">{{$student->test2}}</td>
              <td align="center">{{$tot_test_mark}}</td>
              <td align="center">{{$student->assignment}}</td>
              <td align="center">{{$student->attendance}}</td>
              <td align="center">{{$tot_mark}}</td>
          </tr>
          
           @endforeach
    </tbody>
    </table>
    </div>
   @else
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Internal Mark not Generated !</div>
            </div>
        </div>
    @endif
    </div>
  </div>
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
          <script src="{{ asset('public/js/studall.js') }}"></script> 
    <style>
    .div_scroller {
  overflow: auto;
  scrollbar-width: initial; /* Make the scrollbar thinner */
  scrollbar-color: #888 #f1f1f1; /* Thumb color and track color */
}