<li class="nav-item nav-item-mob">
    <a class="nav-link" href="{{ route('logout') }}" >
        <span class="menu-title">Sign Out</span>
        <i class="icon-logout menu-icon"></i>
    </a>
</li>
<li class="nav-item nav-item-mob">
    <a class="nav-link" href="{{ route('change.password') }}">
        <span class="menu-title">Change Password</span>
        <i class="icon-lock menu-icon"></i>
    </a>
</li>
@if($settings==1)
    <li class="nav-item nav-category">
        <a href="{{route('settings.home')}}" style="text-decoration:none"><span class="nav-link" style="color:#A4DDED"><i class="fa fa-cog fa-spin"></i></span></a>
    </li>
@endif
@if($menus->where('menu_category','admin')->count() > 0)
    <li class="nav-item nav-category">
        <span class="nav-link" style="color:#A4DDED">Main Navigation</span>
    </li>
    @foreach($menus->where('menu_category','admin') as $menu)
        <li class="nav-item">
            <a class="nav-link" 
               @if($menu->submenus->where('menu_type', 'dashboard')->whereIn('menu_id', $access)->count() > 0) 
                   data-toggle="collapse" 
                   href="#ui-basic{{ $menu->menu_id }}" 
                   aria-expanded="false" 
                   aria-controls="ui-basic{{ $menu->menu_id }}" 
               @elseif(!empty($menu->menu_route) && Route::has($menu->menu_route)) 
                   href="{{ route($menu->menu_route) }}" 
               @else 
                   href="javascript:void(0);" 
               @endif>
                <span class="menu-title">{{ $menu->menu_name }}</span>
                <i class="{{ $menu->menu_icon }} menu-icon"></i>
            </a>
            <div class="collapse" id="ui-basic{{$menu->menu_id}}">
                <ul class="nav flex-column sub-menu">
                    @foreach($menu->submenus->where('menu_type','dashboard')->whereIn('menu_id',$access) as $submenu)
                        <li class="nav-item"> <a class="nav-link" href="{{ route($submenu->menu_route) }}">{{ $submenu->menu_name }}</a></li>
                    @endforeach
                </ul>
            </div>
        </li>
    @endforeach
@endif

@if($menus->where('menu_category','lms')->count() > 0)
    <li class="nav-item nav-category">
        <span class="nav-link" style="color:#A4DDED">LMS</span>
    </li>
    @foreach($menus->where('menu_category','lms') as $menu)
        <li class="nav-item">
            <a class="nav-link" 
               @if($menu->submenus->where('menu_type', 'dashboard')->whereIn('menu_id', $access)->count() > 0) 
                   data-toggle="collapse" 
                   href="#ui-basic{{ $menu->menu_id }}" 
                   aria-expanded="false" 
                   aria-controls="ui-basic{{ $menu->menu_id }}" 
               @elseif(!empty($menu->menu_route) && Route::has($menu->menu_route)) 
                   href="{{ route($menu->menu_route) }}" 
               @else 
                   href="javascript:void(0);" 
               @endif>
                <span class="menu-title">{{ $menu->menu_name }}</span>
                <i class="{{ $menu->menu_icon }} menu-icon"></i>
            </a>
            <div class="collapse" id="ui-basic{{$menu->menu_id}}">
                <ul class="nav flex-column sub-menu">
                    @foreach($menu->submenus->where('menu_type','dashboard')->whereIn('menu_id',$access) as $submenu)
                        <li class="nav-item"> <a class="nav-link" href="{{ route($submenu->menu_route) }}">{{ $submenu->menu_name }}</a></li>
                    @endforeach
                </ul>
            </div>
        </li>
    @endforeach
@endif

@if($menus->where('menu_category','mainstream')->count() > 0)
    <li class="nav-item nav-category">
        <span class="nav-link" style="color:#A4DDED">Mainstream</span>
    </li>
    @foreach($menus->where('menu_category','mainstream') as $menu)
        <li class="nav-item">
            <a class="nav-link" 
               @if($menu->submenus->where('menu_type', 'dashboard')->whereIn('menu_id', $access)->count() > 0) 
                   data-toggle="collapse" 
                   href="#ui-basic{{ $menu->menu_id }}" 
                   aria-expanded="false" 
                   aria-controls="ui-basic{{ $menu->menu_id }}" 
               @elseif(!empty($menu->menu_route) && Route::has($menu->menu_route)) 
                   href="{{ route($menu->menu_route) }}" 
               @else 
                   href="javascript:void(0);" 
               @endif>
                <span class="menu-title">{{ $menu->menu_name }}</span>
                <i class="{{ $menu->menu_icon }} menu-icon"></i>
            </a>
            <div class="collapse" id="ui-basic{{$menu->menu_id}}">
                <ul class="nav flex-column sub-menu">
                    @foreach($menu->submenus->where('menu_type','dashboard')->whereIn('menu_id',$access) as $submenu)
                        <li class="nav-item"> <a class="nav-link" href="{{ route($submenu->menu_route) }}">{{ $submenu->menu_name }}</a></li>
                    @endforeach
                </ul>
            </div>
        </li>
    @endforeach
@endif
@if($menus->where('menu_category','library')->count() > 0)
    <li class="nav-item nav-category">
        <span class="nav-link" style="color:#A4DDED">Library</span>
    </li>
    @foreach($menus->where('menu_category','library') as $menu)
        <li class="nav-item">
            <a class="nav-link" 
               @if($menu->submenus->where('menu_type', 'dashboard')->whereIn('menu_id', $access)->count() > 0) 
                   data-toggle="collapse" 
                   href="#ui-basic{{ $menu->menu_id }}" 
                   aria-expanded="false" 
                   aria-controls="ui-basic{{ $menu->menu_id }}" 
               @elseif(!empty($menu->menu_route) && Route::has($menu->menu_route)) 
                   href="{{ route($menu->menu_route) }}" 
               @else 
                   href="javascript:void(0);" 
               @endif>
                <span class="menu-title">{{ $menu->menu_name }}</span>
                <i class="{{ $menu->menu_icon }} menu-icon"></i>
            </a>
            <div class="collapse" id="ui-basic{{$menu->menu_id}}">
                <ul class="nav flex-column sub-menu">
                    @foreach($menu->submenus->where('menu_type','dashboard')->whereIn('menu_id',$access) as $submenu)
                        <li class="nav-item"> <a class="nav-link" href="{{ route($submenu->menu_route) }}">{{ $submenu->menu_name }}</a></li>
                    @endforeach
                </ul>
            </div>
        </li>
    @endforeach
@endif
@if($menus->where('menu_category','accounts')->count() > 0)
    <li class="nav-item nav-category">
        <span class="nav-link" style="color:#A4DDED">Accounts</span>
    </li>
    @foreach($menus->where('menu_category','accounts') as $menu)
        <li class="nav-item">
            <a class="nav-link" 
               @if($menu->submenus->where('menu_type', 'dashboard')->whereIn('menu_id', $access)->count() > 0) 
                   data-toggle="collapse" 
                   href="#ui-basic{{ $menu->menu_id }}" 
                   aria-expanded="false" 
                   aria-controls="ui-basic{{ $menu->menu_id }}" 
               @elseif(!empty($menu->menu_route) && Route::has($menu->menu_route)) 
                   href="{{ route($menu->menu_route) }}" 
               @else 
                   href="javascript:void(0);" 
               @endif>
                <span class="menu-title">{{ $menu->menu_name }}</span>
                <i class="{{ $menu->menu_icon }} menu-icon"></i>
            </a>
            <div class="collapse" id="ui-basic{{$menu->menu_id}}">
                <ul class="nav flex-column sub-menu">
                    @foreach($menu->submenus->where('menu_type','dashboard')->whereIn('menu_id',$access) as $submenu)
                        <li class="nav-item"> <a class="nav-link" href="{{ route($submenu->menu_route) }}">{{ $submenu->menu_name }}</a></li>
                    @endforeach
                </ul>
            </div>
        </li>
    @endforeach
@endif