 @extends('layouts.template')
@section('title','Home')
@section('heading','')
@section('breadcrumb','Home/Student Attendance/Report')
@section('content')
<div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Report</b></div>
                <div class="card-body">



 <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course_id" class="required"><b>Program</b></label>
          <select class="form-control" id="course" name="course_id" required>
        <option value="">Select</option>
        @foreach($staffsubject as $crs)
        <option value="{{ $crs->course_id}}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
        @endforeach
        </select>
        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
         <label for="semester_id" class="required"><b>Semester</b></label>
        <select class="form-control" id="semester_id" name="semester_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="subject_id" class="required"><b>Course</b></label>
        <select class="form-control" id="sub_id" name="subject_id" required>
        <option value="">select</option>
        </select>
        <div id="error-message" style="display: none; color: red; font-weight: bold; margin-top: 10px;"></div>

        </div>
        </div>
        
        <div class="col-md-3">
                        <div class="form-group">
                            <label for="batch_id"><b>Batch</b></label>
                            <select class="js-example-basic-single form-control" id="batch_id" name="batch_id">
                                <option value="">select</option>
                               
                            </select>
                        </div>
                    </div>
        
        
         <div class="col-md-3">
        <div class="form-group">
        <label for="from_date" class="required"><b>From Date</b></label>
        <input type="date" class="form-control" id="from_date" name="from_date" required>
         @error('from_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
             </div>
         </div>
        
        <div class="col-md-3">
                        <div class="form-group">
                            <label for="to_date" class="required"><b>To Date</b></label>
                            <input type="date" class="form-control" id="to_date" name="to_date" required>
                            @error('to_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
        
         </div>
         
          <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right" id="btn-get">Get Details</button>
        </div>
        </div>
        </div>
        
         
         
         </div>
         </div>
         </div>
         </div>
          <div class="row">
    <div class="col-lg-12 grid-margin stretch-card" id="result">
            
    </div>
    </div>
         
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
    <script src="{{ asset('public/js/bsubj.js?ver=1.88') }}"></script>
    <script src="{{ asset('public/js/totalpresent.js?ver=1.86') }}"></script>
         
         @endsection
         
         
         
         
         