<div class="card" style="border-top: 3px solid #004170">
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <br>
                    <table id="table-fine" class="table table-bordered">
                        <thead style="background-color: #8FBC8F">
                             <tr>
     
        <th rowspan="2" colspan="1"><b>#</b></th>
        <th rowspan="2" colspan="1"><b>Course</b></th>
        <th rowspan="1" colspan="3"><b>Test Paper Marks</b></th>
        @if($stafftype == '1')
        <th rowspan="2" colspan="1"><b>Assi. / Semi.<br>(Max.Mark = 2.5)</b></th>
        @else
        <th rowspan="2" colspan="1"><b>Viva / Practi. <br>(Max.Mark = 2.5)</b></th> 
        @endif
        <th rowspan="2" colspan="1"><b>Attendance<br>(Max. Mark = 2.5)</b></th>
        <th rowspan="2" colspan="1"><b>Total <br>(Max. Mark = 10)</b></th>
    </tr>
    <tr>
        <th rowspan="1" colspan="1">Test 1<br>(Max. Mark = 2.5)</th>
        <th rowspan="1" colspan="1">Test 2<br>(Max. Mark = 2.5)</th>
        <th rowspan="1" colspan="1">Mark Allotted <br> (Max. Mark = 5)</th>
    </tr>
               
                        </thead>
                        <tbody>
                            @foreach($internalmarks as $internalmark)
                                @if($internalmark)
                                    @php
                                        // Calculate the total test marks and the total marks for each subject
                                        $tot_test_mark = $internalmark->test1 + $internalmark->test2;
                                        $tot_mark = $tot_test_mark + $internalmark->assignment + $internalmark->attendance;
                                    @endphp
                                    <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $internalmark->subject_name ?? '' }}</td>
                                        <td>{{ $internalmark->test1 ?? '' }}</td>
                                        <td>{{ $internalmark->test2 ?? '' }}</td>
                                        <td>{{$tot_test_mark ?? ''}}</td>
                                        <td>{{ $internalmark->assignment ?? '' }}</td>
                                        <td>{{ $internalmark->attendance ?? '' }}</td>
                                        <td>{{ $tot_mark ?? '' }}</td>
                                    </tr>
                                @endif
                            @endforeach
                        </tbody>
                    </table>
                    <div id="load"></div>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
    /* Your custom styles */
    .totalstudent {
        color: black;
        font-size: 22px;
        font-weight: bold;
        padding: 10px;
        margin: 5px;
        background-color: #eaf0f1;
        border: 2px solid #3498db;
        border-radius: 5px;
        text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
        font-family: 'Arial', sans-serif;
        display: inline-block;
    }

    input[type="checkbox"] {
        width: 2em;
        height: 2rem;
        display: inline-block;
        margin: 0;
        accent-color: green;
    }

    .container {
        display: flex; /* Flexbox for better alignment */
        align-items: center; /* Center align vertically */
        justify-content: center; /* Center align horizontally */
    }
</style>
