@extends('layouts.student-template')
@section('title','Home')
@section('heading','Tutorial')
@section('breadcrumb','Home/Tutorial/View')
@section('content')
 
@if ($tutorial->isNotEmpty())

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>View Tutorial</b></div>    
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th><b>Subject</b></th>
                                <th><b>Title</b></th>
                                <th><b>Content</b></th>
                                <th><b>Attachment</b></th>
                            </tr>
                        </thead>
                        <tbody>
                            @php $p=0;  @endphp
                            @foreach($tutorial as $tutorials)
                                @php
                                   
                                    $fileUrl = url('public/uploads/staff/tutorial/' . $tutorials->file);

                                   
                                @endphp

                              
                                @php $p++; @endphp
                                    <tr>
                                        <td>{{ $p }}</td>
                                        <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                            {{ $tutorials->subject_name }}
                                        </td>
                                        <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                            {{ $tutorials->title }}
                                        </td>
                                        <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                            {{ $tutorials->content }}
                                        </td>
                                        <td>
                                            <a href="{{ $fileUrl }}" target="_blank">
                                                <i class="fas fa-paperclip"></i> Download
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach
                          
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@else
    <div class="row">
        <div class="col-12">
            <div class="alert alert-danger">Tutorial not Found!</div>
        </div>
    </div>
@endif
  
        <style>
   
        
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
      @endsection