<style>
    @media print{
        @page{
            margin:0;
        }
        body{
            background-repeat: repeat;
        }
    }
    *{
        font-family:Times;
        font-size:16px;
        line-height:22px;
    }
    body{
        /*background-image: url({{url('public/images/tc_template_new.svg')}});*/
        background-size: cover;
    }
    #title{
        font-size:18px;
        font-weight:bold;
        text-decoration: underline;
    }
    .container{
        margin-top:20px;
        margin-left:35px;
        width:86%;
        padding:20px;
    }
    table tr{
        height:20px;
    }
    table td{
        vertical-align: top;
    }
    .tablecss{
          height: 20px; 
    }
   .tablecss tr {
         vertical-align: top;
    padding: 2px; 
    line-height: 1px; 
    }
</style>
<body onload="print()">
     <div class="container">
     <table class="tablecss" width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="{{ asset('public/uploads/logo/'.$institution->logo) }}" alt="{{ $institution->logo }}" height="50px"></td>
                    <td width="50%" align="center">{{ $institution->name }}</td>
                    <td width="25%" rowspan="4" align="center"></td>
                </tr>
              <tr><td align="center">{{ $institution->affiliation }}</td></tr>
                <tr><td align="center">{{ $institution->address }}</td></tr>
                <tr><td align="center">{{ 'Ph : '.$institution->mobile.' '.$institution->landline }}</td></tr>
            </table>
   <br>
        <div class="head">
            <center><div id="title">TRANSFER & CONDUCT CERTIFICATE</div></center>
            <br>
           
            <table width="100%">
                <tr>
                    <td colspan="3" style="padding-left:15px;"><b>TC No. : {{ strtoupper($tcdetails->tcno) }}</b></td>
                    <td colspan="5" align="right" style="padding-right:40px;"><b>Admission No. : {{ strtoupper($tcdetails->student->adno) }}</b></td>
                </tr>
                <tr>
                    <td colspan="8">&nbsp;</td>
                </tr>
                <tr>
                    <td align="center" width="5%">1</td>
                    <td colspan="2" width="35%">Name of Student</td>
                    <td align="center" width="2%">:</td>
                    <td colspan="3"><b>{{ strtoupper($tcdetails->student->name) }}</b></td>
                    <td rowspan="5" width="15%">@if($tcdetails->student->photo!='' && $tcdetails->student->photo!='student.png') <img src="{{ asset('public/uploads/student/photo/'.$tcdetails->student->photo) }}" width="100px" height="120px"> @endif</td>
                </tr>
                <tr>
                    <td align="center">2</td>
                    <td colspan="2">Date of Birth</td>
                    <td align="center">:</td>
                    <td colspan="3"><b>{{ $tcdetails->student->dob_formatted }}</b></td>
                </tr>
                <tr>
                    <td align="center"></td>
                    <td colspan="2" align="right"></td>
                    <td align="center"></td>
                    <td colspan="3"><b>({{ ucwords(date_words($tcdetails->student->dob)) }})</b></td>
                </tr>
                <tr>
                    <td align="center">3</td>
                    <td colspan="2">Aadhar No</td>
                    <td align="center">:</td>
                    <td colspan="3"><b>{{ strtoupper($tcdetails->student->aadhar) }}</b></td>
                </tr>
                <tr>
                    <td align="center">4</td>
                    <td colspan="2">Date of Admission & Class</td>
                    <td align="center">:</td>
                    <td colspan="3">
                        <b>{{ $tcdetails->student->adate_formatted.', '.$tcdetails->student->semester->semester_name.' '.$tcdetails->student->course->course_name }}</b>
                    </td>
                </tr>
                <tr>
                    <td align="center">5</td>
                    <td colspan="2">Date of Leaving & Class</td>
                    <td align="center">:</td>
                    <td colspan="4">
                        <b>{{ $tcdetails->ldate_formatted.', '.$tcdetails->semester->semester_name.' '.$tcdetails->course->course_name }}</b>
                    </td>
                </tr>
                <tr>
                    <td align="center">6</td>
                    <td colspan="2">Subjects or Portions Studied</td>
                    <td align="center">:</td>
                    <td colspan="4"><b>{{ $tcdetails->subjects }}</b></td>
                </tr>
                <tr>
                    <td align="center">7</td>
                    <td colspan="2">Reason for Leaving</td>
                    <td align="center">:</td>
                    <td colspan="4"><b>{{ $tcdetails->reason }}</b></td>
                </tr>
                <tr>
                    <td rowspan="5" align="center">8</td>
                    <td rowspan="3" width="5%">A)</td>
                    <td rowspan="3">University Examination for which the Student has been Last Registered</td>
                    <td rowspan="3" align="center"></td>
                    <td width="10%">Exam</td>
                    <td width="2%" align="center">:</td>
                    <td colspan="2" width="46%"><b>{{ $tcdetails->exam }}</b></td>
                </tr>
                <tr>
                    <td>Year</td>
                    <td align="center">:</td>
                    <td colspan="2" ><b>{{ $tcdetails->year }}</b></td>
                </tr>
                <tr>
                    <td>Reg No</td>
                    <td align="center">:</td>
                    <td colspan="2" ><b>{{ $tcdetails->regno }}</b></td>
                </tr>
                <tr>
                    <td>B)</td>
                    <td>Whether the Student has Appeared for the Examination</td>
                    <td align="center">:</td>
                    <td colspan="4"><b>{{ $tcdetails->appear }}</b></td>
                </tr>
                <tr>
                    <td>C)</td>
                    <td>Result of the Examination</td>
                    <td align="center">:</td>
                    <td colspan="4"><b>{{ $tcdetails->result }}</b></td>
                </tr>
                <tr>
                    <td align="center">9</td>
                    <td colspan="2">Date of Application for TC</td>
                    <td align="center">:</td>
                    <td colspan="4"><b>{{ $tcdetails->adate_formatted }}</b></td>
                </tr>
                <tr>
                    <td align="center">10</td>
                    <td colspan="2">Character & Conduct</td>
                    <td align="center">:</td>
                    <td colspan="4"><b>{{ $tcdetails->conduct }}</b></td>
                </tr>
                <tr>
                    <td colspan="8" style="height:60px;">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="4"><b>DATE : {{ date('d/m/Y') }}</b></td>
                    <td colspan="4" align="center"><b>PRINCIPAL</b></td>
                </tr>
            </table>
        </div>
    </div>
</body>