@extends('layouts.template')
@section('title','Home')
@section('heading','Duplicate Fee Report')
@section('breadcrumb','Home/Student/Duplicate Fee Report')
@section('content')
  <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(492,322)) }}
          
        
    </div>     
    <div class="card-body">
  
  
   <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Duplicate TC Payment Report</b></div>
                <div class="card-body">
  
  
  
  
 
    
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Receipt No</th>
					<th>Adm No</th>
					<th>Student Name</th>
					<th>Fee Amount</th>
					<th>Paid Date</th>
					<th>Payment Mode</th>
					<th>Actions</th>
                </tr>
                </thead>
                <tbody>
                    @foreach($duplicatetc_fees as $fee)
                        <tr>
                            <td align="center">{{ $loop->iteration }}</td>
                            <td align="center">{{ $fee->receipt_no}}</td>
                            <td align="center">{{ $fee->student->adno}}</td>
                            <td align="center">{{ strtoupper($fee->student->name)}}</td>
                            <td>{{ $fee['amount'] }}</td>
                            <td>{{date('d-m-Y',strtotime($fee->paid_date)) }}</td>
                            <td align="center">{{ strtoupper($fee->mode->mode_name) }}</td>
                            <td><a href="{{route('duplicate.tc.payment.print',['id' => $fee->dtcfees_id])}}" target="_blank"><i  style="font-size:20px" class="icon-sm icon-printer text-success"></i></a></td>
                        </tr>
                    @endforeach   
                </tbody>
            </table>
        </div>
    </div>
     </div>
    </div>
    
     </div>
    </div>
     </div>
    </div>
@endsection