@extends('layouts.template')
@section('title','Home')
@section('heading','Duplicate TC-Pending')
@section('breadcrumb','Home/Student/Duplicate TC-Pending')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
       {{ app_button_links_v(array(493,320)) }}
    </div>
       
       
       <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
                
                
            <div class="card-header" style="background-color:#005A9C;color:white"><b>Pending Request</b></div>
            <div class="card-body"> 
       
       
       
       
       
       
  
    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Student Name</b></th>
                            
                            <th><b>Admission No.</b></th>
                            <th><b>Attachment1</b></th>
                            <th><b>Attachment2</b></th>
                            <th><b>view</b></th>

                        </tr>
                        </thead>
                        <tbody>
                            @forelse($duplicatetc as $tc)
                                <tr>
                                    <td>{{strtoupper($tc->student->name)}}</td>
                                    <td>{{$tc->student->adno}}</td>
                                   <td>
                                         @php
    $fileUrl = url('storage/uploads/duplicatetc/attachments/' . $tc->upload1);
@endphp
<a href="{{ $fileUrl }}" target="_blank">
 
    <i class="fas fa-paperclip"></i> Download
</a>
      </td>                                      
                                    
                                        
                                        
                                    
                                    <td>
                                       @php
    $fileUrl = url('storage/uploads/duplicatetc/attachments/' . $tc->upload2);
@endphp  
  <a href="{{ $fileUrl }}" target="_blank">
  
    <i class="fas fa-paperclip"></i> Download
</a>                                      
                                        
                                    </td>

                                        <td>
                                        <!--<a href="{{route('duplicate.tc.view',['tc_id'=>$tc->duptc_id])}}"><i class="fa-solid fa-magnifying-glass"></i></a> -->
                                        <button type="button" class="btn view-btn" data-url="{{ route('duplicate.tc.view', ['tc_id' => $tc->duptc_id]) }}">
                                            <i class="fa-solid fa-magnifying-glass"></i>
                                        </button>
                                        </td>
                                   

                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table> 
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
</div>
</div>
</div>
</div>

</div>
</div>
</div>
</div>




<div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="viewModalLabel">Request Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <!-- Content will be injected here -->
                </div>
            </div>
        </div>
    </div>




<style>
    
      .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
	
        .form-control{
            border:1px solid #E8E8E8;
        }
.modal-dialog.modal-sm {
    max-width: 50%; /* Adjust the width as needed */
}
</style>
 <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>
    $(document).ready(function() {
        $('.view-btn').on('click', function(e) {
            e.preventDefault();
            var url = $(this).data('url');

            $.get(url, function(data) {
                $('#viewModal .modal-body').html(data);
                $('#viewModal').modal('show');
            });
        });
    });
</script>

@endsection