<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="<?php echo e($course); ?>">
    <input type="hidden" id="sem_id" name="sem_id" value="<?php echo e($semester_id); ?>">
   

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
   
    <input type="hidden" name="crs_id" value="<?php echo e(encrypt($course)); ?>" >
    <input type="hidden" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>" >
   
   <div align="right">
    <a href="<?php echo e(route('coexternalmrkreport.print', ['course' => $course, 'semester_id' => $semester_id])); ?>" target="blank_"><img src="<?php echo e(asset('public/uploads/logo/print.png'
)); ?>"  height="30px"></a></div> 
<div class="div_scroller">
     <?php if(!empty($students)): ?>
    
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
          
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Adno</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Roll no</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Student Name</th>
            <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subj): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
           
            <th rowspan="1" colspan="3"><?php echo e($subj->subject_name); ?>(Max Mark :  <?php echo e($subj->sub_max_mark); ?> )</th>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tr>
      <tr>
          <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subj): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
         
          <th>Mark Obtained</th>
		  <th>% of Marks</th>
		  <th>Achievement Level</th>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </tr>
        
     </thead>
     <tbody>
           <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<?php
$mrk_stud_total = 0; $k = 0;
?>
<tr>
    <td><?php echo e($student->adno); ?></td>
    <td><?php echo e($student->rollno); ?></td>
    <td><?php echo e($student->name); ?></td>
    <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subj): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php
    $k++; $mrk_sub = $sub_max = 0;
    $subID = $subj->subject_id;  // Using subject_id directly
    $mrk_sub = $subj->marklists->whereIn('sem_id', $semesterIds)
                                
                                ->where('stud_id', $student->student_id)
                                ->where('ac_id', $ac_id)
                                ->pluck('mark')->first();
    $sub_max = $subj->sub_max_mark;  // This is set from the controller
    
    $percentage = isset($externalpercentage) && $externalpercentage ? $externalpercentage->percentage : 0;
    $mark_per = $mrk_sub * $percentage / 100;
    $outcome_cnt = $subj->subco->whereIn('semester_id', $semesterIds)
                               
                                ->count();

    $mrk_tot = $outcome_cnt != 0 ? $mark_per / $outcome_cnt : 0;
    $mrk_stud_total += $mrk_tot;

    $percen_mrk = $sub_max != 0 ? ($mrk_sub / $sub_max) * 100 : 0;

    $ach_lvl = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percen_mrk)
                                                 ->where('t_per', '>=', $percen_mrk)
                                                 ->first();
    ?>
    <td><?php echo e($mrk_sub); ?></td>
    <td><?php echo e(round(number_format($percen_mrk, 2))); ?></td>
    <td><?php echo e($ach_lvl->level); ?></td>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</tr>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
     </tbody>
    </table>
  
    <?php else: ?>
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    <?php endif; ?>
    </div> 
     </div>
    </div>
    </div>
  </div>
</div> 
  <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/studall.js')); ?>"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       
        .div_scroller{
    	overflow:auto;
      }

        
    </style>  
  <?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/view_coexternalmrkreport.blade.php ENDPATH**/ ?>