<div class="card">
    <div class="card-body">
        <?php if($pathway_det): ?>
            <form action="<?php echo e(route('studentlog.preferences.save')); ?>" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <input type="hidden" id="course" name="course" value="<?php echo e(encrypt($course)); ?>">
                <input type="hidden" id="sem_id" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>">
                <div class="row">
                    <div class="col-12 text-center">
                        <div class="form-group">
                            <h4>PATHWAY : <?php echo e($pathway_det?->pathwayName->pathway); ?></h4>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="sgpa" class="required">Previous Percentage</label>
                            <input type="text" class="form-control <?php $__errorArgs = ['sgpa'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="sgpa" name="sgpa" value="<?php echo e(isset($studminorI_first) ? $studminorI_first->sgpa : ''); ?>" required>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="minorI2">DSC B - Minor I</label>
                            <select class="js-example-basic-single form-control" id="minorI2" name="minorI2" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($minI->subject_id); ?>" <?php echo e(isset($studminorI_first) && $studminorI_first->pref_Id==$minI->subject_id  ? "selected":""); ?>><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="minorI2">DSC C - Minor II</label>
                            <select class="js-example-basic-single form-control" id="minorII2" name="minorII2" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($minII->subject_id); ?>" <?php echo e(isset($studminorII_first) && $studminorII_first->pref_Id==$minII->subject_id  ? "selected":""); ?>><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="mdcI2">MDC I</label>
                            <select class="js-example-basic-single form-control" id="mdcI2" name="mdcI2" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($mdcI->subject_id); ?>" <?php echo e(isset($studmdcI_first) && $studmdcI_first->pref_Id==$mdcI->subject_id  ? "selected":""); ?>><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success float-right">Submit</button>
                        </div>
                    </div>
                </div>
            </form>
        <?php else: ?>
            <div class="alert alert-danger"><h4>Please Set Pathway !</h4></div>
        <?php endif; ?>
    </div>
</div>

<!--
<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
     <div align="right">
   <?php if($pathway_det): ?>
   <form action="<?php echo e(route('studentlog.preferences.save')); ?>" method="post" enctype="multipart/form-data" class="styled-form">
    <?php echo csrf_field(); ?>
    <input type="hidden" id="course" name="course" value="<?php echo e(encrypt($course)); ?>">
    <input type="hidden" id="sem_id" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>">
    <div class="form-header">
   
  
    <table width="100%"><tr><td>
    <b>PATHWAY : <?php echo e($pathway_det->pathwayName->pathway); ?></b></td></tr></table> </div>
    <hr>
    <div class="row">
        <div class="col-md-3">
            <div class="form-group">
                <label for="sgpa" class="required"><b>Previous Percentage</b></label>
                <input type="text" class="form-control <?php $__errorArgs = ['sgpa'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="sgpa" name="sgpa" value="<?php echo e(isset($studminorI_first) ? $studminorI_first->sgpa : ''); ?>" required>
            </div>
        </div>
    </div>
    
     <div class="preferences-section">
    <h5 class="section-title">Minor I Preferences</h5>
                            <div class="row">
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI2"><b>Minor I(DSC A) [1'st Preference]</b></label>
                                     <select class="form-control" id="minorI2" name="minorI2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>" <?php echo e(isset($studminorI_first) && $studminorI_first->pref_Id==$minI->subject_id  ? "selected":""); ?>><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefII2"><b>Minor I(DSC A) [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefII2" name="minorI_prefII2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>" <?php echo e(isset($studminorI_second) && $studminorI_second->pref_Id==$minI->subject_id  ? "selected":""); ?>><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIII2"><b>Minor I(DSC A) [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIII2" name="minorI_prefIII2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>" <?php echo e(isset($studminorI_third) && $studminorI_third->pref_Id==$minI->subject_id  ? "selected":""); ?>><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIV2"><b>Minor I(DSC A) [4'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIV2" name="minorI_prefIV2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>" <?php echo e(isset($studminorI_four) && $studminorI_four->pref_Id==$minI->subject_id  ? "selected":""); ?>><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                        </div>
                        <br>
                       <div class="row">
                         <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefV2"><b>Minor I(DSC A) [5'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefV2" name="minorI_prefV2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>" <?php echo e(isset($studminorI_five) && $studminorI_five->pref_Id==$minI->subject_id  ? "selected":""); ?>><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                        </div>
                        
                       
                        <h5 class="section-title">Minor II Preferences</h5>
                            <div class="row">
                           
                           
                           
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII2"><b>Minor II(DSC B) [1'st Preference]</b></label>
                                     <select class="form-control" id="minorII2" name="minorII2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>" <?php echo e(isset($studminorII_first) && $studminorII_first->pref_Id==$minII->subject_id  ? "selected":""); ?>><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefII2"><b>Minor II(DSC B) [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefII2" name="minorII_prefII2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>" <?php echo e(isset($studminorII_second) && $studminorII_second->pref_Id==$minII->subject_id  ? "selected":""); ?>><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            
                              
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIII2"><b>Minor II(DSC B) [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIII2" name="minorII_prefIII2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>" <?php echo e(isset($studminorII_third) && $studminorII_third->pref_Id==$minII->subject_id  ? "selected":""); ?>><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>    
                                
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIV2"><b>Minor II(DSC B) [4'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIV2" name="minorII_prefIV2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>" <?php echo e(isset($studminorII_four) && $studminorII_four->pref_Id==$minII->subject_id  ? "selected":""); ?>><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                        </div>
                       
                        
                        
                           <div class="row">
                                
                            
                          
                                
                          
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefV2"><b>Minor II(DSC B) [5'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefV2" name="minorII_prefV2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>" <?php echo e(isset($studminorII_five) && $studminorII_five->pref_Id==$minII->subject_id  ? "selected":""); ?>><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                         
                        </div>
                        
                        
                         <br>
                        
                        <h5 class="section-title">MDC I Preferences</h5>
                            <div class="row">
                                
                                 <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI2"><b>MDC I [1'st Preference]</b></label>
                                     <select class="form-control" id="mdcI2" name="mdcI2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($mdcI->subject_id); ?>" <?php echo e(isset($studmdcI_first) && $studmdcI_first->pref_Id==$mdcI->subject_id  ? "selected":""); ?>><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI_prefII2"><b>MDC I [2'nd Preference]</b></label>
                                     <select class="form-control" id="mdcI_prefII2" name="mdcI_prefII2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($mdcI->subject_id); ?>" <?php echo e(isset($studmdcI_second) && $studmdcI_second->pref_Id==$mdcI->subject_id  ? "selected":""); ?>><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                                
                                
                               <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIII2"><b>MDC I [3'rd Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIII2" name="mdcI_prefIII2">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>" <?php echo e(isset($studmdcI_third) && $studmdcI_third->pref_Id==$mdcI->subject_id  ? "selected":""); ?>><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIV2"><b>MDC I [4'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIV2" name="mdcI_prefIV2">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>" <?php echo e(isset($studmdcI_four) && $studmdcI_four->pref_Id==$mdcI->subject_id  ? "selected":""); ?>><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefV2"><b>MDC I [5'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefV2" name="mdcI_prefV2">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>" <?php echo e(isset($studmdcI_five) && $studmdcI_five->pref_Id==$mdcI->subject_id  ? "selected":""); ?>><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                                
                            </div>
                      
                        </div>
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Submit</button>
                                </div>
                            </div>
                        </div>
                    
    
    
    
    </form>
    <?php else: ?>
     <div class="alert alert-warning" align="center">
                        <strong><font color="red" size="5">Please Set Pathway!</font></strong>
                    </div>
    <?php endif; ?>
    </div>
    </div>
    <style>
    .styled-form {
        border: 2px solid #004170;
        padding: 20px;
        border-radius: 10px;
        background: #f9f9f9;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }

    .form-header {
        font-size: 18px;
        margin-bottom: 10px;
    }

    .section-title {
        background-color: #004170;
        color: white;
        padding: 10px;
        border-radius: 5px;
        font-size: 16px;
        margin-bottom: 15px;
        text-align:left;
    }

    .form-group {
        margin-bottom: 15px;
    }

    .form-footer {
        margin-top: 20px;
    }

    .form-footer .btn {
        font-size: 16px;
        padding: 10px 20px;
    }
</style>-->
<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<?php /**PATH /home/relents/public_html/stjosephscollege.relents.in/resources/views/studentlogin/fyugp/get_preferences.blade.php ENDPATH**/ ?>