

<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Exam Chart'); ?>
<?php $__env->startSection('breadcrumb','Home/Exam/Exam Chart'); ?>
<?php $__env->startSection('content'); ?>
   <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              <?php echo e(app_button_links_v(array(635,637,638,639,661,671))); ?>

          
        
    </div>     
    <div class="card-body">


       <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Exam Chart</b></div>
                <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Program</b></label>
                                    <select class="form-control" id="course" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
            <div class="form-group">
                 <label for="exam_id" class="required"><b>Examination</b></label>
                <select class="form-control" id="exam_id" name="exam_id" required>
                    <option value="">select</option>
                </select>
            </div>
                            </div>
                            </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        
        
          </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
        
        
        
        
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
     <script src="<?php echo e(asset('public/js/semester.js')); ?>"></script> 
     <script src="<?php echo e(asset('public/js/studentviewexam.js')); ?>"></script>
    <script>
        $(document).ready(function(){
    
            $("#btn-get").on('click',function(){
                var cid = $('#course').val();
               var sid = $('#semester_id').val();
               var eid=$('#exam_id').val();
                $("#result").html('');
                $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
                if(cid=='' || sid==''){
                    alert('Please select all mandatory fields !');
                }else{
                    $.ajax({
                        type : 'GET',
                        url : '../chart-get',
                        data : {cid:cid,sid:sid,eid:eid},
                        success : function(response){
                            $("#result").html('');
                            $("#result").append(response);
                        }
                    });
                }
            });
        });
    </script>
    <style>
                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/internalassessment/examchart.blade.php ENDPATH**/ ?>