
<?php $__env->startSection('title', 'Home'); ?>
<?php $__env->startSection('heading', 'Set Salary'); ?>
<?php $__env->startSection('breadcrumb', 'Home'); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Set Salary Deduction</b></div>
            <div class="card-body">
                <form action="<?php echo e(route('salary.deduction.set.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="slrydedu_id">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Type</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <input type="radio" name="type" value="Amount" id="amount" onclick="setInputValue('amount')" <?php echo e(isset($salaryDeduction)  && $salaryDeduction->type == 'Amount' ? 'checked' : ''); ?>> Amount
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <input type="radio" name="type" value="Percentage" id="percentage" onclick="setInputValue('percentage')" <?php echo e(isset($salaryDeduction) && $salaryDeduction->type =='Percentage' ? 'checked' : ''); ?>> Percentage
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Percentage/Amount</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <input type="text" name="percentage_amount" class="form-control" id="percentage_amount" value="<?php echo e($salaryDeduction->percentage_amount ?? ''); ?>">
                            </div>
                        </div>
                    </div>
               
               <div class="row">
                <div class="col-md-12">   
                <input type="submit" name="sub" value="Submit" class="btn btn-primary float-right">   
                   </div>
                   </div>
               
               
               
               
                </form>
            </div>
        </div>
    </div>
</div>

<style>
    .card-body {
        border-left: 1px solid #DCDCDC;
        border-right: 1px solid #DCDCDC;
        border-bottom: 1px solid #DCDCDC;
    }
</style>

<script>
    function setInputValue(type) {
        const inputField = document.getElementById('percentage_amount');
        if (type === 'amount') {
            inputField.value = '0.0';
        } else if (type === 'percentage') {
            inputField.value = '%';
        }
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/salary/salary_deduction_set.blade.php ENDPATH**/ ?>