
<div class="card">
            <div class="card-body">
                <?php if($tasks->isNotEmpty()): ?>
                 <form action="<?php echo e(route('staff.pending.task.save')); ?>" method="post">
                 <?php echo csrf_field(); ?>
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <?php if($status== '0'): ?>
                        <th rowspan="2">
                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
                            </div>
                        </th>
                        <?php endif; ?>
                        <th>Task</th>
                        <th>Deadline</th>
                        <th>Status</th>
                        <th>Remarks</th>
                        
                    </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tsk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php
                         $datetime = new DateTime($tsk->dead_line);
                         
                         ?>
                        <tr>
                            <?php if($status== '0'): ?>
                            <td align="center" >
                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($tsk->id); ?>"></label>
                                </div>
                            </td> 
                            <?php endif; ?>
                            <td><?php echo e(strtoupper($tsk->task)); ?></td>
                            
                            <td><?php echo e($datetime->format('d-m-Y h:i A')); ?></td>
                            <td>
                                 <select class="form-control" id="status<?php echo e($tsk->id); ?>" name="status<?php echo e($tsk->id); ?>" required>
                                    <option value="">Select Status</option>
                                    <option value="0" <?php echo e(old('status', $tsk->status) == 0 ? "selected" : ""); ?>>Pending</option>
                                    <option value="1" <?php echo e(old('status', $tsk->status) == 1 ? "selected" : ""); ?>>Completed</option>
                                </select>
                            </td>
                            <td><textarea class="form-control remark" id="<?php echo e('remark'. $tsk->id); ?>" name="remark<?php echo e($tsk->id); ?>" onkeypress="return isNumberKey(event);"><?php echo e($tsk->remark); ?></textarea> 
</td>
                        </tr>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <br>
                <?php if($status== '0'): ?>
                <div class="row">
                             
               <div class="col-md-12">
                  <div class="form-group">
                    <button type="submit" class="btn btn-primary float-right">Submit</button>
                 </div>
               </div>
    </div> <?php endif; ?>
    </form>
      <?php else: ?>
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger"> NO <?php echo e($status_name); ?> TASK FOUND !</div>
            </div>
        </div>
    <?php endif; ?>
            </div>
        </div>
     <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
            <script>
            $(document).ready(function(){
                
               
                $("#checkAll").on('click',function () {
                    if($(this).is(':checked')){
                        $('.checkSub').each(function(){
                            this.checked = true;
                        });
                    }else{
                        $('.checkSub').each(function(){
                            this.checked = false;
                        });
                    }
                });
            });
            </script> 
     <?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/Lms/Staff/get_my_task_view.blade.php ENDPATH**/ ?>