
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','View Student'); ?>
<?php $__env->startSection('breadcrumb','Home/Student/Student Information/View Student'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Personal Information</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Admission No</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->adno); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->name); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Gender</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e(ucfirst($student->gender)); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Permanent Address</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->paddress); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Communication Address</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->caddress); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Mobile</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->mobile); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Email</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->email); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Date of Birth</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->dob_formatted); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Aadhar No</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->aadhar); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Father's Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->fname); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Father's Occupation</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->foccupation); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Mother's Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->mname); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Mother's Occupation</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->moccupation); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Guardian Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->gname); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Guardian Address</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->gaddress); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Guardian mobile</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->gmobile); ?></div>
                            </div>
                        </div>
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Photo</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">
                                    <?php if(!empty($student->photo)): ?>
                                        <img src="<?php echo e(asset('public/uploads/student/photo/'.$student->photo)); ?>" alt="<?php echo e($student->photo); ?>" height="160px">
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Blood Group</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->bgroup); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Religion</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <?php if($student->religion_id !=NULL): ?>
                                <div class="col-6"><?php echo e($student->religion->religion_name); ?></div>
                                <?php else: ?>
                                 <div class="col-6"></div>
                                 <?php endif; ?>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Caste</div>
                                <div class="col-1 font-weight-bold">:</div>
                                 <?php if($student->caste_id !=NULL): ?>
                                <div class="col-6"><?php echo e($student->caste->caste); ?></div>
                                 <?php else: ?>
                                 <div class="col-6"></div>
                                 <?php endif; ?>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Category</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->category); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">APL/BPL</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->pline); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Annual Income</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->income); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Day Scholar</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->dscholar); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Accomodation Details</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->accomodation); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Malankara Catholic Community</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->catholic); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Name of Parish</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->parish); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Physically Handicaped</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->physical); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color: #004170;color:white;"><b>Academic Information</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Institution Last Studied</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->lastinst); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Program Last Studied</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->lastcourse); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Year of Study</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->lastyear); ?></div>
                            </div>
                        </div>
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">SSLC Marks (%)</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->sslc); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Plus Two Marks (%)</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->plustwo); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Degree Marks (%)</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->degree); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color: #004170;color:white;"><b>Program Information</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Admission Date</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->adate_formatted); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Academic Year</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->acyear->start_date_formatted.' - '.$student->acyear->end_date_formatted); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Program</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->course->course_name); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Semester</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->semester->semester_name); ?></div>
                            </div>
                        </div>
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Common Course Selected</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->seclang); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Fee Category</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->categ->category_name ?? null); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Admission Quota</div>
                                <div class="col-1 font-weight-bold">:</div>
                                 <?php if($student->quota !=NULL): ?>
                                <div class="col-6"><?php echo e($student->quotaaa->quota ?? ''); ?></div>
                                <?php else: ?>
                                 <div class="col-6"></div>
                                 <?php endif; ?>
                                
                               
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Class No</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($student->clno); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
.back-button {
  display: inline-flex;
  align-items: center;
  color: red;
  text-decoration: none;
  font-family: Arial, sans-serif;
  font-size: 16px;
  margin: 10px;
}


.back-button svg {
  margin-right: 8px;
  transition: transform 0.3s ease;
}


.back-button:hover svg {
  transform: translateX(-5px); 
}


.back-button:hover {
  color: darkred;
}

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/students/view.blade.php ENDPATH**/ ?>