
<?php $__env->startSection('title','Attendance Grade'); ?>
<?php $__env->startSection('heading','Attendance Grade'); ?>
<?php $__env->startSection('breadcrumb','Settings / Attendance Grade'); ?>
<?php $__env->startSection('content'); ?>


<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">

    <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Attendance Grade</b></div>
        <div class="card-body">
        <form action="<?php echo e(route('attendance.grade.save')); ?>" method="post">
        <?php echo csrf_field(); ?>
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="gr_from" class="required"><b>Grade Range From</b></label>
        <input type="text" class="form-control <?php $__errorArgs = ['gr_from'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="gr_from" name="gr_from" value="<?php echo e(old('gr_from')); ?>">
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="gr_to" class="required"><b>Grade Range To</b></label>
         <input type="text" class="form-control <?php $__errorArgs = ['gr_to'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="gr_to" name="gr_to" value="<?php echo e(old('gr_to')); ?>">
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="grade_point" class="required"><b>Grade Point</b></label>
         <input type="text" class="form-control <?php $__errorArgs = ['grade_point'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="grade_point" name="grade_point" value="<?php echo e(old('grade_point')); ?>">
        </div>
        </div>
       
         <div class="col-md-3">
        <div class="form-group">
        <label for="letter_grade" class="required"><b>Letter Grade</b></label>
         <input type="text" class="form-control <?php $__errorArgs = ['letter_grade'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="letter_grade" name="letter_grade" value="<?php echo e(old('letter_grade')); ?>">
        </div>
        </div>
        
       
        
         <div class="col-md-3">
        <div class="form-group">
        <label for="performance" class="required"><b>Performance</b></label>
         <input type="text" class="form-control <?php $__errorArgs = ['performance'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="performance" name="performance" value="<?php echo e(old('performance')); ?>">
        </div>
        </div>
        
         </div>                   
                            
      
       <div class="row">
        <div class="col-md-12">
        <div class="form-group">
             <button type="submit" class="btn btn-primary float-right">Save</button>
         
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      
        
        
        </div>
        </div>
        </div>
    </div>
    
   <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
           <div class="card" style="border-top:2px solid #005A9C">
                
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Percentage of Marks</b></th>
                            <th><b>Performance</b></th>
                            <th><b>Letter Grade</b></th>
                            <th><b>Grade Point</b></th>
                          
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
           
                            <?php $__empty_1 = true; $__currentLoopData = $grading; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gdng): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            
                                <tr>
                                    <td><?php echo e($gdng->gr_from.' - '.$gdng->gr_to); ?></td>
                                    <td><?php echo e($gdng->performance); ?></td>
                                    <td><?php echo e($gdng->letter_grade); ?></td>
                                    <td><?php echo e($gdng->grade_point); ?></td>
                               
                                     <td><?php echo e(app_table_links($gdng->id,array(696))); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
        
    
   <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>



<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/settings/set_grade.blade.php ENDPATH**/ ?>