<div class="card">
<div class="card-header" style="background:#073980;color:white;"><b>CO-PSO Mapping</b></div>
  <div class="card-body">
        <form action="<?php echo e(route('copsomappinglevel.save')); ?>" method="post">
             <?php echo csrf_field(); ?>   
            <input type="hidden" id="course" name="course" value="<?php echo e($course); ?>">
            <input type="hidden" id="semester_id" name="semester_id" value="<?php echo e($semester_id); ?>">
            <input type="hidden" id="subtyp_id" name="subtyp_id" value="<?php echo e($subtyp_id); ?>">
            <input type="hidden" id="sub_id" name="sub_id" value="<?php echo e($sub_id); ?>">
            
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        
                         <?php
                                $max_cos_mark=0;
                                 $res1 = \App\Models\ObeCo::join('co_pso as p', 'obe_co.id', '=', 'p.co_id')
                                ->whereNull('p.deleted_at')
                                ->where('obe_co.course', $course)
                                ->where('obe_co.semester_id', $semester_id)
                                ->where('obe_co.sub_id', $sub_id)
                                ->where('obe_co.subtyp_id', $subtyp_id)
                               
                                ->select('p.id', 'obe_co.co_name', 'obe_co.co_no', 'p.pso_id', 'p.level_id', 'p.assmnt_method', 'p.mapping_level', 'p.co_id')
                                ->count();
                                
                               
                                
                                $res2 = \App\Models\ObeCo::join('co_pso as p', 'obe_co.id', '=', 'p.co_id')
                                ->whereNull('p.deleted_at')
                                ->where('obe_co.course', $course)
                                ->where('obe_co.semester_id', $semester_id)
                                ->where('obe_co.sub_id', $sub_id)
                                ->where('obe_co.subtyp_id', $subtyp_id)
                               
                                ->select('p.id', 'obe_co.co_name', 'obe_co.co_no', 'p.pso_id', 'p.level_id', 'p.assmnt_method', 'p.mapping_level', 'p.co_id')
                                ->get();
                                foreach($res2 as $r2)
                                {
                                    $co_id = $r2->co_id;
                                    foreach($assessmentmethods as $assmthd)
                                    {
                                        $assmnt_method = $assmthd->id;
                                        foreach($terms as $trm)
                                        {
                                            $term_id = $trm->id;
                                            $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmnt_method)
                                                ->where('ac_id', $ac_id)
                                                ->where('subject', $sub_id)
                                                ->where('course', $course)
                                                ->where('division', $semester_id)
                                                ->where('term_id', $term_id)
                                                ->where('assmnt_method', $assmnt_method)
                                                ->get();
                                                 foreach ($obeNames as $obeName) 
                                                 {
                                                    $examID = $obeName->id;
                                                     $questions = \App\Models\ObeQuestions::where('course_id', $course)
                                                    ->where('division_id', $semester_id)
                                                    ->where('subject_id', $sub_id)
                                                    ->where('exam_id', $examID)
                                                    ->where('assmnt_method', $assmnt_method)
                                                    ->where('term_id', $term_id)
                                                    ->where('ac_id', $ac_id)
                                                    ->where('co_id', $co_id)
                                                    ->get();
                                                    foreach ($questions as $question) 
                                                    {
                                                        $questnID = $question->id;
                                                        $max_cos_mark += $question->question_mark;
                                                    }
                                                 }
                                        }
                                    }
                                }
                               if($res1 !=0)
                               { 
                                 $c_lv = $max_cos_mark/$res1;
                                 $mid_point = $c_lv/2;
                                }
                         
                        if($res1 !=0)
                        {
                        ?>
                        <table id="table-fine" class="table table-bordered">
                            <thead>
                            <tr>
                                <th><b>Course Outcomes</b></th>
                                <th><b>Program Specific Outcomes</b></th>
                                <th><b>BT Level</b></th>
                                <th><b>Assessment Method</b></th>
                                <th><b>Mapping Level</b></th>
                            </tr>
                            <tbody>
                               <?php
                                $i=0;$j=0;
                                foreach($res2 as $r2)
                                { 
                                  $question_mark = 0;
                                  $courseoutcomes = \App\Models\ObePso::where('id', $r2->pso_id)->first();
                                  $levels = \App\Models\ObeLevel::where('id', $r2->level_id)->first();
                                  $subjectoutcomes = \App\Models\ObeCo::where('id', $r2->co_id)->first();
                                  $methods = \App\Models\ObeAssessmentMethod::where('id', $r2->assmnt_method)->first();
                                  foreach($assessmentmethods as $assmthd)
                                    {
                                        $assmntmethd_id = $assmthd->id;
                                        foreach($terms as $trm)
                                        {
                                            $term_id = $trm->id;
                                            $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmntmethd_id)
                                            ->where('ac_id', $ac_id)
                                            ->where('subject', $sub_id)
                                            ->where('course', $course)
                                            ->where('division', $semester_id)
                                            ->where('term_id', $term_id)
                                            ->get();
                                             foreach ($obeNames as $obeName) 
                                             {
                                                $exam_id = $obeName->id;
                                                $questions = \App\Models\ObeQuestions::where('course_id', $course)
                                                ->where('division_id', $semester_id)
                                                ->where('subject_id', $sub_id)
                                                ->where('exam_id', $exam_id)
                                                ->where('assmnt_method', $assmntmethd_id)
                                                ->where('term_id', $term_id)
                                                ->where('ac_id', $ac_id)
                                                ->where('co_id',$r2->co_id)
                                                ->get();
                                                foreach ($questions as $question) {
                                                        $question_mark += $question->question_mark;
                                                }
                                            }
                                            
                                        }
                                    } 
                                   if($question_mark < $mid_point)	
                                	{
                                		$map_lvl = 1;
                                	}
                                	else if($mid_point <= $question_mark && $c_lv >= $question_mark)
                                	{
                                		$map_lvl = 2;
                                	}
                                	else if($question_mark > $c_lv)
                                	{
                                		$map_lvl = 3;
                                	} 
                                                                    
                                    
                               ?> 
                                 
                                    <tr>
                                        <input type="hidden" name="pso<?php echo e($r2->id); ?>" value="<?php echo e($r2->id); ?>">
                                        <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($r2->co_name); ?></td>
                                        <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($courseoutcomes->pso_name); ?></td>
                                        <td><?php echo e($levels->level); ?></td>
                                        <td><?php echo e($methods->method); ?></td>
                                        <td><?php echo e($map_lvl); ?></td>
                                        <input type="hidden" name="maplvl<?php echo e($r2->id); ?>" value="<?php echo e($map_lvl); ?>">
                                    </tr>
                               
                                <?php
                                }
                                ?>
                               
                            </tbody>     
                            </thead>
                             </table>
                              <?php
                                }
                                 else
                                 { ?>
                                    <div class="alert alert-primary" role="alert">No Result Found!</div>
                            <?php    }
                        ?>
                        <div id="load"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>

        </form>
  </div>
   
</div>
<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        	table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>    <?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/get_copsomappinglevel.blade.php ENDPATH**/ ?>