
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Student  fee-structure'); ?>
<?php $__env->startSection('breadcrumb','Home/Fees/Student  fee-structure'); ?>
<?php $__env->startSection('content'); ?>

            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white"><b>Select the Criteria</b></div>
            <div class="card-body">
            <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="ac_id" class="required"><b>Academic Year</b></label>
                                        <select class="form-control" id="ac_id" name="ac_id" required>
                                        <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e(old('ac_id')==$acyear->ac_id ? "selected":""); ?>><?php echo e($acyear->start_date_formatted.' - '.$acyear->end_date_formatted); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                       </div>
                                       </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="student_id" class="required"><b>Student</b></label>
                                    <select class="form-control" id="stud_id" name="student_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['student_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="category_id" class="required"><b>Fee Category</b></label>
                                <select class="form-control" id="cat_id" name="category_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->category_id); ?>" <?php echo e(old('category_id')==$category->category_id ? "selected":""); ?>><?php echo e($category->category_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php $__errorArgs = ['category_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                           
                           <div class="col-md-3">
                                <div class="form-group">
                                    <label for="term_id" class="required"><b>Fee Term</b></label>
                                    <select class="form-control" id="term_id" name="term_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $terms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $term): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($term->term_id); ?>" <?php echo e(old('term_id')==$term->term_id ? "selected":""); ?>><?php echo e($term->term_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['term_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                           
                           
                            </div>
                           
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
        
        
        
        
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
     <script src="<?php echo e(asset('public/js/semester.js')); ?>"></script> 
    <script src="<?php echo e(asset('public/js/stud.js')); ?>"></script> 
    <!--<script src="<?php echo e(asset('public/js/studget.js')); ?>"></script> -->
<script>
    $(document).ready(function(){

    $("#btn-get").on('click', function() {
        var aid = $('#ac_id').val(); 
       var cid = $('#course').val();
       var sid = $('#semester_id').val();
       var stuid = $('#stud_id').val();
       var ctid=$('#cat_id').val();
       var tid=$('#term_id').val();
     
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
        
        if (aid === '' ||cid === ''||sid === ''||stuid === ''||ctid ===''||tid==='') {
            alert('Please select all mandatory fields!');
        } else {
            $.ajax({
                type: 'GET',
                url: '../getstudentfeestructure',
                data: { aid: aid,cid:cid,sid:sid,stuid:stuid,ctid:ctid,tid:tid},
                success: function(response) {
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
});
</script>
      <style>
                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/fees/student_fee_structure.blade.php ENDPATH**/ ?>