
<?php $__env->startSection('title','Attendance'); ?>
<?php $__env->startSection('heading','Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home / Student / Attendance'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="course">Program</label>
                            <select class="form-control js-example-basic-single" id="course" name="course">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($course->course_id); ?>" <?php echo e($course->course_id==$courseId ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['course'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="semester">Semester</label>
                            <select class="form-control js-example-basic-single" id="semester" name="semester">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester->semester_id==$semesterId ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['semester'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="subject">Course</label>
                            <select class="form-control js-example-basic-single" id="subject" name="subject">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($subject->subject_id); ?>" <?php echo e($subject->subject_id==$subjectId ? "selected":""); ?>><?php echo e($subject->subcategoryname->category.' - '.$subject->subject_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['subject'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="batch_id"><b>Batch</b></label>
                            <select class="js-example-basic-single form-control" id="batch_id" name="batch_id">
                                <option value="">select</option>
                                <?php $__currentLoopData = $batchs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($bat->id); ?>" <?php echo e($bat->id==$batchId ? "selected":""); ?>><?php echo e($bat->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    
                    
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="month">Month</label>
                            <input type="month" class="form-control" id="month" name="month" value="<?php echo e($month); ?>">
                            <?php $__errorArgs = ['month'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-sm btn-success float-right">Submit</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <?php if(!empty($weeks)): ?>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group text-center">
                            <h5><?php echo e(date('F Y',strtotime($month))); ?></h5>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <?php $__currentLoopData = $weeks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $week): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-12 col-sm-2">
                            <div class="form-group">
                            <button type="button" class="btn btn-block btn-danger week-btn" id="week-<?php echo e($loop->iteration); ?>" onclick="showAttendance('<?php echo e($week['start']); ?>','<?php echo e($week['end']); ?>','<?php echo e($loop->iteration); ?>');">Week <?php echo e($loop->iteration); ?><br><br><?php echo e(date('d',strtotime($week['start'])).' - '.date('d',strtotime($week['end']))); ?></button>                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-12 col-sm-2">
                        <div class="form-group">
                             <button type="button" class="btn btn-block btn-danger week-btn" id="week-all" onclick="showMonthAttendance('<?php echo e(date('Y-m-01',strtotime($month))); ?>', '<?php echo e(date('Y-m-t',strtotime($month))); ?>');">All<br><br><?php echo e('01 - '.date('t',strtotime($month))); ?></button>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div id="result"></div>
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-warning">No Result Found !</div>
    <?php endif; ?>
    <script src="<?php echo e(asset('public/js/student-attendance.js?ver=1.42')); ?>"></script>
    <?php if(!empty($weeks)): ?>
   
        <script>
           showAttendance('<?php echo e($weeks[0]['start']); ?>','<?php echo e($weeks[0]['end']); ?>',1) 
        </script>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/student-attendance/report.blade.php ENDPATH**/ ?>