<style>
    .tp-item > a {
        text-decoration: none;
        color: #FFF;
    }
    .tp-item{
        width: 100%;
        background-color: green;
        padding: 10px;
        margin-top: 5px;
        min-height: 120px;
        border-radius: 5px;
    }
    .tp-item-course{
        font-weight: bold;
        text-align: center;
    }
</style>
<div class="row tp">
    <?php $__currentLoopData = $timetables; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $timetable): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-12 col-sm-6">
            <div class="tp-item">
                <a href="<?php echo e(route('staff.student.attendance.add', ['date'=>date('Y-m-d'), 'course'=>$timetable['course_id'], 'semester'=>$timetable['semester_id'], 'subject'=>$timetable['subject_id'], 'period'=>$timetable['period_id']])); ?>">
                    <div class="text-center">Period : <?php echo e($timetable['period_name']); ?></div>
                    <div class="text-center"><?php echo e($timetable['course_name']); ?></div>
                    <div class="text-center"><?php echo e($timetable['semester_name']); ?></div>
                    <div class="text-center"><?php echo e($timetable['subject_name']); ?></div>
                </a>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<div class="row tp">
    <?php $__currentLoopData = $fyugptimetables; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fyugptimetable): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-12 col-sm-6">
            <div class="tp-item">
                <a href="<?php echo e(route('fyugp.staff.student.attendance.add', ['date'=>date('Y-m-d'), 'period'=>$fyugptimetable['period_id'], 'data_id'=>$fyugptimetable['data_id']])); ?>">
                    <div class="text-center">Period : <?php echo e($fyugptimetable['period_name']); ?></div>
                    <div class="text-center"><?php echo e($fyugptimetable['category_name']); ?></div>
                    <?php if(in_array($fyugptimetable['category_id'], [1,2,3,4])): ?>
                        <div class="text-center"><?php echo e($fyugptimetable['course_name']); ?></div>
                    <?php else: ?>
                        <div class="text-center"><?php echo e($fyugptimetable['group_name']); ?></div>
                    <?php endif; ?>
                    <div class="text-center"><?php echo e($fyugptimetable['semester_name']); ?></div>
                </a>
            </div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<div class="row">
    <?php if(empty($timetables) && empty($fyugptimetables) ): ?>   
        <div class="col-12">
            <div class="alert alert-warning">Time Table Not Found for Today !</div>
        </div>
    <?php endif; ?>
</div><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/staff/dashboard/timetable.blade.php ENDPATH**/ ?>