
<?php $__env->startSection('title','Attendance'); ?>
<?php $__env->startSection('heading','Consolidate Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home / Student / Attendance'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="course">Programme</label>
                            <select class="form-control js-example-basic-single" id="course" name="course">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($course->course_id); ?>" <?php echo e($course->course_id==$courseId ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['course'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="semester">Semester</label>
                            <select class="form-control js-example-basic-single" id="semester" name="semester">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester->semester_id==$semesterId ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['semester'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="month">Month</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="month" class="form-control" id="month" name="month" value="<?php echo e($month); ?>">
                                        <?php $__errorArgs = ['month'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <?php if(collect($students)->isNotEmpty()): ?>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group text-center">
                            <h5><?php echo e(date('F Y',strtotime($month))); ?></h5>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <a href="<?php echo e(route('student.attendance.consolidate.export', ['course' => $courseId, 'semester' => $semesterId, 'month' => $month])); ?>" class="btn btn-sm btn-success" target="_blank">Export</a>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="scroll">
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th width="5%" rowspan="2">#</th>
                                    <th width="10%" rowspan="2">Adm No.</th>
                                    <th width="10%" rowspan="2">Roll No.</th>
                                    <th rowspan="2">Name</th>
                                    <?php $totalHours=0; ?>
                                    <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <th colspan="2"><?php echo e($subject['name']); ?><br><br><?php echo e($subject['hours']); ?></th>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <th colspan="2">Total</th>
                                </tr>
                                <tr>
                                    <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <th width="5%">Present</th>
                                        <th width="5%">%</th>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <th width="5%">Present</th>
                                    <th width="5%">%</th>
                                </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td align="center"><?php echo e($loop->iteration); ?></td>
                                            <td align="center"><?php echo e($student->adno); ?></td>
                                            <td align="center"><?php echo e($student->rollno); ?></td>
                                            <td><?php echo e(strtoupper($student->name)); ?></td>
                                            <?php $presentHours=$allHours=0;  ?>
                                            <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php 
                                                    if(isset($data[$student->student_id][$subject['id']])) {
                                                        $allHours += $subject['hours'];
                                                        $presentHours += $data[$student->student_id][$subject['id']]['present'];
                                                    }
                                                ?>
                                                <?php if(isset($data[$student->student_id][$subject['id']])): ?>
                                                    <td align="center"><?php echo e($data[$student->student_id][$subject['id']]['present']); ?></td>
                                                    <td align="center"><?php echo e($data[$student->student_id][$subject['id']]['percent']); ?></td>
                                                <?php else: ?>
                                                    <td></td>
                                                    <td></td>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php 
                                            $totalPercent=0;
                                            if($allHours>0){ $totalPercent = round(($presentHours/$allHours)*100); }
                                            ?>
                                            <td align="center"><?php echo e($presentHours); ?></td>
                                            <td align="center"><?php echo e($totalPercent); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-warning">No Result Found !</div>
    <?php endif; ?>
    <script src="<?php echo e(asset('public/js/student-attendance.js?ver=1.38')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/student-attendance/consolidate.blade.php ENDPATH**/ ?>