<style>
    @media print {
        @page {
            margin: 0;
        }
        body {
            background-repeat: repeat;
        }
    }
    * {
        font-family: Times;
        font-size: 16px;
        line-height: 22px;
    }
    body {
        background-size: cover;
        border: 1px solid black;
    }
    #title {
        font-size: 20px;
        font-weight: bold;
        color: #800000;
        text-align:center;
    }
    /*.container {*/
    /*    margin-top: 20px;*/
    /*    margin-left: 35px;*/
    /*    width: 86%;*/
    /*    padding: 20px;*/
    /*}*/
    table {
        width: 100%;
    }
    table tr {
        height: 30px;
    }
    table td {
        vertical-align: top;
    }
    .header {
        text-align: center;
    }
    .content {
        text-align: justify;
        margin-top: 20px;
    }
    #hr {
        background-color: #800000;
        height: 2px;
        margin: 20px 0;
    }
</style>
<body onload="print()">
<div class="container"> 
    <table>
        <tr>
            <td width="25%" rowspan="4" align="center"><img src="<?php echo e(asset('public/uploads/logo/'.$institution->logo)); ?>" alt="<?php echo e($institution->logo); ?>" height="50px"></td>
            <td width="50%" align="center" class="header"><?php echo e($institution->name); ?></td>
            <td width="25%" rowspan="4" align="center"></td>
        </tr>
        <tr><td align="center" class="header"><?php echo e($institution->affiliation); ?></td></tr>
        <tr><td align="center" class="header"><?php echo e($institution->address); ?></td></tr>
        <tr><td align="center" class="header"><?php echo e('Ph : '.$institution->mobile.' '.$institution->landline); ?></td></tr>
    </table>
    <table  width="100%">
            <thead style="background-color:#484848;color:white">
                <th>#</th>
                <th>Event Name</th>
                 <th><b>Description</b></th>
                <th><b>Staff-in-charge</b></th>
                <th><b>Program</b></th>
                <th><b>From Date</b></th>
                <th><b>To Date</b></th>
            </thead>
     <tbody>
                <?php $__currentLoopData = $event; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $events): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($loop->iteration); ?></td>
                    <td><?php echo e($events->event); ?></td>
                    <td><?php echo e($events->desc); ?></td>
                    <td><?php echo e($events->staff->name); ?></td>
                    <td><?php echo e($events->course->course_code); ?></td>
 <td><?php echo e(date('d-m-Y',strtotime($events->fdate))); ?></td> 
 <td><?php echo e(date('d-m-Y',strtotime($events->tdate))); ?></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
           
    
    </table>
    
    
    </body>
    </div><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/event/add_report_print.blade.php ENDPATH**/ ?>