<link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/chartist/chartist.min.css')); ?>">
<div class="row">
    <div class="col-12">
        <div class="form-group">
            <div class="aligner-wrapper">
                <canvas id="attendanceChart" height="210"></canvas>
                <div class="wrapper d-flex flex-column justify-content-center absolute absolute-center">
                    <h2 class="text-center mb-0 font-weight-bold"><?php echo e($percentage); ?>%</h2>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <div class="form-group">
            <a href="<?php echo e(route('student.attendance-report')); ?>" class="btn btn-sm btn-primary float-right">View Details</a>
        </div>
    </div>
</div>
<script src="<?php echo e(asset('public/template/vendors/chart.js/Chart.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/template/vendors/chartist/chartist.min.js')); ?>"></script>
<script>
    var attendanceChartCanvas = $("#attendanceChart").get(0).getContext("2d");
    var attendancePieData = {
        datasets: [{
            data: ['<?php echo e($attendance->present ?? 0); ?>', '<?php echo e($attendance->absent ?? 0); ?>'],
            backgroundColor: [
                '#38ce3c',
                '#ff4d6b'
            ],
            borderColor: [
              '#38ce3c',
              '#ff4d6b'
            ],
        }],

        labels: [
            'Present',
            'Absent'
        ]
    };
    
    var attendancePieOptions = {
        cutoutPercentage: 50,
        animationEasing: "easeOutBounce",
        animateRotate: true,
        animateScale: true,
        responsive: true,
        maintainAspectRatio: true,
        showScale: true,
        legend: {
            display: true
        },
        layout: {
            padding: {
                left: 0,
                right: 0,
                top: 0,
                bottom: 0
            }
        }
    };
            
    var attendanceChart = new Chart(attendanceChartCanvas, {
        type: 'doughnut',
        data: attendancePieData,
        options: attendancePieOptions
    });
</script><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/student/dashboard/attendance.blade.php ENDPATH**/ ?>