
<?php $__env->startSection('title','Financial Year'); ?>
<?php $__env->startSection('heading','Financial Year'); ?>
<?php $__env->startSection('breadcrumb','Home / Financial Year'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="financialTable" width="100%">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Start Date</th>
                    <th>End Date</th>
                    <th>Default</th>
                </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $fyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($loop->iteration); ?></td>
                            <td><?php echo e($fyear->sdate_formatted); ?></td>
                            <td><?php echo e($fyear->edate_formatted); ?></td>
                            <td>
                                <?php if($fyear->$accountstr == 1): ?>
                                    <a href="#"><i class="fas fa-check-circle text-success fa-lg"></i></a>
                                <?php else: ?>
                                    <a href="<?php echo e(route('accounts.financialyear.update',[$fyear->id,$accountstr])); ?>"><i class="fas fa-check-circle text-secondary fa-lg"></i></a>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(function () {
            var financialTable = $("#financialTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                stateSave : true,
                ordering: false,
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/account/financialyear/report.blade.php ENDPATH**/ ?>