
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Change Course'); ?>
<?php $__env->startSection('breadcrumb','Home/Student/Change Course'); ?>
<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white">
                <b>Change Course</b>
            </div>
            <div class="card-body">
                <form action="<?php echo e(route('student.course.change.update')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="student_id" value="<?php echo e($student->student_id); ?>">
               

                <div class="row">
                    
                    
                    
                    <div class="col-md-4" style="background:#F8F8F8">
                        <div class="row align-items-center mb-4">
                           
                            <div class="col-12 d-flex justify-content-center mb-3">
                                <img class="img-md rounded-square" src="<?php echo e(asset('public/uploads/student/photo/'.$student->photo)); ?>" alt="Profile image" width="120px">
                            </div>

                            <div class="col-12 d-flex justify-content-center">
                                <input type="text" id="name" class="form-control" value="<?php echo e(strtoupper($student->name)); ?>" readonly>
                            </div>
                        </div>
                    </div>

                   
                    <div class="col-md-8">
                        <div class="row">
<div class="col-md-6 mb-3">
<div class="form-group">
<label for="name" class="required"><b>Full Name</b></label>    
<input type="text" id="name" class="form-control" value="<?php echo e($student->name); ?>" readonly>
</div>   
    </div>       
 <div class="col-md-6 mb-3">
<div class="form-group">
<label for="adno" class="required"><b>Admission No.</b></label>    
<input type="text" id="adno" class="form-control" value="<?php echo e($student->adno); ?>" readonly>
</div>   
    </div>    
       
    
    </div>
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $course; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($crs->course_id); ?>"><?php echo e($crs->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger small mt-1"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6 mb-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger small mt-1"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>




                        <button type="submit" class="btn btn-primary float-right">Update</button>
                    </div>
                </div>
            </form>
            </div>
        </div>
    </div>
</div>
 <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
 <script src="<?php echo e(asset('public/js/sem.js')); ?>"></script>

<style>
    .card-body {
        border-left: 1px solid #DCDCDC;
        border-right: 1px solid #DCDCDC;
        border-bottom: 1px solid #DCDCDC;
    }
    .separator {
        border: 1px solid #DCDCDC;
        margin: 20px 0;
    }
</style>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/students/course_change_view.blade.php ENDPATH**/ ?>