<?php if($attendances->count() > 0): ?>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <h6 align="center"><b>ATTENDANCE REPORT FROM <?php echo e(date('d F Y',strtotime($fromDate))); ?> TO <?php echo e(date('d F Y',strtotime($toDate))); ?></b></h6>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="scroll">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Course Name</th>
                                <th>Total Hours</th>
                                <th>Present Hours</th>
                                <th>Absent Hours</th>
                                <th>Percentage</th>
                            </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $attendances; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attendance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $percent = round(($attendance->present/$attendance->total)*100); ?>
                                    <tr>
                                        <td align="center"><?php echo e($loop->iteration); ?></td>
                                        <td align="center"><?php echo e($attendance->subject_name); ?></td>
                                        <td align="center"><?php echo e($attendance->total); ?></td>
                                        <td align="center"><?php echo e($attendance->present); ?></td>
                                        <td align="center"><?php echo e($attendance->absent); ?></td>
                                        <td align="center"><?php echo e($percent); ?>%</td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>    
            </div>
        </div>
    </div>
<?php else: ?>
    <div class="row">
        <div class="col-12">
            <div class="alert alert-danger">No Result Found !</div>
        </div>
    </div>
<?php endif; ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/students/searchstudent_atten_report.blade.php ENDPATH**/ ?>