
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Due Report'); ?>
<?php $__env->startSection('breadcrumb','Home/Hostel/Due Report'); ?>
<?php $__env->startSection('content'); ?>






    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header"  style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="course"><b>Program</b></label>
                                <select class="js-example-basic-single" style="width:100%" id="course" name="course">
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="semester"><b>Semester</b></label>
                                <select class="js-example-basic-single" style="width:100%" id="semester" name="semester">
                                    <option value="">Select</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label for="ftype"><b>Fee Type</b></label>
                                <select class="js-example-basic-single" id="ftype" name="ftype" style="width:100%">
                                    <option value="">Select</option>
                                    <option value="1" <?php echo e(old('ftype') == 1 ? "selected":""); ?>>Rent</option>
                                    <option value="2" <?php echo e(old('ftype') == 2 ? "selected":""); ?>>Mess Fee</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="cdate"><b>Date</b></label>
                                <div class="row">
                                    <div class="col-md-8">
                                        <input type="date" class="form-control" id="cdate" name="cdate" value="<?php echo e(old('cdate') ? old('cdate'):date('Y-m-d')); ?>">
                                    </div>
                                    <div class="col-md-4">
                                        <button type="button" class="btn btn-primary" id="getData">Filter</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header"  style="background-color: #004170;color:white;"><b>Due Report</b></div>
                <div class="card-body">
                    <table class="table table-bordered" id="tablecss" width="100%">
                        <thead>
                        <tr>
                            <th><b>Adm No</b></th>
                            <th><b>Name</b></th>
                            <th><b>Program</b></th>
                            <th><b>Semester</b></th>
                            <th class="no-sort aright"><b>Due Amount</b></th>
                            <th class="no-sort"><b>Action</b></th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                    <div class="row">
                        <div class="col-8 text-right font-weight-bold">Total :</div>
                        <div class="col-4 font-weight-bold" id="total">0.00</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
     
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/fee.js')); ?>"></script>
    <script>
        $(function () {
            var dueTable = $("#dueTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false },{ targets: 'aright', className: 'text-right'}],
                ajax : {
                    url : '<?php echo e(route('hostelpayment.due.ajax')); ?>',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.course = $('#course').val();
                        data.semester = $('#semester').val();
                        data.ftype = $('#ftype').val();
                        data.cdate = $('#cdate').val();
                    }
                },
                columns : [
                    { data : 'adno' },
                    { data : 'name' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'due' },
                    { data : 'action' },
                ]
            });
            $('#getData').click(function(){
                dueTable.draw();
                get_total();
            });
            get_total();
        });
        
        function get_total(){
            var course = $('#course').val();
            var semester = $('#semester').val();
            var ftype = $('#ftype').val();
            var cdate = $('#cdate').val();
            
            $.ajax({
                type: "GET",
                url: '<?php echo e(route('hpdue.total.ajax')); ?>',
                data: { course:course, semester:semester, ftype:ftype, cdate:cdate },
                cache: false,
                success: function(data){
                    $("#total").text(data);
                }
            });
        }
    </script>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        
       
        .form-control{
            border:1px solid #E8E8E8;
        }
        
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/hostel/due_report.blade.php ENDPATH**/ ?>