
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Enquiry'); ?>
<?php $__env->startSection('breadcrumb','Home/Enquiry/Gate Pass'); ?>
<?php $__env->startSection('content'); ?>


 <form action="<?php echo e(route('gatepass.save')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Gate Pass</b></div>
    <div class="card-body" style="">
        
    <div class="row">
   
        <div class="col-md-3">
         <div class="form-group">
            <label for="date" class="required">Date</label>
            <input type="date" class="form-control text" id="date" name="date" value="<?php echo e($cur_date); ?>" required>
            <?php $__errorArgs = ['date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
         </div>
        </div>
   
        <div class="col-md-3">
         <div class="form-group">
            <label for="visitor_name" class="required">Name</label>
            <input type="text" class="form-control text" id="visitor_name" name="visitor_name" value="<?php echo e(old('visitor_name')); ?>" required>
            <?php $__errorArgs = ['visitor_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
         </div>
        </div>
        
        <div class="col-md-3">
          <div class="form-group">
            <label for="reason" class="required">Reason</label>
            <textarea class="form-control text" id="reason" name="reason"  rows="2" required><?php echo e(old('reason')); ?></textarea>
            <?php $__errorArgs = ['reason'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
         </div>
        </div>
        
         <div class="col-md-3">
         <div class="form-group">
            <label for="p_to" class="required">Person to meet</label>
            <input type="text" class="form-control text" id="p_to" name="p_to" value="<?php echo e(old('p_to')); ?>" required>
            <?php $__errorArgs = ['p_to'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
         </div>
        </div>
        
        <div class="col-md-3">
            <div class="form-group">
              <label for="etime" class="required">Time</label>
                <input type="time" class="form-control text" id="" name="etime"  value="<?php echo e($currentTime); ?>" required>
                 <?php $__errorArgs = ['etime'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
        </div>
        
         <div class="col-md-3">
         <div class="form-group">
            <label for="cno">Contact Number</label>
            <input type="text" class="form-control text" id="cno" name="cno" value="<?php echo e(old('cno')); ?>">
            <?php $__errorArgs = ['cno'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
         </div>
        </div>
        
        
      
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
               <button type="submit" class="btn btn-primary float-right">Save</button>
            </div>
          </div>
        </div>
    
    </div>
    </div>
    </div>
    </div>
    </div>
    
   
                      
        
           </form>
           
             <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/student.js')); ?>"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    
    
    <?php $__env->stopSection(); ?>
        
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/enquiry/gatepass_add.blade.php ENDPATH**/ ?>