<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Generate TC'); ?>
<?php $__env->startSection('breadcrumb','Home/Student/Student Information/Generate TC'); ?>
<?php $__env->startSection('content'); ?>

<div class="modal fade" id="errorModal" tabindex="-1" aria-labelledby="errorModalLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
    <div class="modal-dialog">
        <div class="modal-content"  style="background:white;">
            <div class="modal-header" style="background:#004170;color:white">
                <h5 class="modal-title" id="errorModalLabel"><b>Payment Due Notice</b></h5>
                <input type="hidden" name="sid" value="<?php echo e(encrypt($student->student_id)); ?>">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <?php if($error): ?>
                    <?php echo e($error); ?>

                <?php endif; ?>
            </div>
            <div>
                <a href="<?php echo e(route('searchstudent.payment',['student_id'=>$student->student_id])); ?>"><span class="btn btn-success">Go to Payment Profile</span></a>
            </div>
            <!--<div class="modal-footer">-->
                <!--<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>-->
            <!--</div>-->
        </div>
    </div>
</div>


 <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(document).ready(function() {
        <?php if($error): ?>
            $('#errorModal').modal('show');
        <?php endif; ?>

       
        $('#errorModal').on('hide.bs.modal', function (e) {
            
            if ($(e.target).hasClass('modal')) {
                e.preventDefault(); 
            }
        });
    });
    </script>




  
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="">
                <div class="card-header" style="background-color:#005A9C;color:white;font-family: system-ui;"><b>Student Details</b></div>
                <div class="card-body">
                    <form action="<?php echo e(route('sdata.save')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="sid" value="<?php echo e(encrypt($student->student_id)); ?>">
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Admission No</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sadno" value="<?php echo e($student->adno); ?>" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sname" value="<?php echo e(strtoupper($student->name)); ?>" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Date of Birth</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="date" class="form-control" name="sdob" value="<?php echo e($student->dob); ?>" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Admission Date</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="date" class="form-control" name="sadate" value="<?php echo e($student->adate); ?>" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Father's Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sfname" value="<?php echo e(strtoupper($student->fname)); ?>" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Mother's Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="smname" value="<?php echo e(strtoupper($student->mname)); ?>" required></div>
                                </div>
                            </div>
                            <div class="col-12 col-sm-6">
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Photo</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6">
                                        <?php if(!empty($student->photo)): ?>
                                            <img src="<?php echo e(asset('public/uploads/student/photo/'.$student->photo)); ?>" alt="<?php echo e($student->photo); ?>" height="160px">
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Program</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><?php echo e($student->course->course_name); ?></div>
                                </div>

                                
                                    
                <div class="form-group row">
                <div class="col-5 font-weight-bold">Semester</div>
                <div class="col-1 font-weight-bold">:</div>                  
               <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-6"><?php echo e($sem->semester_name); ?></div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div> 
                      </div>
                        </div>               
                                    
                                    
                                    
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right" style="display: inline-block;">Update</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card"   style="">
                <div class="card-header" style="background-color:#004170;color:white;font-family: system-ui;"><b>TC Details</b></div>
                <div class="card-body">
                    <form action="<?php echo e(route('tc.save')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="student_id" value="<?php echo e(encrypt($student->student_id)); ?>">
                        <input type="hidden" name="tc_code" value="<?php echo e($tc_code); ?>">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="tcno" class="required">TC No</label>
                                    <input type="text" class="form-control" id="tcno" name="tcno" value="<?php echo e(old('tcno') ? old('tcno'):$tcno); ?>" style="text-transform:uppercase" required>
                                    <?php $__errorArgs = ['tcno'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ldate" class="required">Date of Leaving</label>
                                    <input type="date" class="form-control" id="ldate" name="ldate" value="<?php echo e(old('ldate')); ?>" required>
                                    <?php $__errorArgs = ['ldate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adate" class="required">Application Date</label>
                                    <input type="date" class="form-control" id="adate" name="adate" value="<?php echo e(old('adate')); ?>" required>
                                    <?php $__errorArgs = ['adate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="idate" class="required">Issue Date</label>
                                    <input type="date" class="form-control" id="idate" name="idate" value="<?php echo e(old('idate') ? old('idate'):date('Y-m-d')); ?>" required>
                                    <?php $__errorArgs = ['idate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subjects">Course or Portions Studied</label>
                                    <select class="form-control" id="subjects" name="subjects[]" multiple>
                                        <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($subject->subject_code); ?>" selected><?php echo e($subject->subject_code); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['subjects'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="reason" class="required">Reason for Leaving</label>
                                    <textarea class="form-control" id="reason" name="reason" rows="2" required><?php echo e(old('reason') ? old('reason'):'Course Completed'); ?></textarea>
                                    <?php $__errorArgs = ['reason'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="exam" class="required">Exam Name</label>
                                    <input type="text" class="form-control" id="exam" name="exam" value="<?php echo e(old('exam')); ?>" required>
                                    <?php $__errorArgs = ['exam'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="year" class="required">Year of Exam</label>
                                    <input type="text" class="form-control" id="year" name="year" value="<?php echo e(old('year')); ?>" required>
                                    <?php $__errorArgs = ['year'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="regno" class="required">Registration No</label>
                                    <input type="text" class="form-control" id="regno" name="regno" value="<?php echo e(old('regno')); ?>" style="text-transform:uppercase" required>
                                   
    
                                    <?php $__errorArgs = ['regno'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="yes" class="required">Exam Appeared</label>
                                    <div class="row">
                                        <?php $appear = old('appear') ?>
                                        <div class="col-md-4">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="appear" value="Yes" <?php echo e($appear=='Yes' ? "checked":""); ?>> Yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="appear" value="No" <?php echo e($appear=='No' ? "checked":""); ?>> No </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="result" class="required">Result</label>
                                    <input type="text" class="form-control" id="result" name="result" value="<?php echo e(old('result') ? old('result'):'Refer Marklist'); ?>" required>
                                    <?php $__errorArgs = ['result'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="conduct">Character & Conduct</label>
                                    <textarea class="form-control" id="conduct" name="conduct" rows="2"><?php echo e(old('conduct')); ?></textarea>
                                    <?php $__errorArgs = ['conduct'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right" style="display: inline-block;">Save</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    <style>

        .form-control{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
/* Base styles for the back button */
.back-button {
  display: inline-flex;
  align-items: center;
  color: red;
  text-decoration: none;
  font-family: Arial, sans-serif;
  font-size: 16px;
  margin: 10px;
}


.back-button svg {
  margin-right: 8px;
  transition: transform 0.3s ease;
}


.back-button:hover svg {
  transform: translateX(-5px); 
}


.back-button:hover {
  color: darkred;
}

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/students/tc_generate.blade.php ENDPATH**/ ?>