
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Enquiry'); ?>
<?php $__env->startSection('breadcrumb','Home/Enquiry/add'); ?>
<?php $__env->startSection('content'); ?>


 <form action="<?php echo e(route('enquiry.save')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Enquiry Register</b></div>
    <div class="card-body" style="">
        
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="enq_no" class="required">Enquiry no.</label>
    <input type="text" class="form-control text" id="enq_no" name="enq_no" value="<?php echo e($enq_no); ?>" required>
    <?php $__errorArgs = ['enq_no'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
    </div>
      <div class="col-md-3">
    <div class="form-group">
    <label for="visitor_name" class="required">Visitor Name</label>
    <input type="text" class="form-control text" id="visitor_name" name="visitor_name" value="<?php echo e(old('visitor_name')); ?>" required>
    <?php $__errorArgs = ['visitor_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
    </div>
    <div class="col-md-3">
      <div class="form-group">
        <label for="address" >Address</label>
        <textarea class="form-control text" id="address" name="address"  rows="2"><?php echo e(old('address')); ?></textarea>
        <?php $__errorArgs = ['address'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
     </div>
    </div>
    
     <div class="col-md-3">
        <div class="form-group">
            <label for="male" class="required">Gender</label>
              <div class="row">
                <div class="col-md-4">
                  <div class="form-check form-check-success">
                    <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" <?php echo e(old('gender')=='male' ? "checked":""); ?>> Male </label>
                  </div>
                </div>
              <div class="col-md-8">
         <div class="form-check form-check-success">
          <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" <?php echo e(old('gender')=='female' ? "checked":""); ?>> Female </label>
           </div>
            </div>
        </div>
       </div>
   </div>
   
   
    
    </div>
    </div>
    </div>
    </div>
    </div>
    
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#004170;color:white;"><b>Enquiry Source</b></div>
        <div class="card-body" style="">
                        <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                  <label for="edate" class="required">Date</label>
                                    <input type="date" class="form-control text" id="edate" name="edate" value="<?php echo e(date('Y-m-d')); ?>" required>
                                    <?php $__errorArgs = ['edate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                  </div>
                                </div>
                                
                                  <div class="col-md-3">
                                <div class="form-group">
                                  <label for="etime" class="required">Time</label>
                                    <input type="time" class="form-control text" id="" name="etime"  value="<?php echo e($currentTime); ?>" required>
                                    <?php $__errorArgs = ['etime'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                  </div>
                                </div>
                                
                                <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required">Program</label>
                                   
                                   
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mobile" class="required">Mobile No</label>
                                    <input type="text" class="form-control text" id="mobile" name="mobile" value="<?php echo e(old('mobile')); ?>" required>
                                    <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="landline">Landline No</label>
                                    <input type="text" class="form-control text" id="landline" name="landline" value="<?php echo e(old('landline')); ?>" >
                                    <?php $__errorArgs = ['landline'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="email">Email</label>
                                    <input type="text" class="form-control text" id="email" name="email" value="<?php echo e(old('email')); ?>">
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                              <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="qualification">Qualification</label>
                                    <input type="text" class="form-control text" id="qualification" name="qualification" value="<?php echo e(old('qualification')); ?>">
                                    <?php $__errorArgs = ['qualification'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                      <div class="col-md-3">
                                <div class="form-group">
                                    <label for="handled_by" class="required">Handled By</label>
                                   
                                   
                                    <select class="form-control" id="handled_by" name="handled_by" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $staffs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stf): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($stf->user_id); ?>" <?php echo e(old('handled_by')==$stf->user_id ? "selected":""); ?>><?php echo e($stf->name.' '.$stf->lname); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['handled_by'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                               <div class="col-md-3">
                                <div class="form-group">
                                    <label for="meeting_status" class="required">Meeting Status</label>
                                   
                                   
                                    <select class="form-control" id="meeting_status" name="meeting_status" required>
                                        <option value="PENDING">PENDING</option>
                                        <option value="DONE">DONE</option>
                                      
                                    </select>
                                    <?php $__errorArgs = ['meeting_status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                               <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="remark">Remarks</label>
                                    <input type="text" class="form-control text" id="remark" name="remark" value="<?php echo e(old('remark')); ?>">
                                    <?php $__errorArgs = ['remark'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                 <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fstatus">Followup Status</label>
                                    <input type="text" class="form-control text" id="fstatus" name="fstatus" value="<?php echo e(old('fstatus')); ?>">
                                    <?php $__errorArgs = ['fstatus'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>     
                            
                            
                        </div>
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                            </div>
                        </div>
        </div>
         </div>
          </div>
           </div>
           </form>
           
             <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/student.js')); ?>"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    
    
    <?php $__env->stopSection(); ?>
        

<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/enquiry/add.blade.php ENDPATH**/ ?>