
<?php $__env->startSection('title','Attendance'); ?>
<?php $__env->startSection('heading','Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home / Search Student / Attendance'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        <?php $photo = $student->photo ?? 'student.png'; ?>
                        <img class="rounded-circle image-fluid" src="<?php echo e(asset('public/uploads/student/photo/'.$photo)); ?>" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Adm No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->adno); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Roll No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->rollno); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Name </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e(strtoupper($student->name)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Mobile </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->mobile); ?></span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Major 1 </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->course->course_name); ?></span></label>
                    </div>
                    <?php if($student->major_ii): ?>
                        <div class="form-group row">
                            <label class="col-5 col-sm-3">Major 2 </label>
                            <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->majorii->course_name); ?></span></label>
                        </div>
                    <?php endif; ?>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Semester </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($promote->semester->semester_name); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Email </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->email); ?></span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])); ?>" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success">PROFILE</span></a>
                    </div>
                </div>
                <?php if($user->staftyp_id!=1): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PAYMENTS</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success">DUE REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger">ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                  <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.changepathway.view',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">CHANGE PATHWAY</span></a>
                    </div>
                </div>
                <?php if($student->ac_id >= 6): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT-FYUGP</span></a>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if($user->staftyp_id!=1): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE PAYMENT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL DUE REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <input type="hidden" name="student_id" value="<?php echo e($student->student_id); ?>" id="student_id">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e(old('fdate') ? old('fdate'):date('Y-m-d')); ?>">
                        <?php $__errorArgs = ['fdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>       
                <div class="col-12 col-md-6">
                    <div class="form-group">
                        <label for="tdate">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e(old('tdate') ? old('tdate'):date('Y-m-d')); ?>">
                                    <?php $__errorArgs = ['tdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success" id="btn-get">Submit</button>
                                </div> 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div id="result"></div>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(document).ready(function(){
            $("#btn-get").on('click',function(){
                var fdate=$('#fdate').val();
                var tdate=$('#tdate').val();
                var student=$('#student_id').val();
                    
                $("#result").html('');
                $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                        
                if( fdate=='' || tdate=='' || student==''){
                    alert('Please select all mandatory fields !');
                }else{
                    $.ajax({
                        type : 'GET',
                        url : '../searchstudent-atten-report',
                        data : {fdate:fdate,tdate:tdate,student:student},
                        success : function(response){
                            $("#result").html('');
                            $("#result").append(response);
                        }
                    });
                }
            });
        }); 
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/students/viewstudentattendancesearch.blade.php ENDPATH**/ ?>