
<?php $__env->startSection('title','Notification'); ?>
<?php $__env->startSection('heading','Notification'); ?>
<?php $__env->startSection('breadcrumb','Home / Student / Notification'); ?>
<?php $__env->startSection('content'); ?>
<?php if(session('status')): ?>
    <div class="alert alert-<?php echo e(session('status')); ?>">
        <?php echo e(session('Message')); ?>

    </div>
<?php endif; ?>

<div class="card">
    <div class="card-body">
        <form method="post" action="<?php echo e(route('student.notification.submit')); ?>">
            <?php echo csrf_field(); ?>
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="course">Program</label>
                        <select class="js-example-basic-single" id="course" name="course" style="width:100%" required>
                            <!--<option value="">Select</option>-->
                           <?php if(in_array($uType, [1, 2, 13])): ?>
                            <option value="all" <?php echo e($courseId == "all" ? "selected" : ""); ?>>All</option>
                          <?php else: ?>
                          <option value="">Select</option>
                            <?php endif; ?>
                
                            <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($course->course_id); ?>" <?php echo e($course->course_id == $courseId ? "selected" : ""); ?>><?php echo e($course->course_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

                <div class="col-12 col-sm-6">
                    <div class="form-group">
                        <label for="semester">Semester</label>
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <select class="js-example-basic-single" id="semester" name="semester" style="width:100%">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester->semester_id == $semesterId ? "selected" : ""); ?>><?php echo e($semester->semester_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <!--<div class="col-12 col-sm-6">-->
                            <!--    <div class="form-group">-->
                            <!--        <button type="submit" class="btn btn-sm btn-success">Submit</button>-->
                            <!--    </div>-->
                            <!--</div>-->
                        </div>
                    </div>
                </div>

               
                <div class="col-12">
                    <div class="form-group">
                        <label for="notification_message">Notification Message</label>
                        <textarea class="form-control" id="notification" name="notification" rows="4" placeholder="Enter your notification message here..." required></textarea>
                    </div>
                </div>

               
                <div class="col-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Send Notification</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

        <script src="<?php echo e(asset('public/js/general.js')); ?>"></script> 

    
    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/notification/student.blade.php ENDPATH**/ ?>