<div class="card">
    <div class="card-header" style="background-color:#004170;color:white;"><b>Set the Fee Structure</b></div>
    <div class="card-body">
        <form action="<?php echo e(route('structure.save')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" id="ac_id" name="ac_id" value="<?php echo e($ac_det->ac_id); ?>">
            <input type="hidden" id="course_id" name="course_id" value="<?php echo e($crs_det->course_id); ?>">
            <input type="hidden" id="semester_id" name="semester_id" value="<?php echo e($sem_det->semester_id); ?>">
            <input type="hidden" id="category_id" name="category_id" value="<?php echo e($cat_det->category_id); ?>">
            <input type="hidden" id="term_id" name="term_id" value="<?php echo e($term_det->term_id); ?>">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead>
                            <tr>
                                <th><b>Fee Type</b></th>
                                <th><b>Amount</b></th>
                                <th><b>Start Date</b></th>
                                <th><b>End Date</b></th>
                            </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $feetypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feetype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $amount=$start=$end=""; ?>
                                    <tr>
                                        <td><?php echo e($feetype->type_name); ?><input type="hidden" name="type[]" value="<?php echo e($feetype->type_id); ?>"</td>
                                        <?php if(!empty($stypes)): ?>
                                            <?php $__currentLoopData = $stypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    if($stype->type_id == $feetype->type_id){ 
                                                        $amount = $stype->amount;
                                                        $start = $stype->start_date;
                                                        $end = $stype->end_date;
                                                    }
                                                ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                        <td><input type="text" class="form-control" name="amount[]" value="<?php echo e($amount); ?>"></td>
                                        <td><input type="date" class="form-control" name="start[]" value="<?php echo e($start); ?>"></td>
                                        <td><input type="date" class="form-control" name="end[]" value="<?php echo e($end); ?>"></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <div id="load"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<style>
    
        .form-control{
            border:1px solid black;
        }
</style><?php /**PATH /home/relents/public_html/stjosephscollege.relents.in/resources/views/feesettings/structure_get.blade.php ENDPATH**/ ?>