
<?php if(session('success')): ?>
    <div class="alert alert-success">
        <?php echo e(session('success')); ?>

    </div>
<?php endif; ?>

<?php if(session('error')): ?>
    <div class="alert alert-danger">
        <?php echo e(session('error')); ?>

    </div>
<?php endif; ?>

<div class="card" style="border-top: 3px solid #004170">
    <div class="card-body">
        <form action="<?php echo e(route('studexammrksubwise.save')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" id="course" name="course" value="<?php echo e(encrypt($course)); ?>">
            <input type="hidden" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>">
            <input type="hidden" name="exam_id" value="<?php echo e(encrypt($exam_id)); ?>">
            
            <div align="right">
                <a href="<?php echo e(route('studexammrksubwise.print', ['course' => $course, 'semester_id' => $semester_id, 'exam_id' => $exam_id])); ?>" target="blank_">
                    <img src="<?php echo e(asset('public/uploads/logo/print.png')); ?>" height="30px">
                </a>
            </div>
            
            <div id="totalStudents" class="mb-3"></div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <p align="left"><font color="red">Absent : AB</font></p>
                        <div class="div_scroller">
                            <table id="table-fine" class="table table-bordered">
                                <thead style="background-color:#8FBC8F">
                                    <tr>
                                        <th rowspan="2" style="width: 5%">
                                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                <label class="container">
                                                    <input type="checkbox" class="form-check-input" id="checkAll">
                                                </label>
                                            </div>
                                        </th>
                                        <th rowspan="2" style="width: 10%"><b>Adno</b></th>
                                        <th rowspan="2" style="width: 20%"><b>Student Name</b></th>

                                        <?php $__currentLoopData = $examsubjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exsub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <th style="text-align: center; width: 15%;word-wrap: break-word; word-break: break-all; white-space: normal;">
                                                <b><?php echo e($exsub->esesubn->subject_name); ?>-<?php echo e($exsub->esesubn->subject_code); ?></b>
                                            </th>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                    <tr>
                                        <?php $__currentLoopData = $examsubjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exsub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <th><b>(Max Mark:<?php echo e($exsub->max_mark); ?>)</b></th>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td align="center">
                                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                    <label class="container">
                                                        <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($student->student_id); ?>">
                                                    </label>
                                                </div>
                                            </td>
                                            <td><?php echo e($student->adno); ?></td>
                                            <td><?php echo e(strtoupper($student->name)); ?></td>

                                            <?php $__currentLoopData = $examsubjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exsub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <td>
                                                    <?php
                                            $marks = isset($marksByStudent[$student->student_id][$exsub->subject_id]) ? $marksByStudent[$student->student_id][$exsub->subject_id] : '';
                                        if($marks == -1)
                    {
                        $marks ="AB";
                    }
                                        ?>
                                                    <input type="text" size="4" class="form-control mark" id="<?php echo e('mark' . $student->student_id . '-' . $exsub->subject_id); ?>" name="mark<?php echo e($student->student_id); ?>_<?php echo e($exsub->subject_id); ?>" value="<?php echo e($marks); ?>"  placeholder="Enter marks">
                                                </td>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">SAVE</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/js/studall.js')); ?>"></script>

<style>
    /* Style checkboxes */
    input[type="checkbox"] {
        width: 1.5em;
        height: 1.5em;
        margin: 0;
        accent-color: green;
    }

    /* Align checkboxes properly */
    .container {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    /* Scrollable container */
    .div_scroller {
        overflow: auto;
        scrollbar-width: thick;
        scrollbar-color: #888 #f1f1f1;
    }

    /* Style for the table */
    table {
        width: 100%;
        table-layout: fixed;
    }

    th, td {
        text-align: center;
        vertical-align: middle;
    }

    /* Styling input text boxes */
    .mark {
        text-align: center;
        width: 100%;
        border-radius: 5px;
        padding: 0.5em;
        font-size: 1rem;
        box-sizing: border-box;
    }

    .mark:focus {
        border-color: #004170;
        outline: none;
    }

    /* Make the submit button more prominent */
    .btn-primary {
        background-color: #004170;
        border-color: #004170;
    }

    .btn-primary:hover {
        background-color: #003350;
        border-color: #003350;
    }

    /* Styling for the "Absent" label */
    p {
        font-size: 1rem;
    }

    /* Prevents overflow of content in the "Student Name" column */
    td {
        word-wrap: break-word;
        white-space: normal;
    }

    th {
        white-space: nowrap;
    }
</style>

<script>
    function isNumberKey(event) {
        var charCode = (event.which) ? event.which : event.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;
    }
</script>
<?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/internalassessment/subwise_exm_mrks.blade.php ENDPATH**/ ?>