
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Staff Report'); ?>
<?php $__env->startSection('breadcrumb','Home/Staff/Report'); ?>
<?php $__env->startSection('content'); ?>


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                       
        
       
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="stype_id"><b>Staff Type</b></label>
                                <select class="form-control" id="stype_id" name="staftyp_id">
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $stafftyp; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stafftyps): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($stafftyps->staftyp_id); ?>"><?php echo e($stafftyps->type_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        
                      
                        
                           <div class="col-md-3">
                            <div class="form-group">
                                <label for="type_id"><b>Designation</b></label>
                                <select class="form-control" id="type_id" name="type_id">
                                    <option value="">Select</option>
                                   
                                   
                                </select>
                            </div>
                        </div>
                        
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="working_type"><b>Working Type</b></label>
                                <select class="form-control" id="working_type" name="working_type">
                                    <option value="">Select</option>
                                        <option value="permanent">Permanent</option>
                                        <option value="temporary">Temporary</option>
                                </select>
                            </div>
                        </div>
                        
                          <div class="col-md-3">
                            <div class="form-group">
                                <label for="dept_id"><b>Department</b></label>
                                <select class="js-example-basic-single form-control" id="dept_id" name="dept_id">
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $dept; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $depts): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($depts->id); ?>"><?php echo e($depts->dept_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                       
                       <div class="col-md-3">
                            <div class="form-group">
                                <label for="sstatus"><b>Status</b></label>
                                <select class="form-control" id="sstatus" name="sstatus">
                                    
                                        <option value="1">Active</option>
                                        <option value="0">Inactive</option>
                                </select>
                            </div>
                        </div> 
                     
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>Staff Name</b></th>
                            <th><b>Designation</b></th>
                            <th><b>Department</b></th>
                            <th><b>Email</b></th>
                            <th><b>Mobile</b></th>
                            <th><b>Date of Joining</b></th>
                            <th class="no-sort">Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
  <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
  <script src="<?php echo e(asset('public/js/user/add.js')); ?>"></script>
    <script>
     $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '<?php echo e(route('user.rep.ajax')); ?>',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        
                        data.stype_id = $('#stype_id').val(),
                        data.type_id = $('#type_id').val(),
                        data.working_type = $('#working_type').val(),
                        data.dept_id = $('#dept_id').val();
                        data.sstatus = $('#sstatus').val();
                       
                    }
                },
                columns : [
                    { data : 'staff_name' },
                    { data : 'desig' },
                    { data : 'department' },
                    { data : 'email' },
                    { data : 'mobile' },
                    { data : 'joining_date' },
                    { data : 'action' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/stjosephscollege.relents.in/resources/views/users/view_user.blade.php ENDPATH**/ ?>