

<?php $__env->startSection('title', 'Home'); ?>
<?php $__env->startSection('heading', 'Add Events'); ?>
<?php $__env->startSection('breadcrumb', 'Home/Events/Add Events'); ?>

<?php $__env->startSection('content'); ?>


<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
             <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         <?php echo e(app_button_links_v(array(375, 376))); ?>

    </div>
            <div class="card-header" style="background-color:#005A9C; color:white;">
                <b>Select the Criteria</b>
            </div>
            <div class="card-body">
                <form action="<?php echo e(route('events.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row mb-3">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="ac_id" class="required"><b>Academic Year</b></label>
                                <select class="form-control" id="acyear" name="ac_id" required>
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e(old('ac_id') == $acyear->ac_id ? "selected" : ""); ?>>
                                            <?php echo e($acyear->start_date_formatted . ' - ' . $acyear->end_date_formatted); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger small mt-1"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="user_id" class="required"><b>Staff-in-charge</b></label>
                                <select class="form-control" id="user_id" name="user_id" required>
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $staff; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staffs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($staffs->user_id); ?>" <?php echo e(old('user_id') == $staffs->user_id ? "selected" : ""); ?>>
                                            <?php echo e($staffs->name); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger small mt-1"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="course_id" class="required"><b>Program</b></label>
                                <select class="form-control" id="course_id" name="course_id" required>
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $course; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $courses): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($courses->course_id); ?>" <?php echo e(old('course_id') == $courses->course_id ? "selected" : ""); ?>>
                                            <?php echo e($courses->course_name); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger small mt-1"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="event" class="required"><b>Event</b></label>
                                <input type="text" name="event" class="form-control" placeholder="Event" required>
                            </div>
                        </div>
                    </div>

                    <div class="row mb-3">
                        <div class="col-md-6">
                            <label for="desc" class="required"><b>Description</b></label>
                            <textarea name="desc" class="form-control"  placeholder="Description" required></textarea>
                        </div>
                        <div class="col-md-3">
                            <label for="fdate" class="required"><b>From Date</b></label>
                            <input type="date" class="form-control" id="fdate" name="fdate" required>
                            <?php $__errorArgs = ['fdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-danger small mt-1"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="col-md-3">
                            <label for="tdate" class="required"><b>To Date</b></label>
                            <input type="date" class="form-control" id="tdate" name="tdate" required>
                            <?php $__errorArgs = ['tdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-danger small mt-1"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-primary float-right">Submit</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/event/add.blade.php ENDPATH**/ ?>