
<?php $__env->startSection('title','Settings'); ?>
<?php $__env->startSection('heading','Hostel Months'); ?>
<?php $__env->startSection('breadcrumb','Settings / Hostel Settings /Hostel Months'); ?>
<?php $__env->startSection('content'); ?>




    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header" style="background:#005A9C;color:white;"><b>Hostel Months</b></div>
                <div class="card-body">
                    <form action="<?php echo e(route('hostelmonth.save')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <table class="table table-bordered">
                                        <thead>
                                        <tr>
                                            <th><b>#</b></th>
                                            <th>
                                                <div class="form-check form-check-success">
                                                    <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                                </div>
                                            </th>
                                            <th><b>Month</b></th>
                                            <th><b>Action</b></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            <?php $__empty_1 = true; $__currentLoopData = $months; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                <tr>
                                                    <td><?php echo e($loop->iteration); ?></td>
                                                    <td>
                                                        <?php if($month['status']==0): ?>
                                                            <div class="form-check form-check-success text-center">
                                                                <label class="form-check-label"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($month['month']); ?>"> 1&nbsp;</label>
                                                            </div>
                                                        <?php endif; ?>
                                                    </td>
                                                    <td><?php echo e(date('F Y',$month['month'])); ?></td>
                                                    <td>
                                                        <?php if($month['status']==1): ?>
                                                            <?php echo e(app_table_links($month['hmid'],array(36))); ?>

                                                        <?php endif; ?>
                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                <tr>
                                                    <td colspan="4">No Result Found !</td>
                                                </tr>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(document).ready(function(){
            $("#checkAll").on('click',function () {
                if($(this).is(':checked')){
                    $('.checkSub').each(function(){
                        this.checked = true;
                    });
                }else{
                    $('.checkSub').each(function(){
                        this.checked = false;
                    });
                }
            });
        });
    </script>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        
        .form-control{
            border:1px solid black;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/settings/hostel_month.blade.php ENDPATH**/ ?>