
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Report'); ?>
<?php $__env->startSection('breadcrumb','Home/Fees/Due Report/Report'); ?>
<?php $__env->startSection('content'); ?>



    <?php if(!empty($student)): ?>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Student Details</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Name</b></label>
                                    <div class="col-8"><b>:</b> <?php echo e(strtoupper($student->name)); ?></div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Adm No.</b></label>
                                    <div class="col-8"><b>:</b> <?php echo e($student->adno); ?></div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Program</b></label>
                                    <div class="col-8"><b>:</b> <?php echo e($student->course->course_name); ?></div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Category</b></label>
                                    <div class="col-8"><b>:</b> <?php echo e($student->categ->category_name); ?></div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Address</b></label>
                                    <div class="col-8"><b>:</b> <?php echo e($student->address); ?></div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Mobile</b></label>
                                    <div class="col-8"><b>:</b> <?php echo e($student->mobile); ?></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#004170;color:white;"><b>Due Report</b></div> 
                    <div class="card-body">
                        <div class="form-group row">
                            <div class="col-md-12">
                                <div class="scroll">
                                    <table class="table table-bordered">
                                        <thead>
                                            <th><b>Semester</b></th>
                                            <th><b>Term</b></th>
                                            <th><b>Fee Type</b></th>
                                            <th><b>Fee Amount</b></th>
                                            <th><b>Due Amount</b></th>
                                            <th><b>Fine Amount</b></th>
                                            <th><b>Total Amount</b></th>
                                           
                                            <th><b>Due Date</b></th>
                                        </thead>
                                        <tbody>
                                            <?php $total=0; 
                                            
                                            foreach($fees as $ac_id => $sem_details){
                                            foreach($sem_details as $sem_id => $term_details){
                                                foreach($term_details['fee_structure'] as $term_id => $fee_details){
                                                    foreach($fee_details['fee_type'] as $ftype_id => $ftype_details){
                                                        $famount = $ftype_details['due_amount']+$ftype_details['fine_amount']; 
                                                        $total += $famount; ?>
                                                        <tr>
                                                            <td><?php echo e($term_details['name']); ?></td>
                                                            <td><?php echo e($fee_details['name']); ?></td>
                                                            <td><?php echo e($ftype_details['ftype_name']); ?></td>
                                                            <td align="right"><?php echo e($ftype_details['term_fee']); ?></td>
                                                            <td align="right"><?php echo e($ftype_details['due_amount']); ?></td>
                                                            <td align="right"><?php echo e($ftype_details['fine_amount']); ?></td>
                                                            <td align="center">
                                                                <?php if($famount==0): ?>
                                                                <span style="font-size:18px; font-weight: bold; color:#4CBB17">Paid !!</span>
                                                                <?php else: ?>
                                                                <?php echo e($famount); ?>

                                                                 <?php endif; ?>
    
                                                               </td>
                                                            
                                                            
                                                           
                                                           
                                                            <td><?php echo e(date('d-m-Y',strtotime($ftype_details['end_date']))); ?></td>
                                                        </tr>
                                                    <?php } 
                                                }
                                            } 
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-8 text-right font-weight-bold">Total Due Amount :</div>
                            <div class="col-4 font-weight-bold"><?php echo e(number_format($total,2)); ?></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    <?php endif; ?>
    
      
    <style>
           table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
          table.table-bordered th{
            background-color:#FEBE10;
        }
         table.table-bordered  tr:nth-child(even){background-color: #F8F8F8;}
         table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}

                      .dataTables_wrapper .dataTables_filter input {
   
    font-weight:bold;
    background-color: white;
    border: 1px solid black;
    border-radius: 4px;
    padding: 6px 10px;
    width: 300px; /* Adjust width as needed */
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1); /* Optional: add shadow */
}
  .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
    </style>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/fees/student_due.blade.php ENDPATH**/ ?>