
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Dashboard'); ?>
<?php $__env->startSection('breadcrumb','Home'); ?>
<?php $__env->startSection('content'); ?>
<?php if($pendingtasks->isNotEmpty()): ?>
<div class="card">
            <div class="card-body">
                 <form action="<?php echo e(route('staff.pending.task.save')); ?>" method="post">
                 <?php echo csrf_field(); ?>
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th rowspan="2">
                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
                            </div>
                        </th>
                        <th>Task</th>
                        <th>Deadline</th>
                        <th>Status</th>
                        <th>Remarks</th>
                        
                    </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $pendingtasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tsk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                         <?php
                         $datetime = new DateTime($tsk->dead_line);
                         
                         ?>
                        <tr>
                            <td align="center" >
                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($tsk->id); ?>"></label>
                                </div>
                            </td> 
                       
                            <td><?php echo e(strtoupper($tsk->task)); ?></td>
                            
                            <td><?php echo e($datetime->format('d-m-Y h:i A')); ?></td>
                            <td>
                                <select class="form-control" id="status<?php echo e($tsk->id); ?>" name="status<?php echo e($tsk->id); ?>" required>
                                    <option value="">Select Status</option>
                                    <option value="0" <?php echo e(old('status', $tsk->status) == 0 ? "selected" : ""); ?>>PENDING</option>
                                    <option value="1" <?php echo e(old('status', $tsk->status) == 1 ? "selected" : ""); ?>>COMPLETED</option>
                                </select>
                            </td>
                            <td><textarea class="form-control remark" id="<?php echo e('remark'. $tsk->id); ?>" name="remark<?php echo e($tsk->id); ?>" onkeypress="return isNumberKey(event);"><?php echo e(strtoupper($tsk->remark)); ?></textarea> 
</td>
                        </tr>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <br>
                <div class="row">
                             
               <div class="col-md-12">
                  <div class="form-group">
                    <button type="submit" class="btn btn-primary float-right">Submit</button>
                 </div>
               </div>
    </div>
    </form>
            </div>
        </div>
        <?php else: ?>
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">No Pending Task Found !</div>
            </div>
        </div>
    <?php endif; ?>
        <style>
input[type="checkbox"] {
  width: 1.5em;
  height: 1.5rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}   
</style>
     <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
            <script>
            $(document).ready(function(){
                
               
                $("#checkAll").on('click',function () {
                    if($(this).is(':checked')){
                        $('.checkSub').each(function(){
                            this.checked = true;
                        });
                    }else{
                        $('.checkSub').each(function(){
                            this.checked = false;
                        });
                    }
                });
            });
            </script>
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staffdashboard/Task/pending_task.blade.php ENDPATH**/ ?>