
<?php $__env->startSection('title','My Profile'); ?>
<?php $__env->startSection('heading','My Profile'); ?>
<?php $__env->startSection('breadcrumb','Home / My Profile'); ?>
<?php $__env->startSection('content'); ?>

<div class="card">
        <div class="card-body">
            <?php if($errors->has('photo')): ?>
            <script>
                alert("<?php echo e($errors->first('photo')); ?>");
            </script>
        <?php endif; ?>
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        <?php $photo = $student->photo ?? 'student.png'; ?>
                        <img class="rounded-circle image-fluid" src="<?php echo e(asset('public/uploads/student/photo/'.$photo)); ?>" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Adm No. </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->adno); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Roll No. </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->rollno); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Name </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->name)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Admission Date </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->adate); ?></span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Major 1 </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->course->course_name)); ?></span></label>
                    </div>
                    <?php if($student->major_ii): ?>
                        <div class="form-group row">
                            <label class="col-5">Major 2 </label>
                            <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->majorii->course_name)); ?></span></label>
                        </div>
                    <?php endif; ?>
                    <div class="form-group row">
                        <label class="col-5">Semester </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($promote->semester->semester_name)); ?></span></label>
                    </div>
                   
                    <div class="form-group row">
                        <label class="col-5">Pathway </label>
                         <?php if($pathway): ?>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($pathway->pathway)); ?></span></label>
                        <?php else: ?>
                        <label class="col-7">: <span class="text-danger">No Pathway assigned !</span></label>
                        <?php endif; ?>
                    </div>
                    
                </div>
                
               
            </div>
            
           
        </div>
    </div>
    <br>
  <form action="<?php echo e(route('student.profile.update')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>   
 <div class="card card-primary">
        <div class="card-header">Personal Information</div>
        <div class="card-body">
            <div class="row">
               
                <div class="col-md-6">
                    
                                   
                    
                    <div class="form-group">
                         <div class="form-group">
                           <label for="name" class="required">Name</label>
                    <input type="text" class="form-control text" id="name" name="name" value="<?php echo e($student->name); ?>" placeholder="Student Name" required>
                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                   
                                <div class="form-group">
                                <label for="male" class="required">Gender</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" <?php echo e($student->gender =='male' ? "checked":""); ?>> Male </label>
                                </div>
                                </div>
                                <div class="col-md-8">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" <?php echo e($student->gender =='female' ? "checked":""); ?>> Female </label>
                                </div>
                                </div>
                                </div>
                                </div>
                               
                    </div>
                    <div class="form-group">
                          <label for="paddress">Permanent Address</label>
                            <textarea class="form-control text" id="paddress" name="paddress" placeholder="Permanent Address" rows="2"><?php echo e($student->paddress); ?></textarea>
                            <?php $__errorArgs = ['paddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                      <label for="caddress">
                                <input type="checkbox" class="form-check-input" id="same" name="same" value="1" <?php echo e(old('same')=='1' ? "checked":""); ?>> Communication Address
                                </label>
                                <textarea class="form-control text" id="caddress" name="caddress" rows="2" placeholder="Communication Address"><?php echo e($student->caddress); ?></textarea>
                                <?php $__errorArgs = ['caddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                         <label for="mobile" class="required">Mobile</label>
                                    <input type="text" class="form-control text" id="mobile" name="mobile" placeholder="Mobile" value="<?php echo e($student->mobile); ?>" required readonly>
                                    <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                     <div class="form-group">
                         <label for="mobile">Alternate Mobile No.</label>
                                    <input type="text" class="form-control text" id="mobile1" name="mobile1" placeholder="Alternate Mobile No." value="<?php echo e($student->mobile1); ?>">
                                    <?php $__errorArgs = ['mobile1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                       <label for="email"  class="required">Email</label>
                                    <input type="text" class="form-control text" id="email" name="email" placeholder="Email" value="<?php echo e($student->email); ?>">
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                        <label for="aadhar">Aadhar No</label>
                                    <input type="text" class="form-control text" id="aadhar" name="aadhar" placeholder="Aadhar No" value="<?php echo e($student->aadhar); ?>">
                                    <?php $__errorArgs = ['aadhar'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                         <label for="dob" class="required">Date of Birth</label>
                                    <input type="date" class="form-control text" id="dob" name="dob" placeholder="Date of Birth" value="<?php echo e($student->dob); ?>" required>
                                    <?php $__errorArgs = ['dob'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        
                    </div>
                    <div class="form-group">
                            <label for="bgroup">Blood Group</label>
                                <select class="form-control text" id="bgroup" name="bgroup">
                                        <option value="">Select</option>
                                        <option value="O+ve" <?php echo e($student->bgroup=='O+ve' ? "selected":""); ?>>O+ve</option>
                                        <option value="O-ve" <?php echo e($student->bgroup=='O-ve' ? "selected":""); ?>>O-ve</option>
                                        <option value="A+ve" <?php echo e($student->bgroup=='A+ve' ? "selected":""); ?>>A+ve</option>
                                        <option value="A-ve" <?php echo e($student->bgroup=='A-ve' ? "selected":""); ?>>A-ve</option>
                                        <option value="B+ve" <?php echo e($student->bgroup=='B+ve' ? "selected":""); ?>>B+ve</option>
                                        <option value="B-ve" <?php echo e($student->bgroup=='B-ve' ? "selected":""); ?>>B-ve</option>
                                        <option value="AB+ve" <?php echo e($student->bgroup=='AB+ve' ? "selected":""); ?>>AB+ve</option>
                                        <option value="AB-ve" <?php echo e($student->bgroup=='AB-ve' ? "selected":""); ?>>AB-ve</option>
                                </select>
                    </div>
                    <div class="form-group">
                        <label for="religion">Religion</label>
                            <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $religion; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $religions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($religions->religion_id); ?>" <?php echo e($student->religion_id == $religions->religion_id  ? "selected":""); ?>><?php echo e($religions->religion_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                                <?php $__errorArgs = ['religion_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                       <label for="community_id" >Community</label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            <option value="">Select</option>    
                             <?php $__currentLoopData = $community; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <option value="<?php echo e($comm->community_id); ?>" <?php echo e($student->community_id == $comm->community_id  ? "selected":""); ?>><?php echo e($comm->community); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['community_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                       <label for="caste">Caste</label>
                                <select class="js-example-basic-single " id="caste_id" name="caste_id" style="width:100%">
                                <option value="">Select</option> 
                                 <?php $__currentLoopData = $castes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cst): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <option value="<?php echo e($cst->caste_id); ?>" <?php echo e($student->caste_id == $cst->caste_id  ? "selected":""); ?>><?php echo e($cst->caste); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['caste_id '];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                       <label for="apl">APL/BPL</label>
                        <div class="row">
                        <div class="col-md-4">
                        <div class="form-check form-check-success">
                        <label class="form-check-label"><input type="radio" class="form-check-input " id="apl" name="pline" value="APL" <?php echo e($student->pline=='APL' ? "checked":""); ?>> APL </label>
                        </div>
                        </div>
                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="bpl" name="pline" value="BPL" <?php echo e($student->pline=='BPL' ? "checked":""); ?>> BPL </label>
                                        </div>
                                        </div>
                    </div></div>
                    <div class="form-group">
                       <label for="income" >Annual Income</label>
                        <input type="text" class="form-control text" id="income" name="income" value="<?php echo e($student->income); ?>" placeholder="Annual Income" >
                        <?php $__errorArgs = ['income'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                       <label for="fname">Father's Name</label>
                            <input type="text" class="form-control text" id="fname" name="fname" placeholder="Father's Name" value="<?php echo e($student->fname); ?>" readonly>
                       <?php $__errorArgs = ['fname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                          <label for="fmobile">Father's Mobile</label>
                            <input type="text" class="form-control text" id="fmobile" name="fmobile" placeholder="Father's Mobile"  value="<?php echo e($student->fmobile); ?>">
                          <?php $__errorArgs = ['fmobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                       <label for="foccupation">Father's Occupation</label>
                        <input type="text" class="form-control text" id="foccupation" placeholder="Father's Occupation" name="foccupation" value="<?php echo e($student->foccupation); ?>">
                        <?php $__errorArgs = ['foccupation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                       <label for="mname">Mother's Name</label>
                            <input type="text" class="form-control text" id="mname" name="mname"  placeholder="Mother's Name"  value="<?php echo e($student->mname); ?>" readonly>
                        <?php $__errorArgs = ['mname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                         <label for="moccupation">Mother's Occupation</label>
                            <input type="text" class="form-control text" id="moccupation"   placeholder="Mother's Occupation"  name="moccupation" value="<?php echo e($student->moccupation); ?>">
                        <?php $__errorArgs = ['moccupation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                        <label for="gname">Guardian Name</label>
                                    <input type="text" class="form-control text" id="gname" name="gname" placeholder="Guardian Name" value="<?php echo e($student->gname); ?>">
                                    <?php $__errorArgs = ['gname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                          <label for="gaddress">Guardian Address</label>
                                    <textarea class="form-control text" id="gaddress" name="gaddress" placeholder="Guardian Address"  rows="2"><?php echo e($student->gaddress); ?></textarea>
                                    <?php $__errorArgs = ['gaddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                        <label for="gmobile" >Guardian Mobile</label>
                            <input type="text" class="form-control text" id="gmobile" name="gmobile"  placeholder="Guardian Mobile"   value="<?php echo e($student->gmobile); ?>">
                            <?php $__errorArgs = ['gmobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                       
                                <label for="yes">Day Scholar</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="dscholar" value="Yes" <?php echo e($student->dscholar=='Yes' ? "checked":""); ?>> Yes </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="dscholar" value="No" <?php echo e($student->dscholar=='No' ? "checked":""); ?>> No </label>
                                        </div>
                                        </div>
                                        </div>
                                       
                    </div>
                    <div class="form-group">
                         <label for="yes">NCC/NSS</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="ncc_nss" name="ncc_nss" value="NCC" <?php echo e($student->ncc_nss=='NCC' ? "checked":""); ?>> NCC </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="ncc_nss" name="ncc_nss" value="NSS" <?php echo e($student->ncc_nss=='NSS' ? "checked":""); ?>> NSS </label>
                                        </div>
                                        </div>
                                        </div>
                    </div>
                    <div class="form-group">
                        <label for="abc_id" >ABC ID</label>
                            <input type="text" class="form-control text" id="abc_id" name="abc_id"  placeholder="ABC ID"   value="<?php echo e($student->abc_id); ?>">
                            <?php $__errorArgs = ['abc_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="form-group">
                       <label for="arts_sports" >Arts/Sports</label>
                        <input type="text" class="form-control text" id="arts_sports" name="arts_sports" value="<?php echo e($student->arts_sports); ?>" placeholder="Arts/Sports" >
                        <?php $__errorArgs = ['arts_sports'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                     
                            <div class="form-group">
                            <label for="photo">Photo<font color="red">(jpeg , png , jpg)</font></label>
                            <input type="file"  id="photo" name="photo">
                            <?php $__errorArgs = ['photo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                          
                </div>
            </div>
       
         <div class="row">
            <div class="col-sm-12">
                <div class="form-group">
                    <button type="submit" class="btn btn-success float-right">Update</button>
                </div>
            </div>
        </div>
         </div>
    </div>
    
         </form>
    <br>
    <div class="card card-primary">
        <div class="card-header">Academic Information</div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5">Institution Last Studied</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->lastinst); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Program Last Studied</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->lastcourse); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Year of Study</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->lastyear); ?></span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5">SSLC Marks (%)</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->sslc); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Plus Two Marks (%)</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->plustwo); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Degree Marks (%)</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->degree); ?></span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>

 <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/student.js')); ?>"></script>
      <script src="<?php echo e(asset('public/js/studcommunity.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/studcaste.js')); ?>"></script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/student/myprofile.blade.php ENDPATH**/ ?>