
<?php $__env->startSection('title','Settings'); ?>
<?php $__env->startSection('heading','Add'); ?>
<?php $__env->startSection('breadcrumb','Settings / Course / Add'); ?>
<?php $__env->startSection('content'); ?>




        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Course</b></div>
        <div class="card-body">
        <form action="<?php echo e(route('addsubject.save')); ?>" method="post">
        <?php echo csrf_field(); ?>
        <div class="row">
        <div class="col-md-4">
        <div class="form-group">
        <label for="course_id" class="required"><b>Program</b></label>
        <select class="form-control" id="course_id" name="course_id" required>
        <option value="">Select</option>
        <?php $__currentLoopData = $course; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($crs->course_id); ?>" <?php echo e(old('course_id')==$crs->course_id ? "selected":""); ?>><?php echo e($crs->course_name); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
        <div class="col-md-4">
        <div class="form-group">
        <label for="semester_id" class="required"><b>Semester</b></label>
         <select class="select2" multiple="multiple" id="semester_id" data-placeholder="Select Course" name="semester_id[]" style="width: 100%;">
        
        <option value="">select</option>
        </select>
        </div>
        </div>
                            
                            
      
        </div>
        <div class="row">
        
       
        <div class="col-md-2">
        <div class="form-group">
        <label class="required"><b>Course Code</b></label>
        <input type="text" class="form-control" placeholder="Subject Code" name="subject_code[]">
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
            <label class="required"><b>Course Name</b></label>
        <input type="text" class="form-control" placeholder="Subject Name" name="subject_name[]">
        </div>
        </div>
         
         <div class="col-md-2">
        <div class="form-group">
            <label class="required"><b>Credit</b></label>
           <select class="form-control" id="subject_credit[]" name="subject_credit[]" required>
                <option value="">select Credit </option>
               
                <option value="3" <?php echo e(old('subject_credit[]')==3 ? "selected":""); ?>>3</option>
                <option value="4" <?php echo e(old('subject_credit[]')==4 ? "selected":""); ?>>4</option>
                
            </select>
        </div>
        </div>
        
        <div class="col-sm-5">
        <div class="form-group">
            <label class="required"><b>Course Category</b></label>
        
        <div class="row">
            <div class="col-md-5">
            <div class="form-group">
            
             <select class="form-control" id="subject_categ[]" name="subject_categ[]" required>
            <option value="">select Category </option>
            <?php $__currentLoopData = $subcategory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcatg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($subcatg->category); ?>" <?php echo e(old('subject_categ[]')==$subcatg->category ? "selected":""); ?>><?php echo e($subcatg->category); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
            </select>
            
            </div>
            </div>
        
        
        <div class="col-md-5">
        <div class="form-group">
        <button type="button" class="btn btn-sm btn-success" style="border-radius:50%;" id="addsub"><i class="icon icon-plus"></i></button>
        </div>
        </div>
        </div>
        </div>
        </div>
        </div>
        <div id="moreadd"></div> 
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right" id="add">Save</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
    
    
    
    
    
    
    
    
    
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Course</b></th>
                            <th><b>Course Code</th>
                            <th><b>Category</th>
                            <th><b>Credit</b></th>
                            <th><b>Department</th>
                            
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $subject; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subjects): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                  <td><?php echo e($subjects->subject_name); ?></td>
                                  <td><?php echo e($subjects->subject_code); ?></td>
                                  <td><?php echo e($subjects->subject_categ ? $subjects->subcategoryname->category : 'N/A'); ?></td>
                                  <td><?php echo e($subjects->subject_credit); ?></td>
                                  <td><?php echo e($subjects->deptName->dept_name); ?></td>
                                  
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
  
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/sem.js')); ?>"></script> 
    <script>
   
    var subcategories = <?php echo json_encode($subcategory, 15, 512) ?>;
    </script>
    <script src="<?php echo e(asset('public/js/add.js')); ?>"></script> 
    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/students/addsubject.blade.php ENDPATH**/ ?>