
<style>
    @media print {
        @page {
            margin: 0;
        }
        body {
            background-repeat: repeat;
           
        }
    }
    * {
        font-family: Times;
        font-size: 16px;
        line-height: 22px;
    }
    body {
        background-size: cover;
        border: 1px solid black;
    }
    #title {
        font-size: 20px;
        font-weight: bold;
        color: #800000;
        text-align:center;
    }
    .container {
        margin-top: 15px;
        margin-left: 35px;
        width: 80%;
        padding: 15px;
    }
    table {
        width: 100%;
    }
    table tr {
        height: 30px;
    }
    table td {
        vertical-align: top;
    }
    .header {
        text-align: center;
    }
    .content {
        text-align: center;
        margin-top: 20px;
    }
    #hr {
        background-color: #800000;
        height: 2px;
        margin: 20px 0;
    }
</style>
<body onload="print()">
<div class="container"> 
    <table>
        <tr>
            <td width="25%" rowspan="4" align="center"><img src="<?php echo e(asset('public/uploads/logo/'.$institution->logo)); ?>" alt="<?php echo e($institution->logo); ?>" height="50px"></td>
            <td width="50%" align="center" class="header"><?php echo e($institution->name); ?></td>
            <td width="25%" rowspan="4" align="center"></td>
        </tr>
        <tr><td align="center" class="header"><?php echo e($institution->affiliation); ?></td></tr>
        <tr><td align="center" class="header"><?php echo e($institution->address); ?></td></tr>
        <tr><td align="center" class="header"><?php echo e('Ph : '.$institution->mobile.' '.$institution->landline); ?></td></tr>
    </table>

    <div id="hr"></div>
  
    <div class="head">
        <table>
            <tr>
                <td class="float-left"><b>No. : </b></td>   
                <td align="right" style="white-space:nowrap"><b>DATE : <?php echo e(date('d/m/Y')); ?></b></td>     
            </tr>
            <tr>
                <td colspan="2">
                    <?php $__currentLoopData = $certificate_gen; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cert): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div>
                        <div id="title"><?php echo e(strtoupper($cert->title)); ?></div>
                        <div  class="content"><?php echo $cert->content; ?></div> 
                       
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </td>
            </tr>
        </table>    
    </div> 
</div>
</body><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/certificate/certificate_generated_print_staff.blade.php ENDPATH**/ ?>