<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
    <?php if($student->isNotEmpty()): ?>  
        <div class="row">
    <div class="col-auto">
        <div class="form-group">
            <a href="<?php echo e(route('student.present.export', ['course' => $course, 'semester' => $semester_id, 'subject' => $sub_id,'todate'=>$to_date,'fromdate'=>$from_date,'batchId'=>$batchId])); ?>" target="_blank"><i class="fa-solid fa-file-excel text-success" style="font-size:35px"></i></a>
        </div>
    </div>
    <div class="col-auto">
        <div class="form-group">
            <a href="<?php echo e(route('student.present.pdf', ['course' => $course, 'semester' => $semester_id, 'subject' => $sub_id,'todate'=>$to_date,'fromdate'=>$from_date,'batchId'=>$batchId])); ?>" target="_blank">
                <i class="fa-solid fa-file-pdf text-danger" style="font-size:35px"></i>
            </a>
        </div>
    </div>
</div>


               
          <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                       <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                             <th><b>Adno</b></th>
                              <th><b>Roll No.</b></th>
                            <th><b>Student Name</b></th>
                            <th><b>Program</b></th>
                            <th><b>Total Present<span style="font-size: 12px; color:white;"><br>(<?php echo e($total_attendance_days); ?>)</span></b></th>
                             <th><b>Total Percentage</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                          
                             
                           
                            <?php $__empty_1 = true; $__currentLoopData = $student; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $students): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                  <td><?php echo e(strtoupper($students->adno)); ?></td>
                                  <td><?php echo e(strtoupper($students->rollno)); ?></td>
                                  <td><?php echo e(strtoupper($students->name)); ?></td>
                                  <td><?php echo e(strtoupper($students->course_name)); ?></td>
                                 <td><?php echo e($students->total_present ?? 0); ?></td>
                                  
                                  <?php
                                  $totaldays=$total_attendance_days;
                                  $presentdays=$students->total_present;
                                  $totalpercentage = $totaldays > 0 ? ($presentdays / $totaldays) * 100 : 0;
                                  
                                  ?>
                                  <td>
                                     <?php if(floor($totalpercentage) == $totalpercentage): ?>
        <?php echo e(floor($totalpercentage)); ?>% 
    <?php else: ?>
        <?php echo e(number_format($totalpercentage, 2)); ?>% 
    <?php endif; ?>  
                                      
                                  </td>
                                  
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table> 

                        <div id="load"></div>
                    </div>
                </div>
            </div>
        
        <?php else: ?>
    <div style="background-color: #f8d7da; padding: 10px; color: #721c24; border-radius: 5px;">Attendance not marked. Please mark attendance.</div>
<?php endif; ?>  
        
        </div>
        </div><?php /**PATH /home/relents/public_html/stjosephscollege.relents.in/resources/views/student-attendance/totalpresent_get.blade.php ENDPATH**/ ?>