
<?php $__env->startSection('title','OBE'); ?>
<?php $__env->startSection('heading','Outcome Based Education'); ?>
<?php $__env->startSection('breadcrumb','Home / OBE /Add University Marks'); ?>
<?php $__env->startSection('content'); ?>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
        <?php echo e(app_button_links_v(array(273,274,275,283,284,285,286,289,290,291))); ?>

        
    </div> 
    <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            
             
            
        <div class="card">
            
         
        <div class="card-header" style="background: #005A9C;color:white;">
        <b>Select the Criteria</b>
        </div>
        <div class="card-body">
        <form action="<?php echo e(route('universitymark.get')); ?>" method="post">
        <?php echo csrf_field(); ?>
                        <div class="row">
                        <div class="col-md-4">
                        <label for="course_id" class="required">Program</label>
                        <div class="form-group">
                        <select class="form-control" id="course_id" name="course_id" required>
                        <option value="">Select</option>
                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($course->course_id); ?>" <?php echo e($course_id==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
                        
                        
                            <div class="col-md-8">
                            <label for="semester_id" class="required">Semester</label>
                            <div class="row">
                            <div class="col-md-6">
                            <div class="form-group">
                            <select class="form-control" id="semester_id" name="semester_id">
                            <option value="">Select</option>
                            <option value="na" <?php echo e($semester_id=='na' ? "selected":""); ?>>Not Assigned</option>
                            <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester_id==$semester->semester_id ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            </div>
                            </div>
                            
                            <div class="col-md-6">
                             <div class="form-group">
                                <button type="submit" class="btn btn-primary">Get Details</button>
                             </div>
                            </div>
                      </div>
                    </div>
                    </div>
                    </form>
                    </div>
                    </div>
                    </div>
                    </div>
                    
                    
    <?php if(!empty($students)): ?>
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #004170;color:white;">
        <b>UNIVERSITY MARK LIST <?php echo e(date('Y',strtotime($cur_acyear->sdate)).' - '.date('Y',strtotime($cur_acyear->edate))); ?></b>
        </div>
                    
                    
                    <div class="card-body">
                    <form action="<?php echo e(route('universitymark.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="crs_id" value="<?php echo e(encrypt($course_id)); ?>" >
                    <input type="hidden" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>" >
                    
                    <div class="form-group row">
                       
                      <table class="table table-bordered" id="table_promote">
                        <thead>
                         <tr>
                           <th>Course Name</th>
                           <th>Max Mark</th>
                         </tr>
                        </thead>
                        <tbody>
                         <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sb): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e(strtoupper($sb->subject_code.' '.$sb->subject_name)); ?></td>
                                <td><input type="text" size="2"class="form-control <?php $__errorArgs = ['max_mark'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="max_mark<?php echo e($sb->subject_id); ?>" name="max_mark<?php echo e($sb->subject_id); ?>" value="<?php echo e($sb->submax->where('ac_id',$ac_id)->pluck('max_mark')->first()); ?>"></td></td>
                            </tr>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>    
                        </tbody>    
                       </table>
                     
                    </div>
                   
                    </div>
                </div>
            </div>
        </div>
                            
                            
         <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card" style="border-top:3px solid #004170">
            <div class="card-body">
                <div class="form-group row">
                    <div class="div_scroller">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>
                                        <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                            <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                        </div>
                                    </th>
                                    <th><b>Adno</b></th>
                                    <th><b>Roll no</b></th>
                                    <th><b>Student Name</b></th>
                                    <?php $__currentLoopData = $subjectsALL; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sb1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <th><b><?php echo e($sb1->subject_name); ?></b></th>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>
                                            <div class="form-group">
                                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                    <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($student->student_id); ?>">
                                                    </label>
                                                </div>
                                            </div>
                                        </td>
                                        <td><?php echo e($student->adno); ?></td>
                                         <td><?php echo e($student->rollno); ?></td>
                                        <td><?php echo e(strtoupper($student->name)); ?></td>
                                        <?php $__currentLoopData = $subjectsALL; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sb1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <td>
                                                <input type="text" class="form-control <?php $__errorArgs = ['gpa'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" 
                                                    id="gpa<?php echo e($student->student_id); ?>_<?php echo e($sb1->subject_id); ?>" 
                                                    name="gpa<?php echo e($student->student_id); ?>_<?php echo e($sb1->subject_id); ?>" 
                                                    value="<?php echo e($student->universitysubmark->where('ac_id',$ac_id)->where('sub_id',$sb1->subject_id)->pluck('mark')->first()); ?>">
                                            </td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
                </form>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    <?php endif; ?>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/promote.js')); ?>"></script>
    
  <style>
   .div_scroller {
    overflow-x: auto;
    max-width: 100%;
}

table {
    border-collapse: collapse;
    width: 100%;
}

th, td {
    white-space: nowrap;
    background: white; /* Ensures the sticky columns don't inherit background from other elements */
}

/* Make the 2nd and 3rd columns sticky */
th:nth-child(2), td:nth-child(2) {
    position: sticky;
    left: 0;
    z-index: 2;
}

th:nth-child(3), td:nth-child(3) {
    position: sticky;
    left: 100px; /* Adjust based on column width */
    z-index: 2;
}

/* Add a shadow effect to differentiate sticky columns */
th:nth-child(3), td:nth-child(3) {
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
}
</style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/obe/get_universitymark.blade.php ENDPATH**/ ?>