<div class="card" style="border-top: 3px solid #004170;">
    <div class="card-body">
           <?php if($timetable->isNotEmpty()): ?>
        <form method="post">
           
            <input type="hidden" id="semester_id" name="semester_id" value="<?php echo e($semester_id); ?>">
       
            <div id="totalStudents" class="mb-3"></div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="table-wrapper">
                            <table id="table-fine" class="table table-bordered table-striped table-hover">
                                <thead class="thead-custom">
                                    <tr>
                                        <th>Period</th>
                                        <th>Monday</th>
                                        <th>Tuesday</th>
                                        <th>Wednesday</th>
                                        <th>Thursday</th>
                                        <th>Friday</th>
                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td class="period-cell"><?php echo e($period->period); ?></td>
                                        <?php $__currentLoopData = $getDayOfWeek; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td class="day-cell">
                                             <?php
                                                $isFree = true;
                                            ?>
                                            <?php $__currentLoopData = $timetable; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($t->period_id == $period->id && $t->day_of_week == $day->day): ?>
                                            <?php 
                                            $pr = "";
                                            if($t->type == 1){ $pr="PRACTICAL"; }
                                                $isFree = false;
                                                if(in_array($t->categ_id, [2, 3, 4, 5, 6])) {
                                              $stud_subjects = App\Models\FyugpStudSub::join('subjects', 'subjects.subject_id', '=', 'fyugp_stud_sub.sub_id')
                                ->where('fyugp_stud_sub.stud_id',$studentId)
                                ->where('fyugp_stud_sub.acyear_id',$ac_id)
                                ->where('fyugp_stud_sub.sub_cat',$t->categ_id)
                                ->where('fyugp_stud_sub.sem',$semester_id)
                                ->where('fyugp_stud_sub.course',$promote->course_id)
                                ->select('subjects.subject_name','subjects.subject_code','subjects.subject_id')
                                ->first();
                             $sub_name = $stud_subjects ? $stud_subjects->subject_name.' - '.$stud_subjects->subject_code : 'No subject assigned';
                                                } else {
                                                $stud_subjects = App\Models\Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                                ->where('course_subject.course_id',$promote->course_id)
                                ->where('course_subject.semester_id',$semestersnmes->semester_name)
                                ->where('subjects.subject_categ',$t->categ_id)
                                ->select('subjects.subject_name','subjects.subject_code','subjects.subject_id')
                                ->first();
                             $sub_name = $stud_subjects ? $stud_subjects->subject_name.' - '.$stud_subjects->subject_code : 'No subject assigned';
                                                
                                                }
                                            ?>
                                            <div class="schedule-item">
                                                <strong><?php echo e($subjectName = $t->subjectcateg ? $t->subjectcateg->category : 'No subject assigned'); ?> <?php echo e($pr); ?></strong><br>
                                                <em><?php echo e($sub_name); ?> </em>
                                            </div>
                                            <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                             <?php if($isFree): ?>
                                                <div class="schedule-item free-period">
                                                 <strong><font color="red">Free Period</font></strong>
                                                </div>
                                            <?php endif; ?>
                                        </td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <?php else: ?>
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Timetable not Found !</div>
            </div>
        </div>
    <?php endif; ?>
    </div>
</div>

<style>
    body {
    font-family: 'Arial', sans-serif;
}

/* Table Header Styles */
thead.thead-custom {
    background-color: #004170;
    color: white;
    text-align: center;
}

thead.thead-custom th {
    padding: 15px 10px;
    font-size: 16px;
    font-weight: bold;
}

/* Table Cell Styles */
table.table-bordered {
    border-collapse: collapse;
    width: 100%;
    margin: 20px 0;
}

table.table-bordered td, table.table-bordered th {
    border: 1px solid #dcdcdc;
    padding: 12px;
    text-align: center;
}

table.table-striped tbody tr:nth-child(odd) {
    background-color: #f9f9f9;
}

table.table-hover tbody tr:hover {
    background-color: #e0f7fa;
    cursor: pointer;
}

/* Period Cell Styling */
.period-cell {
    background-color: #f0f0f0;
    font-weight: bold;
    text-align: left;
    padding-left: 15px;
}

/* Day Cells Styling */
.day-cell {
    min-height: 100px;
    vertical-align: top;
    padding: 10px;
}

.day-cell .schedule-item {
    font-size: 14px;
    color: #333;
}

.schedule-item strong {
    display: block;
    font-size: 16px;
    color: #004170;
    margin-bottom: 5px;
}

.schedule-item em {
    font-size: 14px;
    color: #555;
}

/* Scrollable Container */
.table-wrapper {
    overflow-x: auto;
    /*overflow-y: auto;
    max-height: 600px;*/ /* You can adjust the height based on your requirement */
    margin-top: 10px;
}

/* Scrollbar Styles */
.table-wrapper::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

.table-wrapper::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.table-wrapper::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

.table-wrapper::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* Responsive Styling */
@media (max-width: 768px) {
    table.table-bordered, .table th, .table td {
        font-size: 12px;
        padding: 8px;
    }

    .period-cell, .day-cell {
        padding: 8px;
    }

    .schedule-item {
        font-size: 12px;
    }
}

@media (max-width: 480px) {
    table.table-bordered, .table th, .table td {
        font-size: 10px;
        padding: 6px;
    }

    .period-cell, .day-cell {
        padding: 6px;
    }

    .schedule-item {
        font-size: 10px;
    }
}
</style><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/studentlogin/fyugp/timetable_get.blade.php ENDPATH**/ ?>