<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class Tests extends Controller
{
    public function fees()
    {
        $fstructures = DB::table('fee_structures')->where('ac_id',6)->get();
        foreach($fstructures as $fstructure) {
            $fsid = DB::table('fee_structures')->insertGetId([
                'ac_id' => 7,
                'course_id' => $fstructure->course_id,
                'semester_id' => $fstructure->semester_id,
                'term_id' => $fstructure->term_id,
                'category_id' => $fstructure->category_id
            ]);
            
            $fsitems = DB::table('fee_structure_types')->where('structure_id',$fstructure->structure_id)->get();
            foreach($fsitems as $fsitem) {
                $start_date = $end_date = '';
                if($fsitem->start_date == '2024-06-01') {
                    $start_date = '2025-04-01';
                    $end_date = '2025-06-30';
                } else if($fsitem->start_date == '2024-11-01') {
                    $start_date = '2025-11-01';
                    $end_date = '2025-11-30';
                }
                
                
                $ftid = DB::table('fee_structure_types')->insertGetId([
                    'structure_id' => $fsid,
                    'type_id' => $fsitem->type_id,
                    'amount' => $fsitem->amount,
                    'start_date' => $start_date,
                    'end_date' => $end_date
                ]);
            }
        }
    }
    
}