<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class LmsTask extends Model
{
     use HasFactory, SoftDeletes;
    protected $table = 'task';
    
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    
    public function semester(){
        return $this->hasOne(Semester::class,'semester_id','sem_id');
    }
    
    public function subjectname(){
        return $this->hasOne(Subject::class,'subject_id','sub_id');
    }
}
