<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SpecialClassAdd extends Model
{
    use HasFactory;
     protected $table='add_specialclass';
     protected $primaryKey = 'spclclx_id'; 
    
    protected $guarded = [];
  
     public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    
     public function sem(){
        return $this->hasOne(Semester::class,'semester_id','semester_id');
    }
     public function sub(){
        return $this->hasOne(Subject::class,'subject_id','subject_id');
    }
      public function batch(){
        return $this->belongsTo(Group::class,'batch_id','id')->withDefault(['name' => '']);
    }
}
