<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('progressions', function (Blueprint $table) {
            $table->id();
            $table->string('student');
            $table->string('adno', 10)->nullable();
            $table->string('course');
            $table->string('passout', 10)->nullable();
            $table->string('cstatus');
            $table->string('company', 100)->nullable();
            $table->string('location', 100)->nullable();
            $table->string('position', 100)->nullable();
            $table->date('join_date')->nullable();
            $table->string('contact_no', 20)->nullable();
            $table->string('email')->nullable();
            $table->string('remarks')->nullable();
            $table->date('date')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('progressions');
    }
};
