<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('newhours_lessonplanner', function (Blueprint $table) {
            $table->id(); 
            $table->unsignedBigInteger('ac_id');
            $table->unsignedBigInteger('lesson_planner_id');
             $table->unsignedBigInteger('user_id');
             $table->string('new_hours');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('newhours_lessonplanner');
    }
};
