@extends('layouts.template')
@section('title','LMS')
@section('heading','Learning Management System')
@section('breadcrumb','Home / LMS / TASK / View Task')
@section('content')


<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head> 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
     <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
         {{ app_button_links_v(array(740,741)) }}      
            
        
    </div>    
    <div class="card-body">
     <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>View Task</b></div>
        <div class="card-body">
        <form >
        
        <div class="row">
            
        <div class="col-md-3">
            <div class="form-group">
                <label for="type_id" class="required"><b>Staff Type</b></label>
                  <select class="js-example-basic-single" id="type_id" name="type_id" style="width:100%">
                   <option value="">Select</option>
                   @foreach($types as $type)
                   <option value="{{ $type->type_id }}" {{ $type->type_id == old('type_id') ? "selected":"" }}>{{ $type->type_name }}</option>
                   @endforeach
                 </select>
            </div>
        </div>
        
         <div class="col-md-3">
            <div class="form-group">
                <label for="course" class="required"><b>Staff</b></label>
                    <select class="js-example-basic-single" id="user_id" name="user_id" required style="width:100%">
                        <option value="">Select</option>
                    </select>
            </div>
        </div>
        
       
        </div>
        
     <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                     <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
                      
                </div>
            </div>
        </div>
     
   </form>
        </div>
    </div></div></div>
     <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    </div>
 <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
 <script src="{{ asset('public/js/userall.js') }}"></script>
   <script src="{{ asset('public/js/stafftaskview.js') }}"></script>
  <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>
@endsection
    