@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Report') 
@section('breadcrumb', 'Home/CLUBS/Report') 
@section('content')  

  <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(349,350)) }}
          
        
    </div>     
    <div class="card-body">


 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Select the Criteria</b></div>
                <div class="card-body">



       


<table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Club Name</b></th>
                            <th><b>Staff-in-charge</b></th>
                            <th><b>Academic Year</b></th>
                            <th colspan="2"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($clubs as $club)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                     <td>{{$club->club_name}}</td>
                                <td>{{ implode(', ', $club->getUserNames()) }}</td> 
                                <td>{{ date('Y', strtotime($club->acyear->sdate)) . '-' . date('Y', strtotime($club->acyear->edate)) }}</td> 
                                  <td><a href="{{route('clubs.report.edit',['id'=>$club->club_id])}}"><i class="icon-pencil"></i></a></td> 
                                  <td><a href="{{route('clubs.report.delete',['id'=>$club->club_id])}}"  onclick="return confirm('Are you sure you want to delete this Club Details?');"><i class="icon-trash"></i></a></td> 
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>




</div>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
<style>
    <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>

@endsection