<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
        @if($students && $students->isNotEmpty())
         <div align="right">
    <a href="{{ route('fyugpstudsub.print', ['course' => $course,'semester_id'=>$semester_id]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div>
  <form action="{{ route('fyugpstudsub.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($semester_id) }}">
  

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
     <div class="div_scroller">   
    <table id="table-fine" class="table table-bordered" style="width:200%;">
    <thead >
    <tr>
        <th style="width:3%;">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th style="width:5%;"><b>Adm No.</b></th>
        <th style="width:5%;"><b>Roll No.</b></th>
        <th><b>Student Name</b></th>
        <th  style="width:15%;"><b>Pathway</b></th>
        <th><b>Minor I</b></th>
        <th><b>Minor II</b></th>
        <th><b>MDC I</b></th>
        
    </tr>
    </thead>
    <tbody>
            @foreach($students as $student)
        <tr>
           <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}"></label>
                </div>
             
            </td> 
           <td>{{ $student->adno }}</td>
           <td>{{ $student->rollno }}</td>
           <td align="left">{{ strtoupper($student->name) }}</td>
           <td>
            @php
            $pathway_id = $student->studsempathway->where('ac_id',$ac_id)->where('course_id',$course)->where('sem_id',$semester_id)->pluck('pathway_id')->first();

            @endphp
            <select class="form-control" id="pathway_id" name="pathway_id{{ $student->student_id }}" disabled>
                <option value="">Select</option>
                  @foreach($pathway as $path)
                <option value="{{ $path->id  }}" {{ $pathway_id==$path->id  ? "selected":"" }}>{{ $path->pathway }}</option>
                  @endforeach
             </select> 
            @error('pathway_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror      
               
           </td>
           <td>
            @php  $minorI = $student->subminordmc->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->pluck('sub_id')->first();
                  $minorIsub = App\Models\FyugpStudSubPreferences::Join('subjects','fyugp_stud_sub_preferences.pref_Id','=','subjects.subject_id')->where(array('fyugp_stud_sub_preferences.acyear_id'=>$ac_id,'fyugp_stud_sub_preferences.course'=>$course,'fyugp_stud_sub_preferences.sem'=>$semester_id,'fyugp_stud_sub_preferences.stud_id'=>$student->student_id,'fyugp_stud_sub_preferences.sub_cat'=>2))->select('subjects.*')->orderBy('fyugp_stud_sub_preferences.type')->get();

            @endphp
             <select class="form-control" id="minorI" name="minorI{{ $student->student_id }}">
                <option value="">Select</option>
                  @foreach($minorIsub as $minI)
                <option value="{{ $minI->subject_id  }}" {{ $minorI==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                  @endforeach
             </select> 
            @error('minorI')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror   
           </td>
           <td>
              @php $minorII = $student->subminordmc->where('acyear_id',$ac_id)->where('sub_cat',3)->where('course',$course)->where('sem',$semester_id)->pluck('sub_id')->first();
              
                   $minorIIsub = App\Models\FyugpStudSubPreferences::Join('subjects','fyugp_stud_sub_preferences.pref_Id','=','subjects.subject_id')->where(array('fyugp_stud_sub_preferences.acyear_id'=>$ac_id,'fyugp_stud_sub_preferences.course'=>$course,'fyugp_stud_sub_preferences.sem'=>$semester_id,'fyugp_stud_sub_preferences.stud_id'=>$student->student_id,'fyugp_stud_sub_preferences.sub_cat'=>3))->select('subjects.*')->orderBy('fyugp_stud_sub_preferences.type')->get();

              @endphp
             <select class="form-control" id="minorII" name="minorII{{ $student->student_id }}">
                <option value="">Select</option>
                  @foreach($minorIIsub as $minII)
                <option value="{{ $minII->subject_id  }}" {{ $minorII==$minII->subject_id  ? "selected":"" }}>{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                  @endforeach
             </select> 
            @error('minorII')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror    
               
               
           </td>
           <td>
               @php $mdcugI = $student->subminordmc->where('acyear_id',$ac_id)->where('sub_cat',4)->where('course',$course)->where('sem',$semester_id)->pluck('sub_id')->first();
               
                $mdcIsub = App\Models\FyugpStudSubPreferences::Join('subjects','fyugp_stud_sub_preferences.pref_Id','=','subjects.subject_id')->where(array('fyugp_stud_sub_preferences.acyear_id'=>$ac_id,'fyugp_stud_sub_preferences.course'=>$course,'fyugp_stud_sub_preferences.sem'=>$semester_id,'fyugp_stud_sub_preferences.stud_id'=>$student->student_id,'fyugp_stud_sub_preferences.sub_cat'=>4))->select('subjects.*')->orderBy('fyugp_stud_sub_preferences.type')->get();

               @endphp
             <select class="form-control" id="mdcugI" name="mdcugI{{ $student->student_id }}">
                <option value="">Select</option>
                  @foreach($mdcIsub as $mdcI)
                <option value="{{ $mdcI->subject_id  }}" {{ $mdcugI==$mdcI->subject_id  ? "selected":"" }}>{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                  @endforeach
             </select> 
            @error('mdcugI')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror     
               
               
           </td>
        </tr>
        
            @endforeach
    </tbody>
    </table>
    </div>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
         @else
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Student not Found !</div>
            </div>
        </div>
    @endif   
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/studall.js') }}"></script>
<style>
  
input[type="checkbox"] {
  width: 2em;
  height: 2rem;
  display: inline-block; 
  margin: 0;
  accent-color: green;
}

/* Scrollable container for the table */
.div_scroller {
  overflow: auto;
  scrollbar-width: initial; /* Make the scrollbar thinner */
  scrollbar-color: #888 #f1f1f1; /* Thumb color and track color */
}

/* Table styles */
.table {
  width: 100%;
  table-layout: fixed;
  border-collapse: collapse;
}

/* Center align text in table cells */
th, td {
  text-align: center;
  white-space: nowrap; /* Prevent text wrapping */
}

/* Make the first 3 columns sticky */
th:nth-child(1), td:nth-child(1),
th:nth-child(2), td:nth-child(2),
th:nth-child(3), td:nth-child(3) {
  position: sticky;
  left: 0;
  background-color: #fff; /* Set a background color to make them stand out */
  z-index: 1; /* Ensure they stay on top */
}

/* Make the 4th column sticky */
th:nth-child(4), td:nth-child(4) {
  position: sticky;
  left: 300px; /* Adjust the left value based on the width of the previous sticky column */
  background-color: #fff;
  z-index: 2; /* Ensure this column is above the others */
}

/* For preference columns, you can customize their styles as needed */
th:nth-child(n+5), td:nth-child(n+5) {
  min-width: 150px; /* Adjust the minimum width for preference columns */
}
</style>



