@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','PSO')
@section('breadcrumb','Settings /OBE / PSO / Edit')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">






    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('pso.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="pso_id" value="{{ encrypt($pso->id) }}">
                        <div class="row">
                            
                           <div class="col-md-3">
                                <div class="form-group">
                                    <label for="domain_id" class="required"><b>Program</b></label>
                                    @php $course_id=old('course ') ?? $pso->course; @endphp
                                    <select class="js-example-basic-single" id="course" name="course" style="width:100%">
                                        @foreach($courses as $crs)
                                            <option value="{{ $crs->course_id  }}" {{ $course_id == $crs->course_id ? "selected":"" }}>{{ $crs->course_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="pso_no" class="required"><b>PSO No.</b></label>
                                            <input type="text" class="form-control @error('pso_no') border-danger @enderror" id="pso_no" name="pso_no" value="{{$pso->pso_no }}">
                                            @error('pso_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                  <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="pso_name" class="required"><b>Program Specific Outcome</b></label>
                                            <input type="text" class="form-control @error('pso_name') border-danger @enderror" id="pso_name" name="pso_name" value="{{$pso->pso_name }}">
                                            @error('pso_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
           </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection