<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
    <input type="hidden" id="subtyp_id" name="subtyp_id" value="{{ $subtyp_id }}">
    <input type="hidden" id="sub_id" name="sub_id" value="{{ $sub_id }}">
    <input type="hidden" id="term_id" name="term_id" value="{{ $term_id }}">
    <input type="hidden" id="assmnt_method" name="assmnt_method" value="{{ $assmnt_method }}">
    <input type="hidden" id="exam_id" name="exam_id" value="{{ $exam_id }}">
    <input type="hidden" id="batch_id" name="batch_id" value="{{ $batch_id }}">

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
      
        
    <form action="{{ route('addinternalmark.save') }}" method="post">
    @csrf
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
     <input type="hidden" name="subtyp_id" value="{{ encrypt($subtyp_id) }}" >
    <input type="hidden" name="sub_id" value="{{ encrypt($sub_id) }}" >
    <input type="hidden" name="term_id" value="{{ encrypt($term_id) }}" >
    <input type="hidden" name="assmnt_method" value="{{ encrypt($assmnt_method) }}" >
    <input type="hidden" name="exam_id" value="{{ encrypt($exam_id) }}" >
    <input type="hidden" id="batch_id" name="batch_id" value="{{ encrypt($batch_id) }}">
    
     @if(!empty($students))
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
            <th>
             <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
             </div>
            </th>
            <th>Adno</th>
            <th>Roll no</th>
            <th>Student Name</th>
             @foreach($internalquestions as $questn)
            <th style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$questn->question.'- ( '.$questn->question_mark." )"}}</th>
             @endforeach
           
           
        </tr>
     </thead>
     <tbody>
           @foreach($students as $student)
         
         <tr>
            <td >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container">   <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}"></label>
                </div>
              <input type="hidden" name="stud_course{{$student->student_id}}" value="{{ $student->course_id }}">
              <input type="hidden" name="stud_sem{{$student->student_id}}" value="{{ $student->semester_id }}">
            </td>
            <td>{{$student->adno}}</td>
            <td>{{ $student->rollno }}</td>
            <td>{{$student->name}}</td>
            @foreach($internalquestions as $questn)
            <td>
                @php
        
            $mark = $student->internalmark
            ? $student->internalmark->where('ac_id', $ac_id)
                                     ->where('sub_id', $sub_id)
                                     ->where('exam', $exam_id)
                                     ->where('question_id', $questn->id)
                                     ->where('subtyp_id', $subtyp_id)
                                     ->pluck('mark')->first()
            : '';
            @endphp
                
        <input type="text" size="2" class="form-control @error('mark') border-danger @enderror" id="mark{{ $student->student_id }}_{{$questn->id}}" name="mark{{ $student->student_id }}_{{$questn->id}}" value="{{ $mark }}">
            @endforeach
            
             
         </tr>
          @endforeach
     </tbody>
    </table>
    
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
    <div class="row">
                             
       <div class="col-md-12">
          <div class="form-group"><br>
            <button type="submit" class="btn btn-primary float-right">Save</button>
         </div>
       </div>
    </div>
     </div>
    </div>
    </div>
  </div>
 
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/studall.js') }}"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       
        input[type="checkbox"] {
          width: 2em;
          height: 2rem;
           display: inline-block; 
           margin: 0;
          accent-color: green;
        }
        .container {
            display: flex; /* Flexbox for better alignment */
            align-items: center; /* Center align vertically */
            justify-content: center; /* Center align horizontally */
        }

        
    </style>  
  