<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
    <input type="hidden" id="subtyp_id" name="subtyp_id" value="{{ $subtyp_id }}">
    <input type="hidden" id="sub_id" name="sub_id" value="{{ $sub_id }}">
    <input type="hidden" id="term_id" name="term_id" value="{{ $term_id }}">
    <input type="hidden" id="co_id" name="co_id" value="{{ $co_id }}">
   <input type="hidden" id="batch_id" name="batch_id" value="{{ $batch_id }}">

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
   
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
     <input type="hidden" name="subtyp_id" value="{{ encrypt($subtyp_id) }}" >
    <input type="hidden" name="sub_id" value="{{ encrypt($sub_id) }}" >
    <input type="hidden" name="term_id" value="{{ encrypt($term_id) }}" >
    <input type="hidden" name="co_id" value="{{ encrypt($co_id) }}" >
    <input type="hidden" name="batch_id" value="{{ encrypt($batch_id) }}" >
     <div align="right">
    <a href="{{ route('finalinternalmark.print', ['course' => $course, 'semester_id' => $semester_id,'subtyp_id' => $subtyp_id, 'sub_id' => $sub_id, 'term_id' => $term_id, 'co_id' => $co_id, 'batch_id' => $batch_id ?:0]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div> 
     @if(!empty($students))
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
          
            <th>Adno</th>
            <th>Roll no</th>
            <th>Student Name</th>
              @php
             $tot_max_mrk = 0;
            @endphp  
           @foreach($assessmentmethods as $assmthd)
           @php
              $max_mrk = 0;
              $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmthd->id)
                    ->where('ac_id', $ac_id)
                    ->where('subject', $sub_id)
                    ->where('course', $course)
                    ->where('division', $semester_id)
                    ->where('term_id', $term_id)
                     ->where('subtyp_id', $subtyp_id)
                    ->get();
                    
               foreach ($obeNames as $obeName) {
                    $questions = \App\Models\ObeQuestions::where('course_id', $course)
                        ->where('division_id', $semester_id)
                        ->where('subject_id', $sub_id)
                        ->where('exam_id', $obeName->id)
                        ->where('assmnt_method', $assmthd->id)
                        ->where('term_id', $term_id)
                        ->where('ac_id', $ac_id)
                        ->where('co_id', $co_id)
                        ->where('subtyp_id', $subtyp_id)
                        ->get();

                    foreach ($questions as $question) {
                        $max_mrk += $question->question_mark;
                    }
                }     
                    
               $tot_max_mrk += $max_mrk;     
               @endphp
               
            <th style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$assmthd->method.'(Max Mark :'.$max_mrk.")"}}</th>
             @endforeach
           <th>Total Mark({{$tot_max_mrk}})</th>
        </tr>
     </thead>
     <tbody>
           @foreach($students as $student)
           
         <tr>
            <td>{{$student->adno}}</td>
            <td>{{ $student->rollno }}</td>
            <td>{{strtoupper($student->name)}}</td>
            @php
            $tot_mrk = 0;
             @endphp
             @foreach($assessmentmethods as $assmthd)
              @php
               $tot_mark = 0;
               $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmthd->id)
                    ->where('ac_id', $ac_id)
                    ->where('subject', $sub_id)
                    ->where('course', $course)
                    ->where('division', $semester_id)
                    ->where('term_id', $term_id)
                      ->where('subtyp_id', $subtyp_id)
                    ->get();
                    foreach ($obeNames as $obeName) {
                         $examID = $obeName->id;
                          $questions = \App\Models\ObeQuestions::where('course_id', $course)
                            ->where('division_id', $semester_id)
                            ->where('subject_id', $sub_id)
                            ->where('exam_id', $examID)
                            ->where('assmnt_method', $assmthd->id)
                            ->where('term_id', $term_id)
                            ->where('ac_id', $ac_id)
                            ->where('co_id', $co_id)
                              ->where('subtyp_id', $subtyp_id)
                            ->get();
                            foreach ($questions as $question) {
                             $questnID = $question->id;
                             $studentMark = \App\Models\ObeStudMarkList::where('course_id', $course)
                                ->where('semester_id', $semester_id)
                                ->where('ac_id', $ac_id)
                                ->where('sub_id', $sub_id)
                                ->where('stud_id', $student->student_id)
                                ->where('assessmnt_method', $assmthd->id)
                                ->where('term_id', $term_id)
                                ->where('exam', $examID)
                                ->where('question_id', $questnID)
                                  ->where('subtyp_id', $subtyp_id)
                                ->first();
                                if ($studentMark) {
                                $tot_mark += $studentMark->mark;
                                 }
                             }
                            
                    }
                     $tot_mrk += $tot_mark;
               @endphp 
            <td>{{$tot_mark}}</td>
              @endforeach
            <td>{{$tot_mrk}}</td>
         </tr>
          @endforeach
     </tbody>
    </table>
    
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
   
     </div>
    </div>
    </div>
  </div>
 
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/studall.js') }}"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       


        
    </style>  
  