<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
    <input type="hidden" id="domain_id" name="domain_id" value="{{ $domain_id }}">
    <input type="hidden" id="activity_id" name="activity_id" value="{{ $activity_id }}">
    <input type="hidden" id="activity_outcome" name="activity_outcome" value="{{ $activity_outcome }}">

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <form action="{{ route('studperformancemrk.save') }}" method="post">
    @csrf
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
    <input type="hidden" name="domain_id" value="{{ encrypt($domain_id) }}" >
    <input type="hidden" name="activity_id" value="{{ encrypt($activity_id) }}" >
    <input type="hidden" name="activity_outcome" value="{{ encrypt($activity_outcome) }}" >
      <div align="right">
    <a href="{{ route('viewstudperformancemrk.print', ['course' => $course, 'semester_id' => $semester_id, 'domain_id' => $domain_id, 'activity_id' => $activity_id, 'activity_outcome' => $activity_outcome]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div> 
     <div class="form-group">
      @if(!empty($students) && $students->count())       
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
           
            <th>Adno</th>
            <th>Student Name</th>
           @foreach($activityroll as $aroll)
            <th>{{$aroll->roll_name}}</th>
            @endforeach
        </tr>
     </thead>
     <tbody>
           @foreach($students as $student)
        <tr>
            <td>{{ $student->adno }}</td>
            <td>{{ strtoupper($student->name) }}</td>
          @foreach($activityroll as $aroll)  
           
              @php
            $mark = \App\Models\ObeStudActivityPerformance::where('ac_id', $ac_id)
                ->where('stud_id', $student->student_id)
                ->where('course_id', $course)
                ->where('semester_id', $semester_id)
                ->where('domain_id', $domain_id)
                ->where('activity_id', $activity_id)
                ->where('activityoutcome_id', $activity_outcome)
                ->where('range_id', $aroll->id)
                ->pluck('mark')
                ->first();
                if($mark !='')
                {
                   $weightage = $aroll->weightage;
                   
                }
                else
                {
                    $weightage=null;
                }
        @endphp  
              
            <td>
               {{ $mark*$weightage }}     
            </td>
          @endforeach  
        </tr>
         @endforeach
    </tbody>
    </table>
      @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
    <div id="load"></div>
    </div>
    

    </div>
    </form>
    </div>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #E0E0E0;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
</style>


