
@extends('layouts.template')
@section('title','Home')
@section('heading','Report')
@section('breadcrumb','Home/Questionbank/Report')
@section('content')
 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(763,764)) }}
          
        
    </div>     
    <div class="card-body">


 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                <div class="card-header" style="background:#005A9C;color:white;"><b>Report</b></div>
                <div class="card-body">


  
    
            
            
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course_id" class="required"><b>Program</b></label>
          <select class="form-control" id="course" name="course_id" required>
        <option value="">Select</option>
        @foreach($staffsubject as $crs)
        <option value="{{ $crs->course_id}}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
        @endforeach
        </select>
        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
         <label for="semester_id" class="required"><b>Semester</b></label>
        <select class="form-control" id="semester_id" name="semester_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="subject_id"><b>Course</b></label>
        <select class="form-control" id="sub_id" name="subject_id" required>
        <option value="">select</option>
        </select>
        <div id="error-message" style="display: none; color: red; font-weight: bold; margin-top: 10px;"></div>

        </div>
        </div>
        
        
        
       
        
     
        
        </div>                   
                            
      
        
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
       <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
        </div>
        </div>
        </div>
        
        
      
        
        
        
        
        
        
        
        </div>
        </div>
        </div>
        </div>
        
        
         </div>
        </div>
        </div>
        </div>
      <div class="row">
    <div class="col-lg-12 grid-margin stretch-card" id="result">
            
    </div>
    </div>
    
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
    <script src="{{ asset('public/js/bsubj.js') }}"></script>
        <script src="{{ asset('public/js/questionget.js') }}"></script>

       
    <style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        #error-message {
    color: red;
   
    font-size: 12px;
    margin-top: 10px;
}
</style>
        @endsection