<style>
    @media print{
        @page{
            margin:0;
        }
        body{
            background-repeat: repeat;
        }
    }
    *{
        font-family:Times;
        font-size:16px;
        line-height:22px;
    }
    body{
        /*background-image: url({{url('public/images/tc_template_new.svg')}});*/
        background-size: cover;
    }
    #title{
        font-size:18px;
        font-weight:bold;
        /*text-decoration: underline;*/
        background:#FEBE10;
    }
   
    table tr{
        height:30px;
    }
    table td{
        vertical-align: top;
    }
</style>
<body onload="print()">
    <div class="container">
        <div class="head">
             <table width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="{{ asset('public/uploads/logo/'.$ins_det->logo) }}" alt="{{ $ins_det->logo }}" height="50px"></td>
                    <td width="50%" align="center">{{ $ins_det->name }}</td>
                    <td width="25%" rowspan="4" align="center"></td>
                </tr>
                <tr><td align="center">{{ $ins_det->affiliation }}</td></tr>
                <tr><td align="center">{{ $ins_det->address }}</td></tr>
                <tr><td align="center">{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</td></tr>
            </table>
            <center><div id="title" style="border-bottom:1px solid black">Course Wise Scholarship Report<br>Course Name:{{ strtoupper($course->course_name) }}<br>Semester Name::{{strtoupper($sem->semester_name)}}</div></center>
            
            <br>
 <table  width="100%">
     <thead  style="background-color:#484848;color:white">
         <tr>
        <th>#</th>
         <th>Student Name</th>
         <th>Admission Number</th>
         <th>Scholarship Name</th>
         </tr>
     </thead>
     @foreach($scholarship as $scholarships)
     <tr>
         <td>{{$loop->iteration}}</td>
         <td>{{$scholarships->student->name}}</td>
         <td>{{$scholarships->student->adno}}</td>
         <td>{{$scholarships->scholarship->sc_name}}</td>
         
     </tr>
     
     @endforeach
     
     </table>
</div>
</div>
</body>



