<form action="{{ route('staff.attendance.leave') }}" method="post">
    @csrf
    <input type="hidden" name="date" value="{{ $date }}">
    <input type="hidden" name="stype" value="{{ $stype }}">
    <input type="hidden" name="staff" value="{{ $staff->user_id }}">
    <div class="form-group row">
        <label class="col-5">Emp. Id :</label>
        <label class="col-7 text-danger">{{ $staff->employee_id_num }}</label>
    </div>
    <div class="form-group row">
        <label class="col-5">Name :</label>
        <label class="col-7 text-danger">{{ $staff->name }}</label>
    </div>
    <div class="form-group row">
        <label class="col-5">Designation :</label>
        <label class="col-7 text-danger">{{ $staff->desig->type_name }}</label>
    </div>
    <div class="form-group row">
        <label class="col-5">Date :</label>
        <label class="col-7 text-danger">{{ date('d/m/Y',strtotime($date)) }}</label>
    </div>
    <div class="form-group row">
        <label class="col-5">Day :</label>
        <label class="col-7 text-danger">{{ date('l',strtotime($date)) }}</label>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Attendance</label>
                <div>
                    <label for="am"><input type="checkbox" id="am" name="am" value="1" @if($am==1 || $am=='') checked @endif> AM</label>
                    <label for="pm"><input type="checkbox" id="pm" name="pm" value="1" @if($pm==1 || $pm=='') checked @endif> PM</label>
                </div>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Leave Type</label>
                <div>
                    <select class="fomr-control" name="ltype">
                        <option value="">Select</option>
                        @foreach($ltypes as $ltype)
                            <option value="{{ $ltype->leav_id }}" {{ $ltype->leav_id==$lid ? 'selected':'' }}>{{ $ltype->leave_name }}</option>
                        @endforeach
                    </select>
                </div>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Reason</label>
                <textarea class="form-control" name="reason" rows="3">{{ $reason }}</textarea>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                <button type="button" class="btn btn-sm btn-danger float-right mr-2" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</form>