<style>
    .tp-item > a {
        text-decoration: none;
        color: #FFF;
    }
    .tp-item{
        width: 100%;
        background-color: green;
        padding: 10px;
        margin-top: 5px;
        min-height: 120px;
        border-radius: 5px;
    }
    .tp-item-course{
        font-weight: bold;
        text-align: center;
    }
</style>
<div class="row tp">
    @foreach($timetables as $timetable)
        <div class="col-12 col-sm-6">
            <div class="tp-item">
                <a href="{{ route('staff.student.attendance.add', ['date'=>date('Y-m-d'), 'course'=>$timetable['course_id'], 'semester'=>$timetable['semester_id'], 'subject'=>$timetable['subject_id'], 'period'=>$timetable['period_id']]) }}">
                    <div class="text-center">Period : {{ $timetable['period_name'] }}</div>
                    <div class="text-center">{{ $timetable['course_name'] }}</div>
                    <div class="text-center">{{ $timetable['semester_name'] }}</div>
                    <div class="text-center">{{ $timetable['subject_name'] }}</div>
                </a>
            </div>
        </div>
    @endforeach
</div>
<div class="row tp">
    @foreach($fyugptimetables as $fyugptimetable)
        <div class="col-12 col-sm-6">
            <div class="tp-item">
                <a href="{{ route('fyugp.staff.student.attendance.add', ['date'=>date('Y-m-d'), 'period'=>$fyugptimetable['period_id'], 'data_id'=>$fyugptimetable['data_id']]) }}">
                    <div class="text-center">Period : {{ $fyugptimetable['period_name'] }}</div>
                    <div class="text-center">{{ $fyugptimetable['category_name'] }}</div>
                    @if(in_array($fyugptimetable['category_id'], [1,2,3,4]))
                        <div class="text-center">{{ $fyugptimetable['course_name'] }}</div>
                    @else
                        <div class="text-center">{{ $fyugptimetable['group_name'] }}</div>
                    @endif
                    <div class="text-center">{{ $fyugptimetable['semester_name'] }}</div>
                </a>
            </div>
        </div>
    @endforeach
</div>
<div class="row">
    @if(empty($timetables) && empty($fyugptimetables) )   
        <div class="col-12">
            <div class="alert alert-warning">Time Table Not Found for Today !</div>
        </div>
    @endif
</div>