<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
    @if($student->isNotEmpty())  
        <div class="row">
    <div class="col-auto">
        <div class="form-group">
            <a href="{{ route('student.present.export', ['course' => $course, 'semester' => $semester_id, 'subject' => $sub_id,'todate'=>$to_date,'fromdate'=>$from_date,'batchId'=>$batchId]) }}" target="_blank"><i class="fa-solid fa-file-excel text-success" style="font-size:35px"></i></a>
        </div>
    </div>
    <div class="col-auto">
        <div class="form-group">
            <a href="{{ route('student.present.pdf', ['course' => $course, 'semester' => $semester_id, 'subject' => $sub_id,'todate'=>$to_date,'fromdate'=>$from_date,'batchId'=>$batchId]) }}" target="_blank">
                <i class="fa-solid fa-file-pdf text-danger" style="font-size:35px"></i>
            </a>
        </div>
    </div>
</div>


               
          <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                       <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                             <th><b>Adno</b></th>
                              <th><b>Roll No.</b></th>
                            <th><b>Student Name</b></th>
                            <th><b>Program</b></th>
                            <th><b>Total Present<span style="font-size: 12px; color:white;"><br>({{ $total_attendance_days }})</span></b></th>
                             <th><b>Total Percentage</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                          
                             
                           
                            @forelse($student as $students)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                  <td>{{strtoupper($students->adno)}}</td>
                                  <td>{{strtoupper($students->rollno)}}</td>
                                  <td>{{strtoupper($students->name)}}</td>
                                  <td>{{strtoupper($students->course_name)}}</td>
                                 <td>{{$students->total_present ?? 0}}</td>
                                  
                                  @php
                                  $totaldays=$total_attendance_days;
                                  $presentdays=$students->total_present;
                                  $totalpercentage = $totaldays > 0 ? ($presentdays / $totaldays) * 100 : 0;
                                  
                                  @endphp
                                  <td>
                                     @if(floor($totalpercentage) == $totalpercentage)
        {{ floor($totalpercentage) }}% 
    @else
        {{ number_format($totalpercentage, 2) }}% 
    @endif  
                                      
                                  </td>
                                  
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table> 

                        <div id="load"></div>
                    </div>
                </div>
            </div>
        
        @else
    <div style="background-color: #f8d7da; padding: 10px; color: #721c24; border-radius: 5px;">Attendance not marked. Please mark attendance.</div>
@endif  
        
        </div>
        </div>