@extends('layouts.student-template')
@section('title','Home')
@section('heading','Questionbank')
@section('breadcrumb','Home/Questionbank')
@section('content')

                
                
                <div class="row">
<div class="col-lg-12 grid-margin stretch-card">
                <div class="card"  style="border-top:2px solid #005A9C">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>Questionbank</b></div> 
                <div class="card-body">
                   <div class="form-group">
                            <label for="course">Course</label>
                            <select class="form-control" id="course" name="course" required>
    <option value="">Select Course</option>
    @foreach($courses as $course)
        <option value="{{ $course->course_id }}" {{ old('course', $course_name->course_id) == $course->course_id ? 'selected' : '' }}>
            {{ $course->course_name }}
        </option>
    @endforeach
</select>
                        </div>

                        <div class="form-group">
                            <label for="semester">Semester</label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
    <option value="">Select Semester</option>
    @foreach($semesters as $semester)
        <option value="{{ $semester->semester_id }}" {{ old('semester_id', $semester_id) == $semester->semester_id ? 'selected' : '' }}>
            {{ $semester->semester_name }}
        </option>
    @endforeach
</select>

                        </div>

                        <div class="form-group">
                            <label for="subjects">Subjects</label>
                            <select class="form-control" id="subjects" name="subjects[]" multiple required>
                                @foreach($subjects as $subject)
                                    <option value="{{ $subject->subject_id }}" 
                                        {{ in_array($subject->subject_id, old('subjects', [])) ? 'selected' : '' }}>
                                        {{ $subject->subject_name }}
                                    </option>
                                @endforeach
                            </select>
                        </div> 
                    
                    <div class="form-group">
    <button type="button" class="btn btn-primary" id="btn-get">Get Details</button>
</div>
                    </div>
                    </div>
                    </div>
                    </div>
                     <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
                      <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  
    <script src="{{ asset('public/js/getquestionstudent.js') }}"></script>
                    @endsection
                    