@extends('layouts.template')
@section('title','Home')
@section('heading','View Roll-Out Students')
@section('breadcrumb','Home/Student/View Roll-Out Students')
@section('content')

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(628,629)) }}
          
        
    </div>     
    <div class="card-body">
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
                
                
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
        <div class="card-body">



        
            <div class="row">
                
                
                
                
                <div class="col-md-3">
                                <div class="form-group">
                                <label for="ac_id" class="required"><b>Academic Year</b></label>
                                <select class="form-control" id="ac_id" name="ac_id" required>
                                <option value="">Select</option>
                                @foreach($acyear as $acyears)
                                <option value="{{ $acyears->ac_id }}" {{ old('ac_id')==$acyears->ac_id ? "selected":"" }}>{{ $acyears->start_date_formatted.' - '.$acyears->end_date_formatted }}</option>
                                @endforeach
                                </select>
                                @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                
                
                <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Program</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                         <option value="">Select</option>
                                        @foreach($course as $crs)
                                            <option value="{{ $crs->course_id}}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                            <div class="col-md-3">
    <div class="form-group">
    <label for="semester_id" class="required"><b>Semester</b></label>
    <select class="form-control" id="semester_id" name="semester_id" required>
    </select>
    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    
    </div>
            
        <div class="row">
                        <div class="col-md-12">
                        <div class="form-group">
                        <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                        </div>
                        </div>
                        </div>          
            
            
                        </div>
                        </div>
                        </div>
                        </div>
                        
                        </div>
                        </div>
                        </div>
                        </div> 
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
            </div>
            
                        
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/sem.js') }}"></script>   
     <script src="{{ asset('public/js/rolloutview.js') }}"></script>
                       
                       
 @endsection