@if($attendances->count() > 0)
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <h6 align="center"><b>ATTENDANCE REPORT FROM {{ date('d F Y',strtotime($fromDate)) }} TO {{ date('d F Y',strtotime($toDate)) }}</b></h6>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="scroll">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Course Name</th>
                                <th>Total Hours</th>
                                <th>Present Hours</th>
                                <th>Absent Hours</th>
                                <th>Percentage</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($attendances as $attendance)
                                    @php $percent = round(($attendance->present/$attendance->total)*100); @endphp
                                    <tr>
                                        <td align="center">{{ $loop->iteration }}</td>
                                        <td align="center">{{ $attendance->subject_name }}</td>
                                        <td align="center">{{ $attendance->total }}</td>
                                        <td align="center">{{ $attendance->present }}</td>
                                        <td align="center">{{ $attendance->absent }}</td>
                                        <td align="center">{{ $percent }}%</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>    
            </div>
        </div>
    </div>
@else
    <div class="row">
        <div class="col-12">
            <div class="alert alert-danger">No Result Found !</div>
        </div>
    </div>
@endif