<form action="{{ route('staff.timetable.interchange.save') }}" method="post">
    @csrf
    <input type="hidden" name="course" value="{{ $course->course_id }}">
    <input type="hidden" name="semester" value="{{ $semester->semester_id }}">
    <input type="hidden" name="date" value="{{ $date }}">
    <input type="hidden" name="period" value="{{ $period->id }}">
    
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Program :</label>
                <label class="col-7 text-danger">{{ $course->course_name }}</label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Semester :</label>
                <label class="col-7 text-danger">{{ $semester->semester_name }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Date :</label>
                <label class="col-7 text-danger">{{ date('d/m/Y',strtotime($date)) }}</label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Day :</label>
                <label class="col-7 text-danger">{{ date('l',strtotime($date)) }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Period :</label>
                <label class="col-7 text-danger">{{ $period->period }}</label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Course :</label>
                <label class="col-7 text-danger">{{ $subject->subject_name }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Staff :</label>
                <label class="col-7 text-danger">{{ $staff->name }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group">
                <label>Staff</label>
                <select class="form-control" name="sstaff" onchange="getSubject('{{ $course->course_id }}','{{ $semester->semester_id }}',this.value)" required>
                    <option value="">Select</option>
                    @foreach($staffs as $key => $value)
                        <option value="{{ $key }}">{{ $value }}</option>
                    @endforeach
                </select>
             </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group">
                <label>Course</label>
                <select class="form-control" id="scourse" name="scourse" required>
                    <option value="">Select</option>
                </select>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                <button type="button" class="btn btn-sm btn-danger float-right mr-2" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</form>