
<?php $__env->startSection('title','OBE'); ?>
<?php $__env->startSection('heading','Activity Outcome-PSO Mapping'); ?>
<?php $__env->startSection('breadcrumb','Settings / OBE / Activity Outcome-PSO Mapping / Edit'); ?>
<?php $__env->startSection('content'); ?>
<!--<head>-->
<!--    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">-->

<!--</head>-->
<!--    <div class="row">-->
<!--    <div class="col-lg-12 grid-margin stretch-card">-->
<!--    <div class="card">-->
<!--    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"><b><i class="fa-solid fa-gear" style="color:#005A9C;margin-right: 8px;"></i><span style="color:#005A9C">Settings / OBE /<a href="<?php echo e(route('obe.aopomapping')); ?>" style="text-decoration:none;color:#005A9C">Activity Outcome-PO Mapping</a>/</span>Edit</b></div>-->
<!--    <div class="card-body">-->







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="<?php echo e(route('aopsomapping.update')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                         <input type="hidden" name="aopso_id" value="<?php echo e(encrypt($aopso->id)); ?>">
                        <div class="row">
                            
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Program</b></label>
                                    <?php $course_id=old('course_id ') ?? $aopso->course_id; ?>
                                    <select class="js-example-basic-single" id="course_id" name="course_id" style="width:100%">
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($crs->course_id); ?>" <?php echo e($course_id == $crs->course_id? "selected":""); ?>><?php echo e($crs->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="a_outcome" class="required"><b>Activity</b></label>
                                    <?php $a_outcome=old('a_outcome ') ?? $aopso->a_outcome; ?>
                                    <select class="js-example-basic-single" id="a_outcome" name="a_outcome" style="width:100%">
                                        <?php $__currentLoopData = $activityoutcome; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($acv->id); ?>" <?php echo e($a_outcome == $acv->id? "selected":""); ?>><?php echo e($acv->activity_outcome); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['a_outcome'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="ps_outcome" class="required"><b>Program Outcome</b></label>
                                            <?php $ps_outcome=old('ps_outcome ') ?? $aopso->ps_outcome; ?>
                                    <select class="js-example-basic-single" id="ps_outcome" name="ps_outcome" style="width:100%">
                                        <?php $__currentLoopData = $pso; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($p->id); ?>" <?php echo e($ps_outcome == $p->id? "selected":""); ?>><?php echo e($p->pso_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['ps_outcome'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        <!-- </div>-->
        <!--    </div>-->
        <!--</div>-->
        <!--</div>-->
         <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/pso.js')); ?>"></script> 
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/aopsomapping_edit.blade.php ENDPATH**/ ?>