<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="<?php echo e($course); ?>">
    <input type="hidden" id="sem_id" name="sem_id" value="<?php echo e($semester_id); ?>">
    <input type="hidden" id="sub_id" name="sub_id" value="<?php echo e($sub_id); ?>">
    <input type="hidden" id="batch_id" name="batch_id" value="<?php echo e($batch_id); ?>">
   
   

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div align="right">
    <a href="<?php echo e(route('generateinternalmark.print', ['course' => $course, 'semester_id' => $semester_id, 'sub_id' => $sub_id, 'batch_id' => $batch_id ?:0])); ?>" target="blank_"><img src="<?php echo e(asset('public/uploads/logo/print.png'
)); ?>"  height="30px"></a></div> 
    <input type="hidden" name="crs_id" value="<?php echo e(encrypt($course)); ?>" >
    <input type="hidden" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>" >
    <input type="hidden" name="sub_id" value="<?php echo e(encrypt($sub_id)); ?>" >
    <input type="hidden" name="batch_id" value="<?php echo e(encrypt($batch_id)); ?>" >
    <div align="center">
         <b><font size="4">INTERNAL MARK GENERATION <?php echo e(date('Y',strtotime($cur_acyear->sdate)).' - '.date('Y',strtotime($cur_acyear->edate))); ?></font><br><br><br> </b>
        <div class="form-group row">
        <table width="100%">
            <thead>
             <tr>
               <th align="left">Scheme Code : <?php echo e($intmrkgenrtn->scheme_code); ?></th>
               <th align="center">Exam Month : <?php echo e($intmrkgenrtn->exam_month); ?></th> 
               <th align="right">Exam Year : <?php echo e($intmrkgenrtn->exam_year); ?></th> 
             </tr>
            </thead>
             
        </table> 
         </div>
        
    </div>
    
   <br>
  
     <?php if(!empty($students)): ?>
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
          
            <th>Adno</th>
            <th>Student Name</th>
            <th>Assignment<br>(Max Mark :10)</th>
            <th>Test<br>(Max Mark :10)</th>
            <th>Seminar<br>(Max Mark :5)</th>
            <th>Total Marks<br>(Max Mark :25)</th>
        </tr>
     </thead>
     <tbody>
           <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
           <?php
           $ftot_mark=0;
           ?>
         <tr>
            <td><?php echo e($student->adno); ?></td>
            <td><?php echo e($student->name); ?></td>
           <?php
            $assessmentmethods = \App\Models\ObeAssessmentMethod::where('type', 'Internal')
                    ->where('method', 'Assignment')
                    ->get();
                     foreach($assessmentmethods as $assmthd)
                     {
                        $tot_mark=0;$tot_max_mark=0;
                     $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmthd->id)
                    ->where('ac_id', $ac_id)
                    ->where('subject', $sub_id)
                    ->where('course', $course)
                    ->where('division', $semester_id)
                    ->get();
                     foreach ($obeNames as $obeName) {
                        
                        $questions = \App\Models\ObeQuestions::where('course_id', $course)
                        ->where('division_id', $semester_id)
                        ->where('subject_id', $sub_id)
                        ->where('assmnt_method', $assmthd->id)
                        ->where('ac_id', $ac_id)
                       
                        ->get();
                         foreach ($questions as $question) {
                            $questnID = $question->id;
                             $studentMark = \App\Models\ObeStudMarkList::where('course_id', $course)
                                ->where('semester_id', $semester_id)
                                ->where('ac_id', $ac_id)
                                ->where('sub_id', $sub_id)
                                ->where('stud_id', $student->student_id)
                                ->where('assessmnt_method', $assmthd->id)
                                ->where('question_id', $questnID)
                                ->first();
                                 if ($studentMark) {
                                $tot_mark +=$studentMark->mark;
				                $tot_max_mark += $question->question_mark;
				                }
                                
                         }   
                     }
                     if ($tot_max_mark > 0) {
                     $percentage = ($tot_mark/$tot_max_mark)*10;
                     $percentage = round($percentage);	
                     }else{ $percentage = 0; }
                    }
           ?>
           <td><?php echo e($percentage); ?></td>
           
            <?php
            $assessmentmethods = \App\Models\ObeAssessmentMethod::where('type', 'Internal')
                    ->where('method', 'Test')
                    ->get();
                     foreach($assessmentmethods as $assmthd)
                     {
                        $tot_test_mark=0;$tot_test_max_mark=0;
                     $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmthd->id)
                    ->where('ac_id', $ac_id)
                    ->where('subject', $sub_id)
                    ->where('course', $course)
                    ->where('division', $semester_id)
                    ->get();
                     foreach ($obeNames as $obeName) {
                        
                        $questions = \App\Models\ObeQuestions::where('course_id', $course)
                        ->where('division_id', $semester_id)
                        ->where('subject_id', $sub_id)
                        ->where('assmnt_method', $assmthd->id)
                        ->where('ac_id', $ac_id)
                       
                        ->get();
                         foreach ($questions as $question) {
                            $questnID = $question->id;
                             $studentMark = \App\Models\ObeStudMarkList::where('course_id', $course)
                                ->where('semester_id', $semester_id)
                                ->where('ac_id', $ac_id)
                                ->where('sub_id', $sub_id)
                                ->where('stud_id', $student->student_id)
                                ->where('assessmnt_method', $assmthd->id)
                                ->where('question_id', $questnID)
                                ->first();
                                 if ($studentMark) {
                                $tot_test_mark +=$studentMark->mark;
				                $tot_test_max_mark += $question->question_mark;
				                }
                                
                         }   
                     }
                     if ($tot_test_max_mark > 0) {
                     $percentage_test = ($tot_test_mark/$tot_test_max_mark)*10;
                     $percentage_test = round($percentage_test);	
                     }else{ $percentage_test = 0; }
                    }
           ?>
           
            <td><?php echo e($percentage_test); ?></td>
             <?php
            $assessmentmethods = \App\Models\ObeAssessmentMethod::where('type', 'Internal')
                    ->where('method', 'Seminar')
                    ->get();
                     foreach($assessmentmethods as $assmthd)
                     {
                       $tot_sem_mark=0;$tot_sem_max_mark=0;	
                     $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmthd->id)
                    ->where('ac_id', $ac_id)
                    ->where('subject', $sub_id)
                    ->where('course', $course)
                    ->where('division', $semester_id)
                    ->get();
                     foreach ($obeNames as $obeName) {
                        
                        $questions = \App\Models\ObeQuestions::where('course_id', $course)
                        ->where('division_id', $semester_id)
                        ->where('subject_id', $sub_id)
                        ->where('assmnt_method', $assmthd->id)
                        ->where('ac_id', $ac_id)
                       
                        ->get();
                         foreach ($questions as $question) {
                            $questnID = $question->id;
                             $studentMark = \App\Models\ObeStudMarkList::where('course_id', $course)
                                ->where('semester_id', $semester_id)
                                ->where('ac_id', $ac_id)
                                ->where('sub_id', $sub_id)
                                ->where('stud_id', $student->student_id)
                                ->where('assessmnt_method', $assmthd->id)
                                ->where('question_id', $questnID)
                                ->first();
                                 if ($studentMark) {
                                $tot_sem_mark +=$studentMark->mark;
				                $tot_sem_max_mark += $question->question_mark;
				                }
                                
                         }   
                     }
                     if ($tot_sem_max_mark > 0) {
                     $percentage_seminar = ($tot_sem_mark/$tot_sem_max_mark)*10;
                     $percentage_seminar = round($percentage_seminar);	
                     }else{ $percentage_seminar = 0; }
                    }
                    $ftot_mark = $percentage+$percentage_test+$percentage_seminar;
           ?>
           
            <td><?php echo e($percentage_seminar); ?></td>
           <td><?php echo e($ftot_mark); ?></td>
         </tr>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
     </tbody>
    </table>
    
    <?php else: ?>
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    <?php endif; ?>
   
     </div>
    </div>
    </div>
  </div>
 
  <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/studall.js')); ?>"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       


        
    </style>  
  <?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/view_internalmrkgeneratn.blade.php ENDPATH**/ ?>