<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="<?php echo e($course); ?>">
    <input type="hidden" id="sem_id" name="sem_id" value="<?php echo e($semester_id); ?>">
    <input type="hidden" id="subtyp_id" name="subtyp_id" value="<?php echo e($subtyp_id); ?>">
    <input type="hidden" id="sub_id" name="sub_id" value="<?php echo e($sub_id); ?>">
    <input type="hidden" id="term_id" name="term_id" value="<?php echo e($term_id); ?>">
    <input type="hidden" id="assmnt_method" name="assmnt_method" value="<?php echo e($assmnt_method); ?>">
    <input type="hidden" id="exam_id" name="exam_id" value="<?php echo e($exam_id); ?>">
   

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    
    <input type="hidden" name="crs_id" value="<?php echo e(encrypt($course)); ?>" >
    <input type="hidden" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>" >
    <input type="hidden" name="subtyp_id" value="<?php echo e(encrypt($subtyp_id)); ?>" >
    <input type="hidden" name="sub_id" value="<?php echo e(encrypt($sub_id)); ?>" >
    <input type="hidden" name="term_id" value="<?php echo e(encrypt($term_id)); ?>" >
    <input type="hidden" name="assmnt_method" value="<?php echo e(encrypt($assmnt_method)); ?>" >
    <input type="hidden" name="exam_id" value="<?php echo e(encrypt($exam_id)); ?>" >
  
    <div class="form-group">
        <?php if($internalquestions && $internalquestions->count()): ?>
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
            <th>Question no.</th>
            <th>Remark</th>
            <th>Question</th>
            <th>Max Mark</th>
            <th>Course Outcome</th>
            <th>BT Level</th>
            <th>Actions</th>
        </tr>
     </thead>
     <tbody>
          <?php $__currentLoopData = $internalquestions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mqstn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         
         <tr>
            <td><?php echo e($mqstn->question_no); ?></td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($mqstn->remark); ?></td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($mqstn->question); ?></td>
            <td><?php echo e($mqstn->question_mark); ?></td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($mqstn->coursoutcmn->co_name); ?></td>
            <td><?php echo e($mqstn->leveln->level); ?></td>
             <td><?php echo e(app_table_links($mqstn->id,array(287,288))); ?></td>
         </tr>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
     </tbody>
    </table>
      <?php else: ?>
        <div class="alert alert-warning">No questions available.</div>
    <?php endif; ?>
    </div>
    </div>
    </div>
  </div>
  </div>
 <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>

<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #E0E0E0;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
</style>

<?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/view_questions.blade.php ENDPATH**/ ?>