<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
        <?php if($students && $students->isNotEmpty()): ?>  
        <form action="<?php echo e(route('inter.assignment.submittd.save')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" id="course" name="course" value="<?php echo e($courseId); ?>">
            <input type="hidden" id="sem" name="sem" value="<?php echo e($semId); ?>">
            <input type="hidden" id="sub" name="sub" value="<?php echo e($subId); ?>">
            <input type="hidden" id="ac_id" name="ac_id" value="<?php echo e($ac_id); ?>">

            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <br>
                        <div class="table-scroll-container">
                            <table id="table-fine" class="table table-bordered">
                                <thead style="background-color:#8FBC8F">
                                    <tr>
                                        <th colspan="1" rowspan="2">
                                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                <label class="container">
                                                    <input type="checkbox" class="form-check-input" id="checkAll">
                                                </label>
                                            </div>
                                        </th>
                                        <th>Adno</th>
                                        <th>Student Name</th>
                                        <th>Assignment Title</th>
                                        <th>Submission Deadline</th>
                                        <th>Date of Submission</th>
                                        <th>Submitted Assignment</th>
                                        <th>Grade Point</th>
                                        <th>Grade</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  
                                        <input type="hidden" name="assig_id[<?php echo e($student->student_id); ?>]" value="<?php echo e($student->assig_id); ?>">
                                        <input type="hidden" name="student_id" value="<?php echo e($student->student_id); ?>">
                                        <tr>
                                            <td align="center">
                                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                    <label class="container">
                                                        <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($student->student_id); ?>">
                                                    </label>
                                                </div>
                                            </td>
                                            <td><?php echo e($student->adno); ?></td>
                                            <td><?php echo e($student->name); ?></td>
                                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                                <?php echo e($student->assignment_topic); ?>

                                            </td>
                                            <td><?php echo e(date('d-m-Y', strtotime($student->submit_date))); ?></td>
                                            <td><?php echo e(date('d-m-Y', strtotime($student->submitted_date))); ?></td>
                                            <td>
                                                <?php
                                                    $fileUrl = url('public/uploads/InternalAssessment/Assignment/' . $student->assignment);
                                                ?>
                                                <a href="<?php echo e($fileUrl); ?>" target="_blank">
                                                    <i class="fas fa-paperclip"></i> Download
                                                </a>
                                            </td>
                                            <td>
                                                <input type="text" id="gp<?php echo e($student->student_id); ?>" name="gradepoint[<?php echo e($student->student_id); ?>]" value="<?php echo e(isset($existingMarks[$student->student_id][$student->assig_id]) ? $existingMarks[$student->student_id][$student->assig_id]->gradepoint : ''); ?>">
                                            </td>
                                            <td>
                                                <input type="text" id="g<?php echo e($student->student_id); ?>" name="grade[<?php echo e($student->student_id); ?>]" value="<?php echo e(isset($existingMarks[$student->student_id][$student->assig_id]) ? $existingMarks[$student->student_id][$student->assig_id]->grade : ''); ?>">
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                        <div id="load"></div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
        <?php else: ?>
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Student not Found !</div>
            </div>
        </div>
    <?php endif; ?>
    </div>
</div>

<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>

<script>

    $(document).ready(function() {
        $('#checkAll').change(function() {
            $('.checkSub').prop('checked', this.checked);
        });

        $('input[id^="gp"]').on('input', function() {
            var studentId = $(this).attr('id').replace('gp', ''); 
            var gradePoint = $(this).val();

            var grade = calculateGrade(gradePoint);

            $('#g' + studentId).val(grade);
        });

        function calculateGrade(gradePoint) {
            if (gradePoint >= 9) {
                return 'A';
            } else if (gradePoint >= 8) {
                return 'A';
            } else if (gradePoint >= 7) {
                return 'B';
            } else if (gradePoint >= 6) {
                return 'B';
            } else if (gradePoint >= 5) {
                return 'C';
            } else if (gradePoint >= 4) {
                return 'C';
            } else {
                return 'F';
            }
        }
    });

  


</script>

<style>
    .table-scroll-container {
        max-height: auto;
        overflow-y: auto;
        border: 1px solid #ddd;
    }

    input[type="checkbox"] {
        width: 2em;
        height: 2rem;
        display: inline-block;
        margin: 0;
        accent-color: green;
    }

    .container {
        display: flex;
        align-items: center;
        justify-content: center;
    }
</style>
<?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/internalassessment/submitted_assig_get.blade.php ENDPATH**/ ?>