<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(env('APP_NAME')); ?></title>
        <!-- plugins:css -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/simple-line-icons/css/simple-line-icons.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/flag-icon-css/css/flag-icon.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/css/vendor.bundle.base.css')); ?>">
        <!-- endinject -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/select2/select2.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/select2-bootstrap-theme/select2-bootstrap.min.css')); ?>">
        <!-- Plugin css for this page -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/css/style.css?ver=1.75')); ?>">
        <link rel="shortcut icon" href="<?php echo e(asset('public/template/images/favicon.png')); ?>" />
        <link href="<?php echo e(asset('public/template/plugins/toaster/toastr.min.css')); ?>" rel="stylesheet" />
        <!-- Datatable -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-responsive/css/responsive.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-buttons/css/buttons.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    </head>
    <body>
        <div class="container-scroller">
            <!-- partial:partials/_navbar.html -->
            <nav class="navbar default-layout-navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
                <div class="navbar-brand-wrapper d-flex align-items-center" style="background-color: #010826">
                    <a class="navbar-brand brand-logo" href="<?php echo e(route('home')); ?>">
                        <!--<img src="images/logo.svg" alt="logo" class="logo-dark" />-->
                        <h5 class="" style="color:white"><?php echo e(env('APP_NAME')); ?></h5>
                    </a>
                    <a class="navbar-brand brand-logo-mini" href="<?php echo e(route('home')); ?>"><!--<img src="images/logo-mini.svg" alt="logo" />--></a>
                    <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
                        <span class="icon-menu"></span>
                    </button>
                </div>
                <div class="navbar-menu-wrapper d-flex align-items-center flex-grow-1" style="background: linear-gradient(to right, #000046 0%, #1CB5E0 100%);">
                <h5 class="mb-0 font-weight-medium d-none d-lg-flex"></h5>
                <div class="navbar-academic-year text-right flex-grow-1">
                         
                <li class="nav-item dropdown language-dropdown d-none d-sm-flex align-items-center">
                <a class="nav-link d-flex align-items-center dropdown-toggle" id="LanguageDropdown" href="#" data-bs-toggle="dropdown" aria-expanded="false">
                <div class="d-inline-flex">
                </div>
                <span class="profile-text font-weight-normal dropbtns"></span>
                </a>
            </li>
               
             
                    <div class="dropdown-menu" id="dropdownMenu">
                     
                    </div>
               
                    </div>
                    
                   
                    <ul class="navbar-nav navbar-nav-right ml-auto">
                        <li class="nav-item dropdown d-none d-xl-inline-flex user-dropdown">
                            <?php echo e(app_student_notification()); ?>

                        </li>
                        <li class="nav-item dropdown d-none d-xl-inline-flex user-dropdown">
                            <?php echo e(app_student()); ?>

                        </li>
                    </ul>
                    <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
                        <span class="icon-menu"></span>
                    </button>
                </div>
            </nav>
            <!-- partial -->
            <div class="container-fluid page-body-wrapper" >
                <!-- partial:partials/_sidebar.html -->
                <nav class="sidebar sidebar-offcanvas" id="sidebar"  style="background-color: #010826;">
                    <ul class="nav">
                        <li class="nav-item navbar-brand-mini-wrapper">
                            <a class="nav-link navbar-brand brand-logo-mini" href="<?php echo e(route('home')); ?>">Home</a>
                        </li>
                        <li class="nav-item nav-profile">
                            <?php echo e(app_nav_student()); ?>

                        </li>
                        <li class="nav-item nav-category">
                            <span class="nav-link" style="color:#A4DDED">Home</span>
                        </li>
                        <?php echo e(app_student_menus()); ?>

                    </ul>
                </nav>
                <!-- partial -->
                <div class="main-panel">
                    <div class="content-wrapper">
                        <div class="page-header">
                            <h3 class="page-title"> <?php echo $__env->yieldContent('heading'); ?> </h3>
                            <nav aria-label="breadcrumb">
                                <i class="fa-solid fa-house"></i> <?php echo $__env->yieldContent('breadcrumb'); ?>
                            </nav>
                        </div>
                        <?php echo $__env->yieldContent('content'); ?>
                    </div>
                </div>
                <!-- main-panel ends -->
            </div>
            <!-- page-body-wrapper ends -->
        </div>
        <!-- container-scroller -->
        <!-- plugins:js -->
        <script src="<?php echo e(asset('public/template/vendors/js/vendor.bundle.base.js')); ?>"></script>
        <!-- endinject -->
        <script src="<?php echo e(asset('public/template/vendors/select2/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/vendors/typeahead.js/typeahead.bundle.min.js')); ?>"></script>
        <!-- inject:js -->
        <script src="<?php echo e(asset('public/template/js/off-canvas.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/js/misc.js?ver=1.6')); ?>"></script>
        <!-- endinject -->
        <script src="<?php echo e(asset('public/template/js/typeahead.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/js/select2.js')); ?>"></script>
        <!-- DataTables  & Plugins -->
        <script src="<?php echo e(asset('public/template/plugins/datatables/jquery.dataTables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-responsive/js/dataTables.responsive.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-responsive/js/responsive.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/dataTables.buttons.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/pdfmake/pdfmake.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/pdfmake/vfs_fonts.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.html5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.print.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.colVis.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/toaster/toastr.min.js')); ?>"></script>
        <script>
            <?php if(Session::has('message')): ?>
                toastr.options = {
                    closeButton: true,
                    debug: false,
                    newestOnTop: false,
                    progressBar: false,
                    positionClass: "toast-top-right",
                    preventDuplicates: false,
                    onclick: null,
                    showDuration: "3000",
                    hideDuration: "1000",
                    timeOut: "5000",
                    extendedTimeOut: "1000",
                    showEasing: "swing",
                    hideEasing: "linear",
                    showMethod: "fadeIn",
                    hideMethod: "fadeOut",
                };
                var type = "<?php echo e(Session::get('alert-type','info')); ?>";
                switch(type){
                    case 'info': 
                        toastr.info("<?php echo e(Session::get('message')); ?>");
                        break;
                    case 'success': 
                        toastr.success("<?php echo e(Session::get('message')); ?>");
                        break;
                    case 'warning': 
                        toastr.warning("<?php echo e(Session::get('message')); ?>");
                        break;
                    case 'error': 
                        toastr.error("<?php echo e(Session::get('message')); ?>");
                        break;
                }
            <?php endif; ?>
    document.addEventListener('DOMContentLoaded', function() {
    var dropdownButton = document.querySelector('.dropbtns');
    var dropdownMenu = document.querySelector('.dropdown-contents');

    dropdownButton.addEventListener('click', function(event) {
        event.stopPropagation(); // Prevent click event from propagating to the window
        dropdownMenu.classList.toggle('show');
    });

    window.addEventListener('click', function(event) {
        if (!event.target.matches('.dropbtns')) {
            if (dropdownMenu.classList.contains('show')) {
                dropdownMenu.classList.remove('show');
            }
        }
    });
});

        </script>
        <style>
       
.dropdown-container {
    display: flex;
    align-items: center;
    justify-content: flex-end; 
}


.dropdown {
    position: relative; 
    display: inline-block;
}


.dropdown-button {
    background-color: transparent;
    border: 1px solid #ccc; 
    padding: 5px 30px 5px 10px; 
    color: black;
    font-weight: 600;
    font-family: Arial, sans-serif;
    cursor: pointer;
    display: flex;
    align-items: center;
    position: relative;
}







.custom-arrow {
    margin-left: auto; 
    font-size: 12px; 
    color: black; 
}


.dropdown-menu {
    display: none; 
    position: absolute;
    top: 100%; /* Position below the button */
    left: 0;
    background-color: white;
    border: 1px solid #ccc;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
    z-index: 1000; /* Ensure it sits above other elements */
     min-width: 160px;
     color: black;
}








/* Show the dropdown menu when the button is clicked */
.dropdown-menu.show {
    display: block;
}
/* Style for each dropdown item */
.dropdown-item {
    padding: 10px;
    cursor: pointer;
}

.dropdown-item:hover {
    background-color: #f0f0f0; 
}




.dropdown .dropbtns {
  font-size: 16px;  
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
}

/*.navbar a:hover, .dropdown:hover .dropbtn {*/
/*  background-color: red;*/
/*}*/
.dropdown-contents {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}
.dropdown-contents a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

/*.dropdown-contents a:hover {*/
/*  background-color: #ddd;*/
/*}*/

/*.dropdown:hover .dropdown-contents {*/
/*  display: block;*/
/*}*/





        </style>
    </body>
</html>
<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/layouts/student-template.blade.php ENDPATH**/ ?>