<form action="<?php echo e(route('staff.timetable.interchange.save')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="course" value="<?php echo e($course->course_id); ?>">
    <input type="hidden" name="semester" value="<?php echo e($semester->semester_id); ?>">
    <input type="hidden" name="date" value="<?php echo e($date); ?>">
    <input type="hidden" name="period" value="<?php echo e($period->id); ?>">
    
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Program :</label>
                <label class="col-7 text-danger"><?php echo e($course->course_name); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Semester :</label>
                <label class="col-7 text-danger"><?php echo e($semester->semester_name); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Date :</label>
                <label class="col-7 text-danger"><?php echo e(date('d/m/Y',strtotime($date))); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Day :</label>
                <label class="col-7 text-danger"><?php echo e(date('l',strtotime($date))); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Period :</label>
                <label class="col-7 text-danger"><?php echo e($period->period); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Course :</label>
                <label class="col-7 text-danger"><?php echo e($subject->subject_name); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Staff :</label>
                <label class="col-7 text-danger"><?php echo e($staff->name); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group">
                <label>Staff</label>
                <select class="form-control" name="sstaff" onchange="getSubject('<?php echo e($course->course_id); ?>','<?php echo e($semester->semester_id); ?>',this.value)" required>
                    <option value="">Select</option>
                    <?php $__currentLoopData = $staffs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($key); ?>"><?php echo e($value); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
             </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group">
                <label>Course</label>
                <select class="form-control" id="scourse" name="scourse" required>
                    <option value="">Select</option>
                </select>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                <button type="button" class="btn btn-sm btn-danger float-right mr-2" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</form><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/timetable/interchange/view.blade.php ENDPATH**/ ?>