
<?php $__env->startSection('title','Settings'); ?>
<?php $__env->startSection('heading','Edit'); ?>
<?php $__env->startSection('breadcrumb','Settings / Staff Setting /Class Teacher/Edit'); ?>
<?php $__env->startSection('content'); ?>

      
        
        
        
        
        
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>            
        <div class="card-body">
        <form action="<?php echo e(route('classteacher.update')); ?>" method="post">
        <?php echo csrf_field(); ?>
        <input type="hidden" name="clstchr_id" value="<?php echo e(encrypt($classteacher->clstchr_id)); ?>">
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="ac_id" class="required"><b>Academic Year</b></label>
        <select class="form-control" id="ac_id" name="ac_id" required>
        <?php $__currentLoopData = $acyear; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyears): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($acyears->ac_id); ?>" <?php echo e($classteacher->ac_id == $acyears->ac_id ? "selected":""); ?>><?php echo e($acyears->start_date_formatted.' - '.$acyears->end_date_formatted); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="course_id" class="required"><b>Program</b></label>
        <select class="form-control" id="course_id" name="course_id" required>
        <option value="">Select</option>
        <?php $__currentLoopData = $course; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($course->course_id); ?>" <?php echo e($classteacher->course_id ==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                            <option value="">Select</option>
                            <?php $__currentLoopData = $semester; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($sem->semester_id); ?>" <?php echo e($classteacher->semester_id ==$sem->semester_id ? "selected":""); ?>><?php echo e($sem->semester_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                                </div>
                            </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="user_id" class="required"><b>Class Teacher</b></label>
                                <select class="form-control" id="user_id" name="user_id" required>
                                <option value="">Select</option>
                                <?php $__currentLoopData = $user; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $users): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($users->user_id); ?>" <?php echo e($classteacher->user_id ==$users->user_id  ? "selected":""); ?>><?php echo e($users->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                                </div>
                        <div class="row">
                        <div class="col-md-12">
                        <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Update</button>
                        </div>
                        </div>
                        </div>
                    </form>
                    </div>
                    
                </div>
            </div>
        </div>
        
        
        
         
        <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }   
        .form-control{
            border:1px solid #E8E8E8;
        }
        </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staff/classteacheredit.blade.php ENDPATH**/ ?>