<style>
    @media print {
        @page {
            margin: 0;
        }
        body {
            background-repeat: repeat;
        }
    }
    
    * {
        font-family: Arial, sans-serif;
        font-size: 16px;
        line-height: 1.5;
    }
      .container {
        max-width: 100%;
      
        padding: 30px;
        /*border-radius: 15px;*/
        /*box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.1);*/
    }

  
    table {
        width: 100%;
        border-collapse: collapse;
        background-color: #ffffff;
        border-radius: 10px;
        /*box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);*/
    }

    th, td {
        padding: 15px;
        text-align: center;
        font-size: 1.1em;
       
    }

 
  
    .table-bordered {
        border: 1px solid #ddd;
    }
    
.tb {
  border: 1px solid black;
  border-collapse: collapse;
  font-size:12px;
}
 #hr {
        border-top: 2px solid black;
        margin: 20px 0;
    }   
    </style>
    <body onload="print()">
<div class="container"> 

<table>
        <tr>
            <td width="25%" rowspan="4" align="center"><img src="<?php echo e(asset('public/uploads/logo/'.$institution->logo)); ?>" alt="<?php echo e($institution->logo); ?>" height="50px"></td>
            <td width="50%" align="center" class="header"><?php echo e($institution->name); ?></td>
            <td width="25%" rowspan="4" align="center"></td>
        </tr>
        <tr><td align="center" class="header"><?php echo e($institution->affiliation); ?></td></tr>
        <tr><td align="center" class="header"><?php echo e($institution->address); ?></td></tr>
        <tr><td align="center" class="header"><?php echo e('Ph : '.$institution->mobile.' '.$institution->landline); ?></td></tr>
    </table>
 <div id="hr"></div>

     <table>
          <tr>
              <td><?php echo e($examname->exam_name); ?></td>
         </tr>
         <tr>
              <td><?php echo e($coursesem->course_name); ?></td>
         </tr>
     <tr>
        <td> <?php echo e($coursesem->semester_name); ?></td>
        </tr> 
     </table>          

<div class="container mt-5">

    <div class="exam-timetable">
        <table class="table table-bordered table-hover" id="exam-table">
            <thead style="background-color: #ADD8E6;font-weight: bold;text-transform: uppercase;letter-spacing: 1px;">
                <tr>
                    <th class="tb">#</th>
                    <th class="tb">Subject</th>
                    <th class="tb">Date</th>
                    <th class="tb">Start Time</th>
                    <th class="tb">End Time</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $examchart; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exams): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="tb"><?php echo e($loop->iteration); ?></td>
                        <td class="tb"><?php echo e($exams->subject->subject_name); ?></td>
                        <td class="tb"><?php echo e(date('d-m-Y', strtotime($exams->date))); ?></td>
                        <td class="tb"><?php echo e($exams->s_time); ?></td>
                        <td class="tb"><?php echo e($exams->e_time); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</div>











</div>
</body><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/studentlogin/internalassessment/examcharttheory_print.blade.php ENDPATH**/ ?>