<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
         
<?php if($students->isNotEmpty()): ?>
   <form action="<?php echo e(route('univ.mark.list.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
     <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #004170;color:white;">
        <b>UNIVERSITY MARK LIST <?php echo e(date('Y',strtotime($cur_acyear->sdate)).' - '.date('Y',strtotime($cur_acyear->edate))); ?></b>
        </div>
                    
                    
                    <div class="card-body">
                  
                    <input type="hidden" name="course" value="<?php echo e(encrypt($course_id)); ?>" >
                    <input type="hidden" name="sem" value="<?php echo e(encrypt($semester_id)); ?>" >
                    <input type="hidden" name="paper_no" value="<?php echo e(encrypt($paper_no)); ?>" >
                    
                    <div class="form-group row">
                       
                     
                     <table  class="table table-bordered" id="table_promote">
                        <tr><td class="courseName">PROGRAM </td><td><?php echo e($course_name->course_name); ?></td></tr>
                        <tr><td class="courseName">SEMESTER</td><td><?php echo e($sem_name->semester_name); ?></td></tr>
                        <tr>
                        <td class="courseName" rowspan="<?php echo e($paper_no); ?>">NAME OF COURSES</td>
                        <?php
                        $marklist1 = App\Models\MarkList::where('course_id', $course_id)
                                       ->where('sem_id', $semester_id)
                                       ->where('ac_id', $ac_id)
                                       ->where('pep_no', 1)
                                       ->whereNull('deleted_at')
                                       ->first();
                        ?>
                        <td>1. <input type="text" name="sub_1" value="<?php echo e($marklist1 ? $marklist1->subject : ''); ?>" style="width:90%;"></td>
                        </tr>
                        <?php for($hd=2;$hd<=$paper_no;$hd++): ?>
                        <?php
                        $marklist = App\Models\MarkList::where('course_id', $course_id)
                                       ->where('sem_id', $semester_id)
                                       ->where('ac_id', $ac_id)
                                       ->where('pep_no', $hd)
                                       ->whereNull('deleted_at')
                                       ->first();
                        ?>
                        <tr><td style="text-align:left;"><?php echo e($hd); ?>. <input type="text" value="<?php echo e($marklist ? $marklist->subject : ''); ?>" name="sub_<?php echo e($hd); ?>" style="width:90%;"></td></tr>
                        <?php endfor; ?>
                        
                    </table>
                    </div>
                   
                    </div>
                </div>
            </div>
        </div>
        
             
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
            <div class="card-body">
                            
                          
                               <div class="div_scroller">
                                   <div class="form-group row">
                                <table class="table table-bordered" id="table_promote">
                                <thead>
                                <tr>
                               
                                <th rowspan="2" width="10%"><b>Adm No.</b></th>
                                <th rowspan="2" width="10%"><b>Roll No.</b></th>
                                <th rowspan="2"><b>Student Name</b></th>
                               <?php for($hd=1;$hd<=$paper_no;$hd++): ?>
                               <th colspan="2" rowspan="1" width="20%">Paper <?php echo e($hd); ?></th>
                               <?php endfor; ?>
                                </tr>
                                <tr>
                                <?php for($hd=1; $hd<=$paper_no;$hd++): ?>
                                <th rowspan="1">GPA</th>
                                <th rowspan="1">Grade</th>
                               <?php endfor; ?>
                                </tr>
                                </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                             
                                                <td><?php echo e($student->adno); ?></td>
                                                <td><?php echo e($student->rollno); ?></td>
                                                <td><?php echo e($student->name); ?></td>
                                                <?php for($hd=1;$hd<=$paper_no;$hd++): ?>
                                                <?php
                                                    $grade="";$grade_point='';
                                                    $studunvmarklist = $student->studuniversitymarklist->where('pep_no',$hd)->first();
                                                    if($studunvmarklist)
                                                    {
                                                       $grade_point = $studunvmarklist->grade_point;
                                                       $grade = $studunvmarklist->grade;
                                                    }
                                                ?>  
                                                <td><input type="text" size="2" class="form-control gpnd" name="gpa<?php echo e($student->student_id); ?>_<?php echo e($hd); ?>" value="<?php echo e($grade_point); ?>"></td>
                                                <td><input type="text"  size="2" class="form-control gpnd" name="grade<?php echo e($student->student_id); ?>_<?php echo e($hd); ?>" value="<?php echo e($grade); ?>"></td>
                                                <?php endfor; ?>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <tbody>
                                </table>
                                </div>
                         </div><br>
                           <div class="row">
                             
                                        <div class="col-md-12">
                                        <div class="form-group">
                                        <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        
                    </div>
                </div>
          </form>
    <?php else: ?>
        <div class="alert alert-primary" role="alert">No Students Found!</div>
    <?php endif; ?>
      </div>
        </div>
         <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/promote.js')); ?>"></script>
      <style>
          .div_scroller{
    	overflow:auto;
      }
    </style><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/universitymarklist/get_marklist.blade.php ENDPATH**/ ?>