
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Reserve Books'); ?>
<?php $__env->startSection('breadcrumb','Home/Reserve Books'); ?>
<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Check Book Availability</b></div>
            <div class="card-body">
                <?php if(!empty($mem_det)): ?>
                <div class="row">
                     <div class="col-md-3">
                        <div class="form-group">
                            <label for="mem_no" class="required"><b>Membership No</b></label>
                            <input type="text" class="form-control" id="mem_no" name="mem_no" value="<?php echo e($mem_det->memb_no); ?>" required readonly>
                            <?php $__errorArgs = ['mem_no'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                     <div class="col-md-3">
                                <div class="form-group">
                                    <label for="categ_id" class="required"><b>Category</b></label>
                                    <select class="form-control" id="categ_id" name="categ_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $categ): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($categ->libcat_id); ?>" <?php echo e(old('categ_id')==$categ->libcat_id ? "selected":""); ?>><?php echo e($categ->category_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['categ_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subcateg_id" class="required"><b>sub-category</b></label>
                                    <select class="form-control" id="subcateg_id" name="subcateg_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['subcateg_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            
                           
                         
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="date" class="required"><b>Date</b></label>
                            <input type="date" class="form-control" id="date" name="date" value="<?php echo e(date('Y-m-d')); ?>" required>
                            <?php $__errorArgs = ['date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get details</button>
                        </div>
                    </div>
                </div>
                <?php else: ?>
                   <div class="alert alert-warning" align="center">
                        <strong><font color="red" size="5">Please Obtain a Membership!</font></strong>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>

<div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        

  <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
  <script src="<?php echo e(asset('public/js/getsubcateglib.js')); ?>"></script> 
  <script src="<?php echo e(asset('public/js/getreservation.js')); ?>"></script> 
  
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/books/staff/book_reservation.blade.php ENDPATH**/ ?>