<style>
    *{
        font-family:Arial;
    }
    
.tb {
  border: 1px solid black;
  border-collapse: collapse;
}
</style>
<body onload="print()">
    
       <div class="container">
        <div class="head">
            <table width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="<?php echo e(asset('public/uploads/logo/'.$ins_det->logo)); ?>" alt="<?php echo e($ins_det->logo); ?>" height="100px"></td>
                   <td width="50%" align="center"><font size="5"><b><?php echo e($ins_det->name); ?></b></font></td>
                    <td width="25%" rowspan="4" align="center"></td>
                </tr>
                 <tr><td align="center"><font size="2"><?php echo e($ins_det->affiliation); ?></font></td></tr>
                <tr><td align="center"><font size="2"><?php echo e($ins_det->address); ?></font></td></tr>
                <tr><td align="center"><font size="2"><?php echo e('Ph : '.$ins_det->mobile.' '.$ins_det->landline); ?></font></td></tr>
            </table>
            <br>
            <center><b><font size="4"><u>Overall CO Achievement <?php echo e(date('Y',strtotime($cur_acyear->sdate)).' - '.date('Y',strtotime($cur_acyear->edate))); ?></u></font></b></center>
            <table width="100%">
                <tr>
                    <td align="left">Program : <font size="2"><?php echo e(strtoupper($course_name->course_name.' - '.$sem_name->semester_name)); ?></font></td>
                     <td align="center"></td>
                     <td align="right"></td>
                </tr>
                <tr>
                    <td align="left" colspan="3">Course : <font size="2"><?php echo e($subjects_name->subject_name); ?></font></td>
                </tr>
                <?php if($batch_name !=''): ?>
                <tr>
                    <td align="left" colspan="3">Batch : <font size="2"><?php echo e($batch_name); ?></font></td>
                </tr>
                <?php endif; ?>
                <tr>
                    <td align="left" colspan="3">CO : <font size="2"><?php echo e($co_name->co_no.'-'.$co_name->co_name); ?></font></td>
                     
                </tr>
               
            </table>
     <table id="table-fine" class="tb" width="100%" cellpadding="8">
    <thead style="background-color:#ADD8E6">
    <tr class="tb">
        <th class="tb" rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>Adno</b></th>
        <th class="tb" rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>Student Name</b></th>
         <th rowspan="2"  class="tb">CO Achievement Level</th> 
        </tr>
       
     </thead>
     <tbody>
          
           <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <tr class="tb">
        <td class="tb" align="center"><?php echo e($student->adno); ?></td>
        <td class="tb" align="center"><?php echo e($student->name); ?></td>
        <?php
            $cnt_ppt = 0;
            $overallco_ach_lvl = 0;
            $co_ach_lvl = 0;
            $internal_lvl = 0;

            foreach($assessmentmethods as $assmthd) { 
                // Get exams related to the current assessment method
                 $obeNames = $assmthd->exams->where('ac_id', $ac_id)->where('course',$course)->where('division',$semester_id)->where('subject',$sub_id);

                foreach ($obeNames as $obeName) {
                    $examID = $obeName->id;

                    // Get questions
                    $mquestions = $assmthd->questions
                        ->where('exam_id', $examID)
                        ->where('ac_id', $ac_id)
                        ->where('subject_id', $sub_id)
                        ->where('co_id', $co_id)
                        ->where('course_id', $course)
                        ->where('division_id', $semester_id)
                         ->where('subtyp_id',$subtyp_id);
                    foreach ($mquestions as $obequestns) {
                        $questnID = $obequestns->id;

                        // Get student's mark for the question
                        $ObeStudMrkList = $student->internalmark
                            ->where('assessmnt_method', $assmthd->id)
                            ->where('ac_id', $ac_id)
                            ->where('question_id', $questnID)
                            ->where('exam', $examID)
                            ->where('course_id', $course)
                            ->where('semester_id', $semester_id)
                            ->where('sub_id', $sub_id)
                             ->where('subtyp_id',$subtyp_id)
                            ->pluck('mark')
                            ->first();

                        if ($ObeStudMrkList) {
                            $percentage = ($ObeStudMrkList / $obequestns->question_mark) * 100;
                            $percentage = round($percentage); 

                            // Get achievement level based on the percentage
                            $ach_lvl = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percentage)
                                ->where('t_per', '>=', $percentage)
                                ->first();

                            if ($ach_lvl) {
                                $co_ach_lvl += $ach_lvl->level;
                                $cnt_ppt++;
                            }
                        }
                    }
                }
            }

            // Calculate internal CO achievement level
            if ($cnt_ppt > 0) {
                $internal_lvl = round($co_ach_lvl / $cnt_ppt);	
            }

            // Get university subject mark for the student
            $mrk_sub = $student->universitysubmark
                ->where('course_id', $course)
                ->where('sem_id', $semester_id)
                ->where('sub_id', $sub_id)
                ->where('ac_id', $ac_id)
               
                ->pluck('mark')
                ->first();

            // Calculate the external achievement level
            $sub_max = 0;
            foreach ($subjectsone as $sub) {
                $sub_max = $sub->submax
                    ->where('course_id', $course)
                    ->where('sem_id', $semester_id)
                    ->where('sub_id', $sub_id)
                    ->where('ac_id', $ac_id)
                    
                    ->pluck('max_mark')
                    ->first();
            }

            if ($sub_max > 0 && $mrk_sub) {
                $percen_mrk = ($mrk_sub / $sub_max) * 100;
                $ach_lvl_univ = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percen_mrk)
                    ->where('t_per', '>=', $percen_mrk)
                    ->first();

                if ($ach_lvl_univ) {
                    $external_lvl = $ach_lvl_univ->level;

                    // Calculate the overall CO achievement level
                    $internal_percentage = 100 - $externalpercentage->percentage;
                    $i1 = $internal_percentage / 100;
                    $e1 = $externalpercentage->percentage / 100;
                    $overallco_ach_lvl = ($i1 * $internal_lvl) + ($e1 * $external_lvl);
                }
            }
        ?>
        <td align="right" class="tb"><?php echo e($overallco_ach_lvl); ?></td>
    </tr>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
     </tbody>
    </table><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/print_cooverallreportprint.blade.php ENDPATH**/ ?>