<style>
    *{
        font-family:Arial;
    }
    .fee-total{
        border-top: 1px solid #000;
        font-weight: bold;
    }
</style>
<body onload="print()">
    <div class="container">
        <div class="head">
            <table width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="<?php echo e(asset('public/uploads/logo/'.$institution->logo)); ?>" alt="<?php echo e($institution->logo); ?>" height="50px"></td>
                    <td width="75%"><?php echo e($institution->name); ?></td>
                </tr>
                <tr><td><?php echo e($institution->affiliation); ?></td></tr>
                <tr><td><?php echo e($institution->address); ?></td></tr>
                <tr><td><?php echo e('Ph : '.$institution->mobile.' '.$institution->landline); ?></td></tr>
            </table>
            <center><p>RECEIPT</p></center>
            <hr>
            <table width="100%">
                <tr>
                    <td width="50%"><b>Receipt No. : </b><?php echo e($otherfees->first()->receipt_no); ?></td>
                    <td width="50%" align="right"><b>Date : </b><?php echo e($otherfees->first()->paid_date_formatted); ?></td>
                </tr>
                <tr>
                <td><b>Name : </b><?php echo e($otherfees->first()->student_name); ?></td>
                    <td align="right"><b>Address : </b><?php echo e($otherfees->first()->address); ?></td>
                    
                </tr>
            </table>
            <table style="border-bottom:1px solid black" width="100%">
                <thead style="background-color:#484848;color:white">
                <tr>
                    <th class="fee-item">#</th>
                    <th class="fee-item">Fee Type</th>
                    <th class="fee-item">Amount</th>
                </tr>
                </thead>
                <tbody>
                    <?php $tamount=0; ?>
                    <?php $__currentLoopData = $otherfees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $otherfee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php 
                            $tamount += $otherfee->fee_amount;
                        ?>
                        <tr>
                            <td class="fee-item" align="center"><?php echo e($loop->iteration); ?></td>
                            <td class="fee-item" align="center"><?php echo e($otherfee->ftype->type_name?? ''); ?></td>
                            <td class="fee-item" align="right"><?php echo e(number_format($otherfee->fee_amount,2)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
                <tfooter>
                    <tr>
                        <td class="fee-total" align="center" colspan="2">Grand Total</td>
                        <td class="fee-total" align="right"><?php echo e(number_format($tamount,2)); ?></td>
                    </tr>
                </tfooter>
            </table>
            <br>
            <p>Payment recieved by <?php echo e($otherfee->first()->mode->mode_name); ?></p>
        </div>
    </div>
</body><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/otherfees/print.blade.php ENDPATH**/ ?>