
<?php $__env->startSection('title','OBE'); ?>
<?php $__env->startSection('heading','CO-PSO Mapping'); ?>
<?php $__env->startSection('breadcrumb','Settings / OBE / CO-PSO Mapping'); ?>
<?php $__env->startSection('content'); ?>
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card" >
             <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
              <?php echo e(app_button_links_v(array(246,262,270,265,247,250,251))); ?>

                    
            
             
         </div>  
        <div class="card-header" style="background-color:#073980;color:white"><b>CO-PSO Mapping</b></div>
        <div class="card-body">
        <form >
        <?php echo csrf_field(); ?>
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course" class="required"><b>Program</b></label>
        <select class="form-control" id="course" name="course" required>
        <option value="">Select</option>
        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($crs->course_id); ?>" <?php echo e(old('course')==$crs->course_id ? "selected":""); ?>><?php echo e($crs->course_name); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <?php $__errorArgs = ['course'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="semester_id" class="required"><b>Semester</b></label>
        <select class="form-control" id="semester_id" name="semester_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
                            
                            
        <div class="col-md-3">
        <div class="form-group">
        <label for="subtyp_id" class="required"><b>Course Type</b></label>
        <select class="form-control" id="subtyp_id" name="subtyp_id" required>
        <option value="">select</option>
        <?php $__currentLoopData = $subtype; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subjectType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($subjectType->subtyp_id); ?>" <?php echo e(old('subtyp_id')==$subjectType->subtyp_id ? "selected":""); ?>><?php echo e($subjectType->subject_type); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
        </select>
            <?php $__errorArgs = ['subtyp_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>    
        
       <div class="col-md-3">
        <div class="form-group">
        <label for="sub_id" class="required"><b>Course</b></label>
        <select class="form-control" id="sub_id" name="sub_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
        </div>
        
       <div class="row">
        <div class="col-md-12">
        <div class="form-group">
         <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
        
        
       <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Program</b></th>
                            <th><b>Course outcome</b></th>
                            <th><b>Program Specific Outcome</b></th>
                            <th><b>BT Level</b></th>
                            <th><b>Assessment Method</b></th>
                            <th><b>Mapping Level</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $copso; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cpo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo e($cpo->coursen->course_name); ?></td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($cpo->coutcome->co_name); ?></td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($cpo->psoutcome->pso_name); ?></td>
                                    <td><?php echo e($cpo->btleveln->level); ?></td>
                                    <td><?php echo e($cpo->asessmethodn->method); ?></td>
                                    <td><?php echo e($cpo->mapping_level); ?></td>
                                    <td><?php echo e(app_table_links($cpo->id,array(264,263))); ?></td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>   
        
        
    
   <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/semester.js')); ?>"></script> 
     <script src="<?php echo e(asset('public/js/subject.js')); ?>"></script> 
    <script src="<?php echo e(asset('public/js/coutcome.js')); ?>"></script> 
     <script src="<?php echo e(asset('public/js/copsomapping.js')); ?>"></script>
     <script src="<?php echo e(asset('public/js/bsubj.js')); ?>"></script> 
    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
    
    

    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/copso_mapping.blade.php ENDPATH**/ ?>