
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Hostel Payment'); ?>
<?php $__env->startSection('breadcrumb','Home/Hostel/Fee'); ?>
<?php $__env->startSection('content'); ?>





    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <form action="<?php echo e(route('hostelpayment.get')); ?>" method="post">
    <?php echo csrf_field(); ?>
                                <div class="row">
                                <div class="col-md-4">
                                <label for="student_id" class="required"><b>Student</b></label>
                                <div class="form-group">
                                <select class="js-example-basic-single" id="student_id" name="student_id" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($student->student_id); ?>" <?php echo e($student_id == $student->student_id ? "selected":""); ?>><?php echo e($student->adno.' - '.$student->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['student_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                                
                                
                                <div class="col-md-3">
                                <label for="paid_date" class="required"><b>Date</b></label>
                                <div class="form-group">
                                <input type="date" class="form-control <?php $__errorArgs = ['paid_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="paid_date" name="paid_date" value="<?php echo e($paid_date); ?>">
                                <?php $__errorArgs = ['paid_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                            
                                <div class="col-md-5">
                                <label for="mode_id" class="required"><b>Payment Mode</b></label>
                                <div class="row">
                                <div class="col-md-7">
                                <div class="form-group">
                                <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%">
                                <?php $__currentLoopData = $paymodes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $paymode): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($paymode->mode_id); ?>" <?php echo e($mode_id == $paymode->mode_id ? "selected":""); ?>><?php echo e($paymode->mode_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['mode_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                                
                                            <div class="col-md-5">
                                            <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Get Details</button>
                                            </div>
                                            </div>
                                            
                                            </div>
                    </div>
                    </div>
                    </form>
        </div>
        </div>
        </div>
        </div>
        
        <br>
        <br>
    <?php if(!empty($student_det)): ?>
        <div class="row">
        <div class="col-lg-2 grid-margin stretch-card">
        <div class="card" style="border-top:3px solid #004170;border-radius:12px">
                    
        <div class="card-body">
        <div class="form-group row">
        <img class="img-md rounded-circle" src="<?php echo e(asset('public/uploads/student/photo/'.$student_det->photo)); ?>" alt="Profile image" width="90px">
        </div>
        <div class="form-group row">
                   <p style="font-size:15px"><b><?php echo e(strtoupper($student_det->name)); ?></b></p>
                   <br>
                   <br>
                 
                </div>
        <div class="form-group row">
                <p><span class="text-white bg-success"><b>Adm No :<?php echo e($student_det->adno); ?></b></span></p>
                </div>
                            
                             <div class="form-group row">
                <p><span class="text-white" style="background-color:#e1ad01"><b>Gender :<?php echo e($student_det->gender); ?></b></span></p>
                </div>
                
                <div class="form-group row">
                <p>Mobile :<?php echo e($student_det->mobile); ?></p>
                </div>
                <div class="form-group row">
                <p>Program :<?php echo e($student_det->course->course_code); ?></p>
                </div>
                
                <div class="form-group row">
                <p>Acyear : <?php echo e(date('Y', strtotime($student_det->acyear->sdate)) . '-' . date('Y', strtotime($student_det->acyear->edate))); ?></p>
                </div>
                            </div>
            </div>
            </div>
                <div class="col-lg-10 grid-margin stretch-card">
                <div class="card" style="border-top:3px solid #004170;border-radius:12px;background:#F8F8F8">
                <div class="card-body">
                <form action="<?php echo e(route('hostelpayment.save')); ?>" method="post">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" name="sid" value="<?php echo e(encrypt($student_id)); ?>">
                            <input type="hidden" name="pdate" value="<?php echo e($paid_date); ?>">
                            <input type="hidden" name="mode" value="<?php echo e($mode_id); ?>">
                            <div class="form-group row">
                            <div class="col-md-12">
                            <div class="scroll">
                                
                                                <table class="table table-bordered" id="tablecss" width="100%">
                                                <thead>
                                                <th>
                                                <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                                </div>
                                                </th>
                                                <th width="10%"><b>Month</b></th>
                                                <th width="10%"><b>Fee Type</b></th>
            									<th width="20%" ><b>Fee Amount</b></th>
            									<th width="10%"><b>Discount</b></th>
            									<th width="20%"><b>Gross Amount</b></th>
            									<th width="30%"><b>Remarks</b></th>
                                                </thead>
                                                <tbody>
                                                <?php foreach($fees as $ac_id => $ac_details){
                                                    foreach($ac_details as $month_id => $month_details){
                                                        $sem = $month_details['semester'];
                                                        $mid = $month_details['month'];
                                                        $yid = $month_details['year'];
                                                        foreach($month_details['fee'] as $ftype_id => $fee_details){
                                                            $famount = $fee_details['due']; ?>
                                                            <tr>
                                                                <td>
                                                                    <div class="form-check form-check-success text-center">
                                                                        <label class="form-check-label"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($mid.'-'.$yid.'-'.$ftype_id); ?>"> </label>
                                                                    </div>
                                                                </td>
                                                                <td><?php echo e($month_details['myear']); ?></td>
                                                                <td><?php echo e($fee_details['fee_type']); ?>

                                                                    <input type="hidden" id="<?php echo e('current_fee'.$mid.'-'.$yid.'-'.$ftype_id); ?>" value="<?php echo e($fee_details['due']); ?>">
        														    <input type="hidden" name="<?php echo e('fee_type'.$mid.'-'.$yid.'-'.$ftype_id); ?>" value="<?php echo e($ftype_id); ?>">
        														    <input type="hidden" name="<?php echo e('sem'.$mid.'-'.$yid.'-'.$ftype_id); ?>" value="<?php echo e($sem); ?>">
                                                                </td>
                                                                <td align="right"><input type="text" class="form-control text-right" id="<?php echo e('fee_amount'.$mid.'-'.$yid.'-'.$ftype_id); ?>" name="<?php echo e('fee_amount'.$mid.'-'.$yid.'-'.$ftype_id); ?>" placeholder="0.00" value="<?php echo e($fee_details['due']); ?>" onkeyup="showFee(this.value,'<?php echo e($mid); ?>','<?php echo e($yid); ?>','<?php echo e($ftype_id); ?>')" ></td>
                                                                <td align="right"><input type="text" class="form-control text-right" id="<?php echo e('disc_amount'.$mid.'-'.$yid.'-'.$ftype_id); ?>" name="<?php echo e('disc_amount'.$mid.'-'.$yid.'-'.$ftype_id); ?>" placeholder="0.00" onkeyup="showDisc(this.value,'<?php echo e($mid); ?>','<?php echo e($yid); ?>','<?php echo e($ftype_id); ?>')"></td>
                                                                <td align="center"><span class="<?php echo e('ftotal'.$mid.'-'.$yid.'-'.$ftype_id); ?>"><?php echo e($famount); ?></span></td>
                                                                <td><textarea class="form-control" name="<?php echo e('remarks'.$mid.'-'.$yid.'-'.$ftype_id); ?>"></textarea></td>
                                                            </tr>
                                                        <?php } 
                                                    }
                                                }  ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                                <div class="form-group row">
                                <div class="col-md-9 text-right">
                                <p class="font-weight-bold">Total Amount :</p>
                                </div>
                                <div class="col-md-3">
                                <span class="font-weight-bold" id="gtotal">0.00</span>
                                </div>
                                </div>
                            
                                <div class="form-group row">
                                <div class="col-md-12">
                                <div class="form-group">
                                <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                                </div>
                                </div>
        </form>
        </div>
        </div>
        </div>
        </div>
        
        
        
     
    <?php else: ?>
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    <?php endif; ?>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/hostelfee.js')); ?>"></script>
    <style>
                   .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
#tablecss{
     font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}
#tablecss td, #tablecss th {
  border: 1px solid #ccc;
  padding: 2px;
}


#tablecss tr:nth-child(even){background-color:white;}

#tablecss tr:hover {background-color: #ddd;}

#tablecss th {
  padding-top: 9px;
  padding-bottom: 9px;
  text-align: left;
  background-color:#004170;
  color: white;
}
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/hostel/get_payment.blade.php ENDPATH**/ ?>