
<?php $__env->startSection('title', 'Home'); ?>
<?php $__env->startSection('heading', 'Books Issue Report'); ?>
<?php $__env->startSection('breadcrumb', 'Home/Books Issue Report'); ?>
<?php $__env->startSection('content'); ?>

<?php if(!empty($mem_det)): ?>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead >
                        <tr>
                            <th><b>Issue Date</b></th>
                            <th><b>Book No</b></th>
                            <th><b>Book Title</b></th>
                            <th><b>Author</b></th>
                            <th><b>Actual Return Date</b></th>
                            <th><b>Returned Date</b></th>
                            <th><b>Due Days</b></th>
                            <th><b>Due Amount</b></th>
                            <th><b>Status</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/semester.js')); ?>"></script>
   
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '<?php echo e(route('staff.book.duereport.get')); ?>',
                    dataType : 'json',
                    type : 'GET',
                    
                },
                columns : [
                    { data : 'issue_date' },
                    { data : 'book_no' },
                    { data : 'title' },
                    { data : 'author' },
                    { data : 'act_return_date' },
                    { data : 'returning_date' },
                    { data : 'due_days' },
                    { data : 'amount' },
                    { data : 'status' },
                   
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
   
 <?php else: ?>
                   <div class="alert alert-warning" align="center">
                        <strong><font color="red" size="5">Please Obtain a Membership!</font></strong>
                    </div>
                <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/books/staff/book_duereport.blade.php ENDPATH**/ ?>