

<?php $__env->startSection('title', 'Home'); ?>
<?php $__env->startSection('heading', 'Internal Marks'); ?>
<?php $__env->startSection('breadcrumb', 'Home  Internal Assessment/ Internal Marks'); ?>
<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Internal Marks</b></div>
            <div class="card-body">
                <div class="row">
                    
                       <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Program</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                    
                    
                    
                    
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subtyp_id" class="required"><b>Course Type</b></label>
                                    <select class="form-control" id="subtyp_id" name="subtyp_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $subjectType; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subjectTypes): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($subjectTypes->subtyp_id); ?>" <?php echo e(old('subtyp_id')==$subjectTypes->subtyp_id ? "selected":""); ?>><?php echo e($subjectTypes->subject_type); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['$subjectTypes'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                           
                         
                   
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get details</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        

    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
     
     <script src="<?php echo e(asset('public/js/getsemstudentlog.js')); ?>"></script> 
     <!--<script src="<?php echo e(asset('public/js/stafftypget.js')); ?>"></script>-->
<script>
    $(document).ready(function(){
  $("#btn-get").on('click', function() {
        var course = $('#course_id').val();
      
        var sem = $('#semester_id').val();
        var stafftype = $('#subtyp_id').val();

        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');

        if (course === '' || sem === '' || stafftype === '') {
            alert('Please select all mandatory fields!');
        } else {
            $.ajax({
                type: 'GET',
                url: '../student/mainstream-internal-mrk-report-get',
                data: {course: course, sem: sem, stafftype: stafftype},
                success: function(response) {
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/studentlogin/internalassessment/internalmrkreport.blade.php ENDPATH**/ ?>