<form action="<?php echo e(route('staff.attendance.leave')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="date" value="<?php echo e($date); ?>">
    <input type="hidden" name="stype" value="<?php echo e($stype); ?>">
    <input type="hidden" name="staff" value="<?php echo e($staff->user_id); ?>">
    <div class="form-group row">
        <label class="col-5">Emp. Id :</label>
        <label class="col-7 text-danger"><?php echo e($staff->employee_id_num); ?></label>
    </div>
    <div class="form-group row">
        <label class="col-5">Name :</label>
        <label class="col-7 text-danger"><?php echo e($staff->name); ?></label>
    </div>
    <div class="form-group row">
        <label class="col-5">Designation :</label>
        <label class="col-7 text-danger"><?php echo e($staff->desig->type_name); ?></label>
    </div>
    <div class="form-group row">
        <label class="col-5">Date :</label>
        <label class="col-7 text-danger"><?php echo e(date('d/m/Y',strtotime($date))); ?></label>
    </div>
    <div class="form-group row">
        <label class="col-5">Day :</label>
        <label class="col-7 text-danger"><?php echo e(date('l',strtotime($date))); ?></label>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Attendance</label>
                <div>
                    <label for="am"><input type="checkbox" id="am" name="am" value="1" <?php if($am==1 || $am==''): ?> checked <?php endif; ?>> AM</label>
                    <label for="pm"><input type="checkbox" id="pm" name="pm" value="1" <?php if($pm==1 || $pm==''): ?> checked <?php endif; ?>> PM</label>
                </div>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Leave Type</label>
                <div>
                    <select class="fomr-control" name="ltype">
                        <option value="">Select</option>
                        <?php $__currentLoopData = $ltypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ltype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($ltype->leav_id); ?>" <?php echo e($ltype->leav_id==$lid ? 'selected':''); ?>><?php echo e($ltype->leave_name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Reason</label>
                <textarea class="form-control" name="reason" rows="3"><?php echo e($reason); ?></textarea>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                <button type="button" class="btn btn-sm btn-danger float-right mr-2" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</form><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staff-attendance/details.blade.php ENDPATH**/ ?>