    <div class="card">
    <div class="card-header" style="background:#004170;color:white;"><b>Student Details</b></div>
    <div class="card-body">
       
        
        <form action="<?php echo e(route('student.rollout.save')); ?>" method="POST"> 
            <?php echo csrf_field(); ?>
            <input type="hidden" id="ac_id" name="ac_id" value="<?php echo e($ac_det->ac_id); ?>">
        <input type="hidden" id="course_id" name="course_id" value="<?php echo e($crs_det->course_id); ?>">
        <input type="hidden" id="semester_id" name="semester_id" value="<?php echo e($sem_det->semester_id); ?>">
        <div class="row">
                <div class="col-md-12">
                <div class="form-group">
                            <table id="table-fine" class="table table-bordered" style="border:1px solid black">
                            <thead>
                                <tr>
                                    <th><b>#</b></th>
                                    <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                    <label class="container"><th><input type="checkbox" id="checkAll" value="Check All"></th></label>
                                    </div>
                                    <th><b>Admission No.</b></th>
                                    <th><b>Student Name</b></th>
                                    <th><b>Absent Days</b></th>
                                    <th><b>From</b></th>
                                    <th><b>To</b></th>
                                     <th><b>Roll-Out Status</b></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $studentsWithExcessiveAbsences; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                               
                                <tr>
                                    <input type="hidden" name="student_id[]" value="<?php echo e($stu['student_id']); ?>">
                                    <td><b><?php echo e($loop->iteration); ?></b></td>
                                     <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                    <label class="container"><td><input type="checkbox" class="student-checkbox" name="selected_students[]" value="<?php echo e($stu['student_id']); ?>"></td></label>
                                    </div>
                                    <td><b><?php echo e($stu['adno']); ?></b></td>
                                    <td><b><?php echo e(strtoupper($stu['name'])); ?></b></td>
                                    <td><b><?php echo e($stu['absent_days']); ?></b></td>
                                    <td><input type="date" class="form-control" name="fdate[]" value="<?php echo e(old('fdate') ? old('fdate') : date('Y-m-d')); ?>"></td>
                                    <td><input type="date" class="form-control" name="tdate[]" value="<?php echo e(old('tdate') ? old('tdate') : date('Y-m-d')); ?>"></td>
                              <td>
                                   <?php
                    $existingRollOut = \App\Models\RollOutStudents::where('ac_id', $ac_det->ac_id)
                        ->where('course_id', $crs_det->course_id)
                        ->where('semester_id', $sem_det->semester_id)
                        ->where('student_id', $stu['student_id'])
                        ->first();
                ?>
                  <?php if($existingRollOut): ?>
                    <span class="text-success">Roll-out till <?php echo e(date('d-m-Y',strtotime($existingRollOut->tdate))); ?></span>
                <?php else: ?>
                    <span class="text-danger">Not yet rolled out</span>
                <?php endif; ?>
                              </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <div id="load"></div>
                        <button type="submit" class="btn btn-primary float-right">Submit</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>

<script>
    $(document).ready(function() {
       
        $('#checkAll').on('change', function() {
            $('.student-checkbox').prop('checked', this.checked);
        });
        
     
        $('.student-checkbox').on('change', function() {
            if ($('.student-checkbox:checked').length === $('.student-checkbox').length) {
                $('#checkAll').prop('checked', true);
            } else {
                $('#checkAll').prop('checked', false);
            }
        });
    });
</script>

<style>
    #table-fine {
        font-family: Arial, Helvetica, sans-serif;
        border-collapse: collapse;
        border: 1px solid black;
        width: 100%;
    }
    #table-fine td, #table-fine th {
        border: 1px solid #C0C0C0;
        padding: 8px;
    }
    #table-fine tr:nth-child(even) { background-color: #F8F8F8; }
    #table-fine tr:hover { background-color: #B9D9EB; cursor: pointer; }
    #table-fine th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: left;
        background-color: #FEBE10;
        color: black;
    }
    input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}
    .container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>
<?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/students/roll_out_get.blade.php ENDPATH**/ ?>